package javax.swing;

import java.awt.Color;
import java.awt.Font;
import javax.swing.border.BevelBorder;
import javax.swing.border.Border;
import javax.swing.border.CompoundBorder;
import javax.swing.border.EmptyBorder;
import javax.swing.border.EtchedBorder;
import javax.swing.border.LineBorder;
import javax.swing.border.MatteBorder;
import javax.swing.border.TitledBorder;

public class BorderFactory {
   static final Border sharedRaisedBevel = new BevelBorder(0);
   static final Border sharedLoweredBevel = new BevelBorder(1);
   static final Border sharedEtchedBorder = new EtchedBorder();
   static final Border emptyBorder = new EmptyBorder(0, 0, 0, 0);

   private BorderFactory() {
   }

   public static Border createBevelBorder(int var0) {
      return createSharedBevel(var0);
   }

   public static Border createBevelBorder(int var0, Color var1, Color var2) {
      return new BevelBorder(var0, var1, var2);
   }

   public static Border createBevelBorder(int var0, Color var1, Color var2, Color var3, Color var4) {
      return new BevelBorder(var0, var1, var2, var3, var4);
   }

   public static CompoundBorder createCompoundBorder() {
      return new CompoundBorder();
   }

   public static CompoundBorder createCompoundBorder(Border var0, Border var1) {
      return new CompoundBorder(var0, var1);
   }

   public static Border createEmptyBorder() {
      return emptyBorder;
   }

   public static Border createEmptyBorder(int var0, int var1, int var2, int var3) {
      return new EmptyBorder(var0, var1, var2, var3);
   }

   public static Border createEtchedBorder() {
      return sharedEtchedBorder;
   }

   public static Border createEtchedBorder(Color var0, Color var1) {
      return new EtchedBorder(var0, var1);
   }

   public static Border createLineBorder(Color var0) {
      return new LineBorder(var0, 1);
   }

   public static Border createLineBorder(Color var0, int var1) {
      return new LineBorder(var0, var1);
   }

   public static Border createLoweredBevelBorder() {
      return createSharedBevel(1);
   }

   public static MatteBorder createMatteBorder(int var0, int var1, int var2, int var3, Color var4) {
      return new MatteBorder(var0, var1, var2, var3, var4);
   }

   public static MatteBorder createMatteBorder(int var0, int var1, int var2, int var3, Icon var4) {
      return new MatteBorder(var0, var1, var2, var3, var4);
   }

   public static Border createRaisedBevelBorder() {
      return createSharedBevel(0);
   }

   static Border createSharedBevel(int var0) {
      if (var0 == 0) {
         return sharedRaisedBevel;
      } else {
         return var0 == 1 ? sharedLoweredBevel : null;
      }
   }

   public static TitledBorder createTitledBorder(String var0) {
      return new TitledBorder(var0);
   }

   public static TitledBorder createTitledBorder(Border var0) {
      return new TitledBorder(var0);
   }

   public static TitledBorder createTitledBorder(Border var0, String var1) {
      return new TitledBorder(var0, var1);
   }

   public static TitledBorder createTitledBorder(Border var0, String var1, int var2, int var3) {
      return new TitledBorder(var0, var1, var2, var3);
   }

   public static TitledBorder createTitledBorder(Border var0, String var1, int var2, int var3, Font var4) {
      return new TitledBorder(var0, var1, var2, var3, var4);
   }

   public static TitledBorder createTitledBorder(Border var0, String var1, int var2, int var3, Font var4, Color var5) {
      return new TitledBorder(var0, var1, var2, var3, var4, var5);
   }
}
