package javax.swing;

import java.awt.Component;
import java.io.Serializable;
import javax.swing.border.Border;
import javax.swing.border.EmptyBorder;

public class DefaultListCellRenderer extends JLabel implements ListCellRenderer, Serializable {
   protected static Border noFocusBorder;

   public DefaultListCellRenderer() {
      noFocusBorder = new EmptyBorder(1, 1, 1, 1);
      ((JComponent)this).setOpaque(true);
      ((JComponent)this).setBorder(noFocusBorder);
   }

   public Component getListCellRendererComponent(JList var1, Object var2, int var3, boolean var4, boolean var5) {
      if (var4) {
         ((JComponent)this).setBackground(var1.getSelectionBackground());
         ((JComponent)this).setForeground(var1.getSelectionForeground());
      } else {
         ((JComponent)this).setBackground(((Component)var1).getBackground());
         ((JComponent)this).setForeground(((Component)var1).getForeground());
      }

      if (var2 instanceof Icon) {
         ((JLabel)this).setIcon((Icon)var2);
      } else {
         ((JLabel)this).setText(var2 == null ? "" : var2.toString());
      }

      ((JComponent)this).setEnabled(((Component)var1).isEnabled());
      ((JComponent)this).setFont(((Component)var1).getFont());
      ((JComponent)this).setBorder(var5 ? UIManager.getBorder("List.focusCellHighlightBorder") : noFocusBorder);
      return this;
   }
}
