package javax.swing;

import java.util.Enumeration;
import java.util.Vector;

public class DefaultListModel extends AbstractListModel {
   private Vector delegate = new Vector();

   public void add(int var1, Object var2) {
      this.delegate.insertElementAt(var2, var1);
      ((AbstractListModel)this).fireIntervalAdded(this, var1, var1);
   }

   public void addElement(Object var1) {
      int var2 = this.delegate.size();
      this.delegate.addElement(var1);
      ((AbstractListModel)this).fireIntervalAdded(this, var2, var2);
   }

   public int capacity() {
      return this.delegate.capacity();
   }

   public void clear() {
      int var1 = this.delegate.size() - 1;
      this.delegate.removeAllElements();
      if (var1 >= 0) {
         ((AbstractListModel)this).fireIntervalRemoved(this, 0, var1);
      }

   }

   public boolean contains(Object var1) {
      return this.delegate.contains(var1);
   }

   public void copyInto(Object[] var1) {
      this.delegate.copyInto(var1);
   }

   public Object elementAt(int var1) {
      return this.delegate.elementAt(var1);
   }

   public Enumeration elements() {
      return this.delegate.elements();
   }

   public void ensureCapacity(int var1) {
      this.delegate.ensureCapacity(var1);
   }

   public Object firstElement() {
      return this.delegate.firstElement();
   }

   public Object get(int var1) {
      return this.delegate.elementAt(var1);
   }

   public Object getElementAt(int var1) {
      return this.delegate.elementAt(var1);
   }

   public int getSize() {
      return this.delegate.size();
   }

   public int indexOf(Object var1) {
      return this.delegate.indexOf(var1);
   }

   public int indexOf(Object var1, int var2) {
      return this.delegate.indexOf(var1, var2);
   }

   public void insertElementAt(Object var1, int var2) {
      this.delegate.insertElementAt(var1, var2);
      ((AbstractListModel)this).fireIntervalAdded(this, var2, var2);
   }

   public boolean isEmpty() {
      return this.delegate.isEmpty();
   }

   public Object lastElement() {
      return this.delegate.lastElement();
   }

   public int lastIndexOf(Object var1) {
      return this.delegate.lastIndexOf(var1);
   }

   public int lastIndexOf(Object var1, int var2) {
      return this.delegate.lastIndexOf(var1, var2);
   }

   public Object remove(int var1) {
      Object var2 = this.delegate.elementAt(var1);
      this.delegate.removeElementAt(var1);
      ((AbstractListModel)this).fireIntervalRemoved(this, var1, var1);
      return var2;
   }

   public void removeAllElements() {
      int var1 = this.delegate.size() - 1;
      this.delegate.removeAllElements();
      if (var1 >= 0) {
         ((AbstractListModel)this).fireIntervalRemoved(this, 0, var1);
      }

   }

   public boolean removeElement(Object var1) {
      int var2 = this.indexOf(var1);
      boolean var3 = this.delegate.removeElement(var1);
      if (var2 >= 0) {
         ((AbstractListModel)this).fireIntervalRemoved(this, var2, var2);
      }

      return var3;
   }

   public void removeElementAt(int var1) {
      this.delegate.removeElementAt(var1);
      ((AbstractListModel)this).fireIntervalRemoved(this, var1, var1);
   }

   public void removeRange(int var1, int var2) {
      for(int var3 = var2; var3 >= var1; --var3) {
         this.delegate.removeElementAt(var3);
      }

      ((AbstractListModel)this).fireIntervalRemoved(this, var1, var2);
   }

   public Object set(int var1, Object var2) {
      Object var3 = this.delegate.elementAt(var1);
      this.delegate.setElementAt(var2, var1);
      ((AbstractListModel)this).fireContentsChanged(this, var1, var1);
      return var3;
   }

   public void setElementAt(Object var1, int var2) {
      this.delegate.setElementAt(var1, var2);
      ((AbstractListModel)this).fireContentsChanged(this, var2, var2);
   }

   public void setSize(int var1) {
      int var2 = this.delegate.size();
      this.delegate.setSize(var1);
      if (var2 > var1) {
         ((AbstractListModel)this).fireIntervalRemoved(this, var1, var2 - 1);
      } else if (var2 < var1) {
         ((AbstractListModel)this).fireIntervalAdded(this, var2, var1 - 1);
      }

   }

   public int size() {
      return this.delegate.size();
   }

   public Object[] toArray() {
      Object[] var1 = new Object[this.delegate.size()];
      this.delegate.copyInto(var1);
      return var1;
   }

   public String toString() {
      return this.delegate.toString();
   }

   public void trimToSize() {
      this.delegate.trimToSize();
   }
}
