package javax.swing;

import java.util.Enumeration;
import java.util.Hashtable;

class MultiUIDefaults extends UIDefaults {
   private UIDefaults[] tables;

   public MultiUIDefaults() {
      this.tables = new UIDefaults[0];
   }

   public MultiUIDefaults(UIDefaults[] var1) {
      this.tables = var1;
   }

   public void clear() {
      super.clear();

      for(int var1 = 0; var1 < this.tables.length; ++var1) {
         UIDefaults var2 = this.tables[var1];
         if (var2 != null) {
            ((Hashtable)var2).clear();
         }
      }

   }

   public Enumeration elements() {
      Enumeration[] var1 = new Enumeration[1 + this.tables.length];
      var1[0] = super.elements();

      for(int var2 = 0; var2 < this.tables.length; ++var2) {
         UIDefaults var3 = this.tables[var2];
         if (var3 != null) {
            var1[var2 + 1] = ((Hashtable)var3).elements();
         }
      }

      return new MultiUIDefaultsEnumerator(var1);
   }

   public Object get(Object var1) {
      Object var2 = super.get(var1);
      if (var2 != null) {
         return var2;
      } else {
         for(int var3 = 0; var3 < this.tables.length; ++var3) {
            UIDefaults var4 = this.tables[var3];
            var2 = var4 != null ? var4.get(var1) : null;
            if (var2 != null) {
               return var2;
            }
         }

         return null;
      }
   }

   public boolean isEmpty() {
      return this.size() == 0;
   }

   public Enumeration keys() {
      Enumeration[] var1 = new Enumeration[1 + this.tables.length];
      var1[0] = super.keys();

      for(int var2 = 0; var2 < this.tables.length; ++var2) {
         UIDefaults var3 = this.tables[var2];
         if (var3 != null) {
            var1[var2 + 1] = ((Hashtable)var3).keys();
         }
      }

      return new MultiUIDefaultsEnumerator(var1);
   }

   public Object remove(Object var1) {
      Object var2 = super.remove(var1);
      if (var2 != null) {
         return var2;
      } else {
         for(int var3 = 0; var3 < this.tables.length; ++var3) {
            UIDefaults var4 = this.tables[var3];
            var2 = var4 != null ? ((Hashtable)var4).remove(var1) : null;
            if (var2 != null) {
               return var2;
            }
         }

         return null;
      }
   }

   public int size() {
      int var1 = super.size();

      for(int var2 = 0; var2 < this.tables.length; ++var2) {
         UIDefaults var3 = this.tables[var2];
         var1 += var3 != null ? ((Hashtable)var3).size() : 0;
      }

      return var1;
   }
}
