package javax.swing;

import java.awt.EventQueue;
import java.awt.Toolkit;

class SystemEventQueueUtilities$SystemEventQueue {
   private static boolean checkedEventQueue = false;
   private static EventQueue eventQueue = null;

   static EventQueue get() {
      if (!checkedEventQueue) {
         init((JComponent)null);
      }

      return eventQueue;
   }

   static EventQueue get(JRootPane var0) {
      if (!checkedEventQueue) {
         init(var0);
      }

      return eventQueue;
   }

   private static void init(JComponent var0) {
      Object var1 = SystemEventQueueUtilities.access$0();
      synchronized(var1){}

      try {
         if (!checkedEventQueue) {
            if (var0 != null && var0.getClientProperty("defeatSystemEventQueueCheck") != null) {
               checkedEventQueue = true;
            } else {
               try {
                  eventQueue = Toolkit.getDefaultToolkit().getSystemEventQueue();
               } catch (SecurityException var11) {
                  if (!SwingUtilities.is1dot2) {
                     System.err.println("Swing: checked access to system event queue.");
                  }
               } finally {
                  checkedEventQueue = true;
               }
            }
         }
      } catch (Throwable var13) {
         throw var13;
      }

   }
}
