package javax.swing.colorchooser;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Container;
import java.awt.event.MouseListener;
import javax.swing.Icon;
import javax.swing.JColorChooser;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.UIManager;
import javax.swing.border.CompoundBorder;
import javax.swing.border.EmptyBorder;
import javax.swing.border.LineBorder;

class DefaultSwatchChooserPanel extends AbstractColorChooserPanel {
   SwatchPanel swatchPanel;
   RecentSwatchPanel recentSwatchPanel;
   MouseListener mainSwatchListener;
   MouseListener recentSwatchListener;
   private static String recentStr = UIManager.getString("ColorChooser.swatchesRecentText");

   public DefaultSwatchChooserPanel() {
   }

   protected void buildChooser() {
      JPanel var1 = new JPanel(new BorderLayout());
      this.swatchPanel = new MainSwatchPanel();
      this.swatchPanel.getAccessibleContext().setAccessibleName(this.getDisplayName());
      this.recentSwatchPanel = new RecentSwatchPanel();
      this.recentSwatchPanel.getAccessibleContext().setAccessibleName(recentStr);
      this.mainSwatchListener = new MainSwatchListener(this);
      this.swatchPanel.addMouseListener(this.mainSwatchListener);
      this.recentSwatchListener = new RecentSwatchListener(this);
      this.recentSwatchPanel.addMouseListener(this.recentSwatchListener);
      JPanel var2 = new JPanel(new BorderLayout());
      CompoundBorder var3 = new CompoundBorder(new LineBorder(Color.black), new LineBorder(Color.white));
      ((JComponent)var2).setBorder(var3);
      ((Container)var2).add(this.swatchPanel, "Center");
      ((Container)var1).add(var2, "Center");
      JPanel var4 = new JPanel(new BorderLayout());
      this.recentSwatchPanel.addMouseListener(this.recentSwatchListener);
      ((JComponent)var4).setBorder(var3);
      ((Container)var4).add(this.recentSwatchPanel, "Center");
      JPanel var5 = new JPanel(new BorderLayout());
      ((Container)var5).add(var4, "Center");
      JLabel var6 = new JLabel(recentStr);
      var6.setLabelFor(this.recentSwatchPanel);
      ((Container)var5).add(var6, "North");
      JPanel var7 = new JPanel(new CenterLayout());
      ((JComponent)var7).setBorder(new EmptyBorder(2, 10, 2, 2));
      ((Container)var7).add(var5);
      ((Container)var1).add(var7, "East");
      ((Container)this).add(var1);
   }

   public String getDisplayName() {
      return UIManager.getString("ColorChooser.swatchesNameText");
   }

   public Icon getLargeDisplayIcon() {
      return null;
   }

   public Icon getSmallDisplayIcon() {
      return null;
   }

   public void installChooserPanel(JColorChooser var1) {
      super.installChooserPanel(var1);
   }

   public void uninstallChooserPanel(JColorChooser var1) {
      super.uninstallChooserPanel(var1);
      this.swatchPanel.removeMouseListener(this.mainSwatchListener);
      this.recentSwatchPanel.removeMouseListener(this.recentSwatchListener);
      this.swatchPanel = null;
      this.recentSwatchPanel = null;
      this.mainSwatchListener = null;
      this.recentSwatchListener = null;
      ((Container)this).removeAll();
   }

   public void updateChooser() {
   }
}
