package javax.swing.colorchooser;

import java.awt.Toolkit;
import javax.swing.JComponent;
import javax.swing.JTextField;
import javax.swing.KeyStroke;
import javax.swing.text.JTextComponent;

class JIntegerTextField extends JTextField {
   public JIntegerTextField(int var1, int var2, int var3) {
      super(new NumericDocument(var1, var2), String.valueOf(var3), String.valueOf(var2).length() + 1);
      this.installKeyboardActions();
   }

   public int getIntegerValue() {
      return ((NumericDocument)((JTextComponent)this).getDocument()).getIntegerValue();
   }

   protected void installKeyboardActions() {
      KeyStroke var1 = KeyStroke.getKeyStroke(38, 0);
      KeyStroke var2 = KeyStroke.getKeyStroke(40, 0);
      KeyStroke var3 = KeyStroke.getKeyStroke("KP_UP");
      KeyStroke var4 = KeyStroke.getKeyStroke("KP_DOWN");
      ((JComponent)this).registerKeyboardAction(new ValueDelta(this, 1), var3, 0);
      ((JComponent)this).registerKeyboardAction(new ValueDelta(this, -1), var4, 0);
      ((JComponent)this).registerKeyboardAction(new ValueDelta(this, 1), var1, 0);
      ((JComponent)this).registerKeyboardAction(new ValueDelta(this, -1), var2, 0);
   }

   public void setText(String var1) {
      NumericDocument var2 = (NumericDocument)((JTextComponent)this).getDocument();
      int var3 = var2.currentVal;

      try {
         var2.currentVal = var2.parse(var1);
      } catch (Exception var4) {
         Toolkit.getDefaultToolkit().beep();
         return;
      }

      if (var3 != var2.currentVal) {
         var2.checkingEnabled = false;
         super.setText(var1);
         var2.checkingEnabled = true;
      }

   }
}
