package javax.swing.colorchooser;

import java.awt.Toolkit;
import javax.swing.text.AbstractDocument;
import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.PlainDocument;

class NumericDocument extends PlainDocument {
   int min;
   int max;
   int currentVal = 0;
   boolean checkingEnabled = true;

   public NumericDocument(int var1, int var2) {
      this.min = var1;
      this.max = var2;
   }

   public int getIntegerValue() {
      return this.currentVal;
   }

   public void insertString(int var1, String var2, AttributeSet var3) throws BadLocationException {
      if (var2 != null) {
         if (!this.checkingEnabled) {
            super.insertString(var1, var2, var3);
         } else {
            Object var4 = null;
            String var7;
            if (((AbstractDocument)this).getLength() == 0) {
               var7 = var2;
            } else {
               StringBuffer var5 = new StringBuffer(((AbstractDocument)this).getText(0, ((AbstractDocument)this).getLength()));
               var5.insert(var1, var2);
               var7 = var5.toString();
            }

            try {
               this.currentVal = this.parse(var7);
               super.insertString(var1, var2, var3);
            } catch (Exception var6) {
               Toolkit.getDefaultToolkit().beep();
            }

         }
      }
   }

   public int parse(String var1) throws NumberFormatException {
      int var2 = 0;
      if (var1.length() != 0) {
         var2 = Integer.parseInt(var1);
      }

      if (var2 >= this.min && var2 <= this.max) {
         return var2;
      } else {
         throw new NumberFormatException();
      }
   }

   public void remove(int var1, int var2) throws BadLocationException {
      if (!this.checkingEnabled) {
         super.remove(var1, var2);
      } else {
         String var3 = ((AbstractDocument)this).getText(0, ((AbstractDocument)this).getLength());
         String var4 = var3.substring(0, var1);
         String var5 = var3.substring(var2 + var1, var3.length());
         String var6 = var4 + var5;

         try {
            this.currentVal = this.parse(var6);
            super.remove(var1, var2);
         } catch (Exception var7) {
            Toolkit.getDefaultToolkit().beep();
         }

      }
   }
}
