package javax.swing.colorchooser;

import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import javax.swing.UIManager;

class RecentSwatchPanel extends SwatchPanel {
   protected void initColors() {
      Color var1 = UIManager.getColor("ColorChooser.swatchesDefaultRecentColor");
      int var2 = super.numSwatches.width * super.numSwatches.height;
      super.colors = new Color[var2];

      for(int var3 = 0; var3 < var2; ++var3) {
         super.colors[var3] = var1;
      }

   }

   protected void initValues() {
      super.swatchSize = UIManager.getDimension("ColorChooser.swatchesRecentSwatchSize");
      super.numSwatches = new Dimension(5, 7);
      super.gap = new Dimension(1, 1);
   }

   public void setMostRecentColor(Color var1) {
      System.arraycopy(super.colors, 0, super.colors, 1, super.colors.length - 1);
      super.colors[0] = var1;
      ((Component)this).repaint();
   }
}
