package javax.swing.colorchooser;

import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.event.MouseEvent;
import javax.swing.JComponent;
import javax.swing.JPanel;

class SwatchPanel extends JPanel {
   protected Color[] colors;
   protected Dimension swatchSize;
   protected Dimension numSwatches;
   protected Dimension gap;

   public SwatchPanel() {
      this.initValues();
      this.initColors();
      ((JComponent)this).setToolTipText("");
      ((JComponent)this).setOpaque(true);
      ((JComponent)this).setBackground(Color.white);
      ((JComponent)this).setRequestFocusEnabled(false);
   }

   private Color getColorForCell(int var1, int var2) {
      return this.colors[var2 * this.numSwatches.width + var1];
   }

   public Color getColorForLocation(int var1, int var2) {
      int var3 = var1 / (this.swatchSize.width + this.gap.width);
      int var4 = var2 / (this.swatchSize.height + this.gap.height);
      return this.getColorForCell(var3, var4);
   }

   public Dimension getPreferredSize() {
      int var1 = this.numSwatches.width * (this.swatchSize.width + this.gap.width) - 1;
      int var2 = this.numSwatches.height * (this.swatchSize.height + this.gap.height) - 1;
      return new Dimension(var1, var2);
   }

   public String getToolTipText(MouseEvent var1) {
      Color var2 = this.getColorForLocation(var1.getX(), var1.getY());
      return var2.getRed() + ", " + var2.getGreen() + ", " + var2.getBlue();
   }

   protected void initColors() {
   }

   protected void initValues() {
   }

   public boolean isFocusTraversable() {
      return false;
   }

   public void paintComponent(Graphics var1) {
      var1.setColor(((Component)this).getBackground());
      var1.fillRect(0, 0, ((JComponent)this).getWidth(), ((JComponent)this).getHeight());

      for(int var2 = 0; var2 < this.numSwatches.height; ++var2) {
         for(int var3 = 0; var3 < this.numSwatches.width; ++var3) {
            var1.setColor(this.getColorForCell(var3, var2));
            int var4 = var3 * (this.swatchSize.width + this.gap.width);
            int var5 = var2 * (this.swatchSize.height + this.gap.height);
            var1.fillRect(var4, var5, this.swatchSize.width, this.swatchSize.height);
            var1.setColor(Color.black);
            var1.drawLine(var4 + this.swatchSize.width - 1, var5, var4 + this.swatchSize.width - 1, var5 + this.swatchSize.height - 1);
            var1.drawLine(var4, var5 + this.swatchSize.height - 1, var4 + this.swatchSize.width - 1, var5 + this.swatchSize.width - 1);
         }
      }

   }
}
