package javax.swing.colorchooser;

import java.awt.image.ColorModel;
import java.awt.image.ImageConsumer;
import java.awt.image.ImageProducer;

abstract class SyntheticImage implements ImageProducer {
   private SyntheticImageGenerator root;
   protected int width = 10;
   protected int height = 100;
   // $FF: renamed from: cm java.awt.image.ColorModel
   static final ColorModel field_0 = ColorModel.getRGBdefault();
   public static final int pixMask = 255;
   private Thread runner;

   protected SyntheticImage() {
   }

   protected SyntheticImage(int var1, int var2) {
      this.width = var1;
      this.height = var2;
   }

   public synchronized void addConsumer(ImageConsumer var1) {
      for(SyntheticImageGenerator var2 = this.root; var2 != null; var2 = var2.next) {
         if (var2.ic == var1) {
            return;
         }
      }

      this.root = new SyntheticImageGenerator(var1, this.root, this);
   }

   protected void computeRow(int var1, int[] var2) {
      int var3 = 255 - 255 * var1 / (this.height - 1);
      var3 = -16777216 | var3 << 16 | var3 << 8 | var3;
      int var4 = var2.length;

      while(true) {
         --var4;
         if (var4 < 0) {
            return;
         }

         var2[var4] = var3;
      }
   }

   public synchronized boolean isConsumer(ImageConsumer var1) {
      for(SyntheticImageGenerator var2 = this.root; var2 != null; var2 = var2.next) {
         if (var2.ic == var1) {
            return true;
         }
      }

      return false;
   }

   protected boolean isStatic() {
      return true;
   }

   public void nextFrame(int var1) {
   }

   public synchronized void removeConsumer(ImageConsumer var1) {
      Object var2 = null;

      for(SyntheticImageGenerator var3 = this.root; var3 != null; var3 = var3.next) {
         if (var3.ic == var1) {
            var3.useful = false;
            if (var2 != null) {
               ((SyntheticImageGenerator)var2).next = var3.next;
            } else {
               this.root = var3.next;
            }

            return;
         }
      }

   }

   public void requestTopDownLeftRightResend(ImageConsumer var1) {
   }

   public synchronized void startProduction(ImageConsumer var1) {
      this.addConsumer(var1);

      for(SyntheticImageGenerator var2 = this.root; var2 != null; var2 = var2.next) {
         if (var2.useful && !((Thread)var2).isAlive()) {
            ((Thread)var2).start();
         }
      }

   }
}
