package javax.swing.plaf;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.Insets;
import java.io.Serializable;
import javax.swing.border.Border;

public class BorderUIResource implements Border, UIResource, Serializable {
   static Border etched;
   static Border loweredBevel;
   static Border raisedBevel;
   static Border blackLine;
   private Border delegate;

   public BorderUIResource(Border var1) {
      if (var1 == null) {
         throw new IllegalArgumentException("null border delegate argument");
      } else {
         this.delegate = var1;
      }
   }

   public static Border getBlackLineBorderUIResource() {
      if (blackLine == null) {
         blackLine = new LineBorderUIResource(Color.black);
      }

      return blackLine;
   }

   public Insets getBorderInsets(Component var1) {
      return this.delegate.getBorderInsets(var1);
   }

   public static Border getEtchedBorderUIResource() {
      if (etched == null) {
         etched = new EtchedBorderUIResource();
      }

      return etched;
   }

   public static Border getLoweredBevelBorderUIResource() {
      if (loweredBevel == null) {
         loweredBevel = new BevelBorderUIResource(1);
      }

      return loweredBevel;
   }

   public static Border getRaisedBevelBorderUIResource() {
      if (raisedBevel == null) {
         raisedBevel = new BevelBorderUIResource(0);
      }

      return raisedBevel;
   }

   public boolean isBorderOpaque() {
      return this.delegate.isBorderOpaque();
   }

   public void paintBorder(Component var1, Graphics var2, int var3, int var4, int var5, int var6) {
      this.delegate.paintBorder(var1, var2, var3, var4, var5, var6);
   }
}
