package javax.swing.plaf;

import java.awt.Component;
import java.awt.Dimension;
import java.awt.Graphics;
import javax.accessibility.Accessible;
import javax.swing.JComponent;
import javax.swing.SwingUtilities;

public abstract class ComponentUI {
   public boolean contains(JComponent var1, int var2, int var3) {
      return ((Component)var1).inside(var2, var3);
   }

   public static ComponentUI createUI(JComponent var0) {
      throw new Error("ComponentUI.createUI not implemented.");
   }

   public Accessible getAccessibleChild(JComponent var1, int var2) {
      return SwingUtilities.getAccessibleChild(var1, var2);
   }

   public int getAccessibleChildrenCount(JComponent var1) {
      return SwingUtilities.getAccessibleChildrenCount(var1);
   }

   public Dimension getMaximumSize(JComponent var1) {
      return this.getPreferredSize(var1);
   }

   public Dimension getMinimumSize(JComponent var1) {
      return this.getPreferredSize(var1);
   }

   public Dimension getPreferredSize(JComponent var1) {
      return null;
   }

   public void installUI(JComponent var1) {
   }

   public void paint(Graphics var1, JComponent var2) {
   }

   public void uninstallUI(JComponent var1) {
   }

   public void update(Graphics var1, JComponent var2) {
      if (var2.isOpaque()) {
         var1.setColor(((Component)var2).getBackground());
         var1.fillRect(0, 0, var2.getWidth(), var2.getHeight());
      }

      this.paint(var1, var2);
   }
}
