package javax.swing.plaf.basic;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.Insets;
import java.awt.Rectangle;
import javax.swing.JSplitPane;
import javax.swing.border.Border;
import javax.swing.plaf.UIResource;

public class BasicBorders$SplitPaneBorder implements Border, UIResource {
   protected Color highlight;
   protected Color shadow;

   public BasicBorders$SplitPaneBorder(Color var1, Color var2) {
      this.highlight = var1;
      this.shadow = var2;
   }

   public Insets getBorderInsets(Component var1) {
      return new Insets(1, 1, 1, 1);
   }

   public boolean isBorderOpaque() {
      return true;
   }

   public void paintBorder(Component var1, Graphics var2, int var3, int var4, int var5, int var6) {
      JSplitPane var9 = (JSplitPane)var1;
      Component var7 = var9.getLeftComponent();
      var2.setColor(var1.getBackground());
      var2.drawRect(var3, var4, var5 - 1, var6 - 1);
      if (var9.getOrientation() == 1) {
         if (var7 != null) {
            Rectangle var8 = var7.getBounds();
            var2.setColor(this.shadow);
            var2.drawLine(0, 0, var8.width + 1, 0);
            var2.drawLine(0, 1, 0, var8.height + 2);
            var2.setColor(this.highlight);
            var2.drawLine(1, var8.height + 1, var8.width + 1, var8.height + 1);
            var2.drawLine(var8.width + 1, 1, var8.width + 1, var8.height + 2);
         }

         var7 = var9.getRightComponent();
         if (var7 != null) {
            Rectangle var14 = var7.getBounds();
            int var10 = var14.x + var14.width;
            int var11 = var14.y + var14.height;
            var2.setColor(this.shadow);
            var2.drawLine(var14.x - 1, 0, var10, 0);
            var2.drawLine(var14.x - 1, var11, var14.x, var11);
            var2.drawLine(var14.x - 1, 0, var14.x - 1, var11);
            var2.setColor(this.highlight);
            var2.drawLine(var14.x, var11, var10, var11);
            var2.drawLine(var10, 0, var10, var11 + 1);
         }
      } else {
         if (var7 != null) {
            Rectangle var15 = var7.getBounds();
            var2.setColor(this.shadow);
            var2.drawLine(0, 0, var15.width + 1, 0);
            var2.drawLine(0, 1, 0, var15.height + 1);
            var2.setColor(this.highlight);
            var2.drawLine(1 + var15.width, 0, 1 + var15.width, var15.height + 1);
            var2.drawLine(0, var15.height + 1, var15.width, var15.height + 1);
         }

         var7 = var9.getRightComponent();
         if (var7 != null) {
            Rectangle var16 = var7.getBounds();
            int var17 = var16.x + var16.width;
            int var18 = var16.y + var16.height;
            var2.setColor(this.shadow);
            var2.drawLine(0, var16.y - 1, 0, var18);
            var2.drawLine(var17, var16.y - 1, var17, var16.y);
            var2.drawLine(0, var16.y - 1, var16.width, var16.y - 1);
            var2.setColor(this.highlight);
            var2.drawLine(0, var18, var16.width + 1, var18);
            var2.drawLine(var17, var16.y, var17, var18);
         }
      }

   }
}
