package javax.swing.plaf.basic;

import java.awt.Component;
import java.awt.Dimension;
import java.io.Serializable;
import javax.swing.Icon;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;
import javax.swing.border.Border;
import javax.swing.border.EmptyBorder;

public class BasicComboBoxRenderer extends JLabel implements ListCellRenderer, Serializable {
   protected static Border noFocusBorder = new EmptyBorder(1, 1, 1, 1);

   public BasicComboBoxRenderer() {
      ((JComponent)this).setOpaque(true);
      ((JComponent)this).setBorder(noFocusBorder);
   }

   public Component getListCellRendererComponent(JList var1, Object var2, int var3, boolean var4, boolean var5) {
      if (var4) {
         ((JComponent)this).setBackground(var1.getSelectionBackground());
         ((JComponent)this).setForeground(var1.getSelectionForeground());
      } else {
         ((JComponent)this).setBackground(((Component)var1).getBackground());
         ((JComponent)this).setForeground(((Component)var1).getForeground());
      }

      ((JComponent)this).setFont(((Component)var1).getFont());
      if (var2 instanceof Icon) {
         ((JLabel)this).setIcon((Icon)var2);
      } else {
         ((JLabel)this).setText(var2 == null ? "" : var2.toString());
      }

      return this;
   }

   public Dimension getPreferredSize() {
      Dimension var1;
      if (((JLabel)this).getText() != null && !((JLabel)this).getText().equals("")) {
         var1 = super.getPreferredSize();
      } else {
         ((JLabel)this).setText(" ");
         var1 = super.getPreferredSize();
         ((JLabel)this).setText("");
      }

      return var1;
   }
}
