package javax.swing.plaf.basic;

import java.io.Serializable;
import javax.swing.Icon;

public class BasicIconFactory implements Serializable {
   private static Icon frame_icon;
   private static Icon checkBoxIcon;
   private static Icon radioButtonIcon;
   private static Icon checkBoxMenuItemIcon;
   private static Icon radioButtonMenuItemIcon;
   private static Icon menuItemCheckIcon;
   private static Icon menuItemArrowIcon;
   private static Icon menuArrowIcon;

   public static Icon createEmptyFrameIcon() {
      if (frame_icon == null) {
         frame_icon = new EmptyFrameIcon();
      }

      return frame_icon;
   }

   public static Icon getCheckBoxIcon() {
      if (checkBoxIcon == null) {
         checkBoxIcon = new CheckBoxIcon();
      }

      return checkBoxIcon;
   }

   public static Icon getCheckBoxMenuItemIcon() {
      if (checkBoxMenuItemIcon == null) {
         checkBoxMenuItemIcon = new CheckBoxMenuItemIcon();
      }

      return checkBoxMenuItemIcon;
   }

   public static Icon getMenuArrowIcon() {
      if (menuArrowIcon == null) {
         menuArrowIcon = new MenuArrowIcon();
      }

      return menuArrowIcon;
   }

   public static Icon getMenuItemArrowIcon() {
      if (menuItemArrowIcon == null) {
         menuItemArrowIcon = new MenuItemArrowIcon();
      }

      return menuItemArrowIcon;
   }

   public static Icon getMenuItemCheckIcon() {
      if (menuItemCheckIcon == null) {
         menuItemCheckIcon = new MenuItemCheckIcon();
      }

      return menuItemCheckIcon;
   }

   public static Icon getRadioButtonIcon() {
      if (radioButtonIcon == null) {
         radioButtonIcon = new RadioButtonIcon();
      }

      return radioButtonIcon;
   }

   public static Icon getRadioButtonMenuItemIcon() {
      if (radioButtonMenuItemIcon == null) {
         radioButtonMenuItemIcon = new RadioButtonMenuItemIcon();
      }

      return radioButtonMenuItemIcon;
   }
}
