package javax.swing.plaf.basic;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Insets;
import java.awt.LayoutManager;

public class BasicOptionPaneUI$ButtonAreaLayout implements LayoutManager {
   protected boolean syncAllWidths;
   protected int padding;
   protected boolean centersChildren;

   public BasicOptionPaneUI$ButtonAreaLayout(boolean var1, int var2) {
      this.syncAllWidths = var1;
      this.padding = var2;
      this.centersChildren = true;
   }

   public void addLayoutComponent(String var1, Component var2) {
   }

   public boolean getCentersChildren() {
      return this.centersChildren;
   }

   public int getPadding() {
      return this.padding;
   }

   public boolean getSyncAllWidths() {
      return this.syncAllWidths;
   }

   public void layoutContainer(Container var1) {
      Component[] var2 = var1.getComponents();
      if (var2 != null && var2.length > 0) {
         int var3 = var2.length;
         Dimension[] var4 = new Dimension[var3];
         int var6 = var1.getInsets().top;
         if (this.syncAllWidths) {
            int var7 = 0;

            for(int var5 = 0; var5 < var3; ++var5) {
               var4[var5] = var2[var5].getPreferredSize();
               var7 = Math.max(var7, var4[var5].width);
            }

            int var8;
            int var9;
            if (this.getCentersChildren()) {
               int var10001 = var7 * var3 + (var3 - 1) * this.padding;
               var8 = (((Component)var1).getSize().width - var10001) / 2;
               var9 = this.padding + var7;
            } else if (var3 > 1) {
               var8 = 0;
               var9 = (((Component)var1).getSize().width - var7 * var3) / (var3 - 1) + var7;
            } else {
               var8 = (((Component)var1).getSize().width - var7) / 2;
               var9 = 0;
            }

            for(int var11 = 0; var11 < var3; ++var11) {
               var2[var11].setBounds(var8, var6, var7, var4[var11].height);
               var8 += var9;
            }
         } else {
            int var14 = 0;

            for(int var12 = 0; var12 < var3; ++var12) {
               var4[var12] = var2[var12].getPreferredSize();
               var14 += var4[var12].width;
            }

            var14 += (var3 - 1) * this.padding;
            boolean var16 = this.getCentersChildren();
            int var10;
            int var17;
            if (var16) {
               var10 = (((Component)var1).getSize().width - var14) / 2;
               var17 = this.padding;
            } else if (var3 > 1) {
               var17 = (((Component)var1).getSize().width - var14) / (var3 - 1);
               var10 = 0;
            } else {
               var10 = (((Component)var1).getSize().width - var14) / 2;
               var17 = 0;
            }

            for(int var13 = 0; var13 < var3; ++var13) {
               var2[var13].setBounds(var10, var6, var4[var13].width, var4[var13].height);
               var10 += var17 + var4[var13].width;
            }
         }
      }

   }

   public Dimension minimumLayoutSize(Container var1) {
      if (var1 != null) {
         Component[] var2 = var1.getComponents();
         if (var2 != null && var2.length > 0) {
            int var4 = var2.length;
            int var5 = 0;
            Insets var6 = var1.getInsets();
            int var7 = var6.top + var6.bottom;
            if (this.syncAllWidths) {
               int var12 = 0;

               for(int var13 = 0; var13 < var4; ++var13) {
                  Dimension var10 = var2[var13].getPreferredSize();
                  var5 = Math.max(var5, var10.height);
                  var12 = Math.max(var12, var10.width);
               }

               return new Dimension(var12 * var4 + (var4 - 1) * this.padding, var7 + var5);
            }

            int var8 = 0;

            for(int var9 = 0; var9 < var4; ++var9) {
               Dimension var3 = var2[var9].getPreferredSize();
               var5 = Math.max(var5, var3.height);
               var8 += var3.width;
            }

            var8 += (var4 - 1) * this.padding;
            return new Dimension(var8, var7 + var5);
         }
      }

      return new Dimension(0, 0);
   }

   public Dimension preferredLayoutSize(Container var1) {
      return this.minimumLayoutSize(var1);
   }

   public void removeLayoutComponent(Component var1) {
   }

   public void setCentersChildren(boolean var1) {
      this.centersChildren = var1;
   }

   public void setPadding(int var1) {
      this.padding = var1;
   }

   public void setSyncAllWidths(boolean var1) {
      this.syncAllWidths = var1;
   }
}
