package javax.swing.plaf.basic;

import javax.swing.JComponent;
import javax.swing.JPanel;
import javax.swing.LookAndFeel;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.PanelUI;

public class BasicPanelUI extends PanelUI {
   private static PanelUI panelUI;

   public static ComponentUI createUI(JComponent var0) {
      if (panelUI == null) {
         panelUI = new BasicPanelUI();
      }

      return panelUI;
   }

   protected void installDefaults(JPanel var1) {
      LookAndFeel.installColorsAndFont(var1, "Panel.background", "Panel.foreground", "Panel.font");
      LookAndFeel.installBorder(var1, "Panel.border");
   }

   public void installUI(JComponent var1) {
      JPanel var2 = (JPanel)var1;
      super.installUI(var2);
      this.installDefaults(var2);
   }

   protected void uninstallDefaults(JPanel var1) {
      LookAndFeel.uninstallBorder(var1);
   }

   public void uninstallUI(JComponent var1) {
      super.uninstallUI(var1);
   }
}
