package javax.swing.plaf.basic;

import java.beans.PropertyChangeEvent;
import javax.swing.JComponent;
import javax.swing.JTextArea;
import javax.swing.plaf.ComponentUI;
import javax.swing.text.Element;
import javax.swing.text.JTextComponent;
import javax.swing.text.PlainView;
import javax.swing.text.View;
import javax.swing.text.WrappedPlainView;

public class BasicTextAreaUI extends BasicTextUI {
   public View create(Element var1) {
      JTextComponent var2 = ((BasicTextUI)this).getComponent();
      if (var2 instanceof JTextArea) {
         JTextArea var3 = (JTextArea)var2;
         Object var4;
         if (var3.getLineWrap()) {
            var4 = new WrappedPlainView(var1, var3.getWrapStyleWord());
         } else {
            var4 = new PlainView(var1);
         }

         return (View)var4;
      } else {
         return null;
      }
   }

   public static ComponentUI createUI(JComponent var0) {
      return new BasicTextAreaUI();
   }

   protected String getPropertyPrefix() {
      return "TextArea";
   }

   protected void propertyChange(PropertyChangeEvent var1) {
      if (var1.getPropertyName().equals("lineWrap") || var1.getPropertyName().equals("wrapStyleWord")) {
         ((BasicTextUI)this).modelChanged();
      }

   }
}
