package javax.swing.plaf.metal;

import java.awt.Canvas;
import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Frame;
import java.awt.Graphics;
import java.awt.Image;

class BumpBuffer {
   static Frame frame;
   static Component component;
   static final int IMAGE_SIZE = 64;
   static Dimension imageSize = new Dimension(64, 64);
   transient Image image;
   Color topColor;
   Color shadowColor;
   Color backColor;

   public BumpBuffer(Color var1, Color var2, Color var3) {
      this.createComponent();
      this.image = this.getComponent().createImage(64, 64);
      this.topColor = var1;
      this.shadowColor = var2;
      this.backColor = var3;
      this.fillBumpBuffer();
   }

   protected void createComponent() {
      if (frame == null) {
         frame = new Frame("bufferCreator");
      }

      if (component == null) {
         component = new Canvas();
         frame.add(component, "Center");
      }

      frame.addNotify();
   }

   protected void fillBumpBuffer() {
      Graphics var1 = this.image.getGraphics();
      var1.setColor(this.backColor);
      var1.fillRect(0, 0, 64, 64);
      var1.setColor(this.topColor);

      for(int var2 = 0; var2 < 64; var2 += 4) {
         for(int var3 = 0; var3 < 64; var3 += 4) {
            var1.drawLine(var2, var3, var2, var3);
            var1.drawLine(var2 + 2, var3 + 2, var2 + 2, var3 + 2);
         }
      }

      var1.setColor(this.shadowColor);

      for(int var5 = 0; var5 < 64; var5 += 4) {
         for(int var4 = 0; var4 < 64; var4 += 4) {
            var1.drawLine(var5 + 1, var4 + 1, var5 + 1, var4 + 1);
            var1.drawLine(var5 + 3, var4 + 3, var5 + 3, var4 + 3);
         }
      }

   }

   protected Component getComponent() {
      return component;
   }

   public Image getImage() {
      if (this.image == null) {
         this.image = this.getComponent().createImage(64, 64);
         this.fillBumpBuffer();
      }

      return this.image;
   }

   public Dimension getImageSize() {
      return imageSize;
   }

   public boolean hasSameColors(Color var1, Color var2, Color var3) {
      return this.topColor.equals(var1) && this.shadowColor.equals(var2) && this.backColor.equals(var3);
   }
}
