package javax.swing.plaf.metal;

import java.awt.Font;
import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.FontUIResource;

public class DefaultMetalTheme extends MetalTheme {
   private final ColorUIResource primary1 = new ColorUIResource(102, 102, 153);
   private final ColorUIResource primary2 = new ColorUIResource(153, 153, 204);
   private final ColorUIResource primary3 = new ColorUIResource(204, 204, 255);
   private final ColorUIResource secondary1 = new ColorUIResource(102, 102, 102);
   private final ColorUIResource secondary2 = new ColorUIResource(153, 153, 153);
   private final ColorUIResource secondary3 = new ColorUIResource(204, 204, 204);
   private FontUIResource controlFont;
   private FontUIResource systemFont;
   private FontUIResource userFont;
   private FontUIResource smallFont;

   public DefaultMetalTheme() {
      try {
         this.controlFont = new FontUIResource(Font.getFont("swing.plaf.metal.controlFont", new Font("Dialog", 1, 12)));
         this.systemFont = new FontUIResource(Font.getFont("swing.plaf.metal.systemFont", new Font("Dialog", 0, 12)));
         this.userFont = new FontUIResource(Font.getFont("swing.plaf.metal.userFont", new Font("Dialog", 0, 12)));
         this.smallFont = new FontUIResource(Font.getFont("swing.plaf.metal.smallFont", new Font("Dialog", 0, 10)));
      } catch (Exception var1) {
         this.controlFont = new FontUIResource("Dialog", 1, 12);
         this.systemFont = new FontUIResource("Dialog", 0, 12);
         this.userFont = new FontUIResource("Dialog", 0, 12);
         this.smallFont = new FontUIResource("Dialog", 0, 10);
      }

   }

   public FontUIResource getControlTextFont() {
      return this.controlFont;
   }

   public FontUIResource getMenuTextFont() {
      return this.controlFont;
   }

   public String getName() {
      return "Steel";
   }

   protected ColorUIResource getPrimary1() {
      return this.primary1;
   }

   protected ColorUIResource getPrimary2() {
      return this.primary2;
   }

   protected ColorUIResource getPrimary3() {
      return this.primary3;
   }

   protected ColorUIResource getSecondary1() {
      return this.secondary1;
   }

   protected ColorUIResource getSecondary2() {
      return this.secondary2;
   }

   protected ColorUIResource getSecondary3() {
      return this.secondary3;
   }

   public FontUIResource getSubTextFont() {
      return this.smallFont;
   }

   public FontUIResource getSystemTextFont() {
      return this.systemFont;
   }

   public FontUIResource getUserTextFont() {
      return this.userFont;
   }

   public FontUIResource getWindowTitleFont() {
      return this.controlFont;
   }
}
