package javax.swing.plaf.metal;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Insets;
import javax.swing.JInternalFrame;
import javax.swing.border.AbstractBorder;
import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.UIResource;

public class MetalBorders$InternalFrameBorder extends AbstractBorder implements UIResource {
   private static final Insets insets = new Insets(5, 5, 5, 5);
   private static final int corner = 14;

   public Insets getBorderInsets(Component var1) {
      return insets;
   }

   public void paintBorder(Component var1, Graphics var2, int var3, int var4, int var5, int var6) {
      ColorUIResource var7;
      ColorUIResource var8;
      ColorUIResource var9;
      if (var1 instanceof JInternalFrame && ((JInternalFrame)var1).isSelected()) {
         var7 = MetalLookAndFeel.getPrimaryControlDarkShadow();
         var8 = MetalLookAndFeel.getPrimaryControlShadow();
         var9 = MetalLookAndFeel.getPrimaryControlInfo();
      } else {
         var7 = MetalLookAndFeel.getControlDarkShadow();
         var8 = MetalLookAndFeel.getControlShadow();
         var9 = MetalLookAndFeel.getControlInfo();
      }

      var2.setColor(var7);
      var2.drawLine(1, 0, var5 - 2, 0);
      var2.drawLine(0, 1, 0, var6 - 2);
      var2.drawLine(var5 - 1, 1, var5 - 1, var6 - 2);
      var2.drawLine(1, var6 - 1, var5 - 2, var6 - 1);

      for(int var10 = 1; var10 < 5; ++var10) {
         var2.drawRect(var3 + var10, var4 + var10, var5 - var10 * 2 - 1, var6 - var10 * 2 - 1);
      }

      var2.setColor(var8);
      var2.drawLine(15, 3, var5 - 14, 3);
      var2.drawLine(3, 15, 3, var6 - 14);
      var2.drawLine(var5 - 2, 15, var5 - 2, var6 - 14);
      var2.drawLine(15, var6 - 2, var5 - 14, var6 - 2);
      var2.setColor(var9);
      var2.drawLine(14, 2, var5 - 14 - 1, 2);
      var2.drawLine(2, 14, 2, var6 - 14 - 1);
      var2.drawLine(var5 - 3, 14, var5 - 3, var6 - 14 - 1);
      var2.drawLine(14, var6 - 3, var5 - 14 - 1, var6 - 3);
   }
}
