package javax.swing.plaf.metal;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Insets;
import javax.swing.AbstractButton;
import javax.swing.ButtonModel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.border.AbstractBorder;
import javax.swing.plaf.UIResource;

public class MetalBorders$MenuItemBorder extends AbstractBorder implements UIResource {
   protected static Insets borderInsets = new Insets(2, 2, 2, 2);

   public Insets getBorderInsets(Component var1) {
      return borderInsets;
   }

   public void paintBorder(Component var1, Graphics var2, int var3, int var4, int var5, int var6) {
      JMenuItem var7 = (JMenuItem)var1;
      ButtonModel var8 = ((AbstractButton)var7).getModel();
      var2.translate(var3, var4);
      if (var1.getParent() instanceof JMenuBar) {
         if (var8.isArmed() || var8.isSelected()) {
            var2.setColor(MetalLookAndFeel.getControlDarkShadow());
            var2.drawLine(0, 0, var5 - 2, 0);
            var2.drawLine(0, 0, 0, var6 - 1);
            var2.drawLine(var5 - 2, 2, var5 - 2, var6 - 1);
            var2.setColor(MetalLookAndFeel.getPrimaryControlHighlight());
            var2.drawLine(var5 - 1, 1, var5 - 1, var6 - 1);
            var2.setColor(MetalLookAndFeel.getMenuBackground());
            var2.drawLine(var5 - 1, 0, var5 - 1, 0);
         }
      } else if (!var8.isArmed() && (!(var1 instanceof JMenu) || !var8.isSelected())) {
         var2.setColor(MetalLookAndFeel.getPrimaryControlHighlight());
         var2.drawLine(0, 0, 0, var6 - 1);
      } else {
         var2.setColor(MetalLookAndFeel.getPrimaryControlDarkShadow());
         var2.drawLine(0, 0, var5 - 1, 0);
         var2.setColor(MetalLookAndFeel.getPrimaryControlHighlight());
         var2.drawLine(0, var6 - 1, var5 - 1, var6 - 1);
      }

      var2.translate(-var3, -var4);
   }
}
