package javax.swing.plaf.metal;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Insets;
import javax.swing.JToolBar;
import javax.swing.SwingConstants;
import javax.swing.border.AbstractBorder;
import javax.swing.plaf.UIResource;

public class MetalBorders$ToolBarBorder extends AbstractBorder implements UIResource, SwingConstants {
   protected MetalBumps bumps = new MetalBumps(10, 10, MetalLookAndFeel.getControlHighlight(), MetalLookAndFeel.getControlDarkShadow(), MetalLookAndFeel.getMenuBackground());

   public Insets getBorderInsets(Component var1) {
      Insets var2 = new Insets(2, 2, 2, 2);
      if (((JToolBar)var1).isFloatable()) {
         if (((JToolBar)var1).getOrientation() == 0) {
            var2.left = 16;
         } else {
            var2.top = 16;
         }
      }

      Insets var3 = ((JToolBar)var1).getMargin();
      if (var3 != null) {
         var2.left += var3.left;
         var2.top += var3.top;
         var2.right += var3.right;
         var2.bottom += var3.bottom;
      }

      return var2;
   }

   public void paintBorder(Component var1, Graphics var2, int var3, int var4, int var5, int var6) {
      var2.translate(var3, var4);
      if (((JToolBar)var1).isFloatable()) {
         if (((JToolBar)var1).getOrientation() == 0) {
            this.bumps.setBumpArea(10, var1.getSize().height - 4);
            if (MetalUtils.isLeftToRight(var1)) {
               this.bumps.paintIcon(var1, var2, 2, 2);
            } else {
               this.bumps.paintIcon(var1, var2, var1.getBounds().width - 12, 2);
            }
         } else {
            this.bumps.setBumpArea(var1.getSize().width - 4, 10);
            this.bumps.paintIcon(var1, var2, 2, 2);
         }
      }

      var2.translate(-var3, -var4);
   }
}
