package javax.swing.plaf.metal;

import javax.swing.AbstractButton;
import javax.swing.JComponent;
import javax.swing.UIManager;
import javax.swing.plaf.ComponentUI;

public class MetalCheckBoxUI extends MetalRadioButtonUI {
   private static final MetalCheckBoxUI checkboxUI = new MetalCheckBoxUI();
   private static final String propertyPrefix = "CheckBox.";
   private boolean defaults_initialized = false;

   public static ComponentUI createUI(JComponent var0) {
      return checkboxUI;
   }

   public String getPropertyPrefix() {
      return "CheckBox.";
   }

   public void installDefaults(AbstractButton var1) {
      super.installDefaults(var1);
      if (!this.defaults_initialized) {
         super.icon = UIManager.getIcon(this.getPropertyPrefix() + "icon");
         this.defaults_initialized = true;
      }

   }

   protected void uninstallDefaults(AbstractButton var1) {
      super.uninstallDefaults(var1);
      this.defaults_initialized = false;
   }
}
