package javax.swing.plaf.metal;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.LayoutManager;
import javax.swing.Icon;
import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JInternalFrame;
import javax.swing.JLabel;
import javax.swing.LookAndFeel;
import javax.swing.border.MatteBorder;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.basic.BasicDesktopIconUI;

public class MetalDesktopIconUI extends BasicDesktopIconUI {
   JButton button;
   JLabel label;
   TitleListener titleListener;

   public static ComponentUI createUI(JComponent var0) {
      return new MetalDesktopIconUI();
   }

   public Dimension getPreferredSize(JComponent var1) {
      return null;
   }

   protected void installComponents() {
      JInternalFrame var1 = super.desktopIcon.getInternalFrame();
      Icon var2 = var1.getFrameIcon();
      String var3 = var1.getTitle();
      this.button = new JButton(var3, var2);
      this.button.addActionListener(new 1(this));
      this.button.setFont(super.desktopIcon.getFont());
      this.button.setBackground(super.desktopIcon.getBackground());
      this.button.setForeground(super.desktopIcon.getForeground());
      int var4 = this.button.getPreferredSize().height;
      MetalBumps var5 = new MetalBumps(var4 / 3, var4, MetalLookAndFeel.getControlHighlight(), MetalLookAndFeel.getControlDarkShadow(), MetalLookAndFeel.getControl());
      this.label = new JLabel(var5);
      this.label.setBorder(new MatteBorder(0, 2, 0, 1, super.desktopIcon.getBackground()));
      super.desktopIcon.setLayout(new BorderLayout(2, 0));
      super.desktopIcon.add(this.button, "Center");
      super.desktopIcon.add(this.label, "West");
      super.desktopIcon.getInternalFrame().addPropertyChangeListener(this.titleListener = new TitleListener(this));
   }

   protected void installDefaults() {
      super.installDefaults();
      LookAndFeel.installColorsAndFont(super.desktopIcon, "DesktopIcon.background", "DesktopIcon.foreground", "DesktopIcon.font");
      super.desktopIcon.setOpaque(true);
   }

   protected void uninstallComponents() {
      super.desktopIcon.setLayout((LayoutManager)null);
      super.desktopIcon.remove(this.label);
      super.desktopIcon.remove(this.button);
      super.desktopIcon.getInternalFrame().removePropertyChangeListener(this.titleListener);
   }
}
