package javax.swing.plaf.metal;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.ImageObserver;
import java.io.Serializable;
import javax.swing.Icon;

public class MetalIconFactory$TreeControlIcon implements Icon, Serializable {
   protected boolean isLight;
   transient Image image;
   transient Color cachedBackground;

   public MetalIconFactory$TreeControlIcon(boolean var1) {
      this.isLight = var1;
   }

   public int getIconHeight() {
      return MetalIconFactory.access$2().height;
   }

   public int getIconWidth() {
      return MetalIconFactory.access$2().width;
   }

   public void paintIcon(Component var1, Graphics var2, int var3, int var4) {
      Color var5 = var1.getBackground();
      if (this.image == null || !this.cachedBackground.equals(var5)) {
         this.cachedBackground = var5;
         this.image = var1.createImage(this.getIconWidth(), this.getIconHeight());
         Graphics var6 = this.image.getGraphics();
         this.paintMe(var1, var6, var3, var4);
      }

      if (this.isLight) {
         var2.drawImage(this.image, var3 + 5, var4 + 3, var3 + 18, var4 + 13, 4, 3, 17, 13, (ImageObserver)null);
      } else {
         var2.drawImage(this.image, var3 + 5, var4 + 3, var3 + 18, var4 + 17, 4, 3, 17, 17, (ImageObserver)null);
      }

   }

   public void paintMe(Component var1, Graphics var2, int var3, int var4) {
      var2.setColor(this.cachedBackground);
      var2.fillRect(0, 0, MetalIconFactory.access$2().width, MetalIconFactory.access$2().height);
      var2.setColor(MetalLookAndFeel.getPrimaryControlInfo());
      var2.drawLine(4, 6, 4, 9);
      var2.drawLine(5, 5, 5, 5);
      var2.drawLine(6, 4, 9, 4);
      var2.drawLine(10, 5, 10, 5);
      var2.drawLine(11, 6, 11, 9);
      var2.drawLine(10, 10, 10, 10);
      var2.drawLine(6, 11, 9, 11);
      var2.drawLine(5, 10, 5, 10);
      var2.drawLine(7, 7, 8, 7);
      var2.drawLine(7, 8, 8, 8);
      if (this.isLight) {
         var2.drawLine(12, 7, 15, 7);
         var2.drawLine(12, 8, 15, 8);
      } else {
         var2.drawLine(7, 12, 7, 15);
         var2.drawLine(8, 12, 8, 15);
      }

      var2.setColor(MetalLookAndFeel.getPrimaryControlDarkShadow());
      var2.drawLine(5, 6, 5, 9);
      var2.drawLine(6, 5, 9, 5);
      var2.setColor(MetalLookAndFeel.getPrimaryControlShadow());
      var2.drawLine(6, 6, 6, 6);
      var2.drawLine(9, 6, 9, 6);
      var2.drawLine(6, 9, 6, 9);
      var2.drawLine(10, 6, 10, 9);
      var2.drawLine(6, 10, 9, 10);
      var2.setColor(MetalLookAndFeel.getPrimaryControl());
      var2.drawLine(6, 7, 6, 8);
      var2.drawLine(7, 6, 8, 6);
      var2.drawLine(9, 7, 9, 7);
      var2.drawLine(7, 9, 7, 9);
      var2.setColor(MetalLookAndFeel.getPrimaryControlHighlight());
      var2.drawLine(8, 9, 9, 9);
      var2.drawLine(9, 8, 9, 8);
   }
}
