package javax.swing.plaf.metal;

import java.awt.Component;
import java.awt.Graphics;
import java.io.Serializable;
import javax.swing.Icon;
import javax.swing.JComponent;
import javax.swing.JSlider;
import javax.swing.plaf.UIResource;

class MetalIconFactory$VerticalSliderThumbIcon implements Icon, Serializable, UIResource {
   protected static MetalBumps controlBumps;
   protected static MetalBumps primaryBumps;

   public MetalIconFactory$VerticalSliderThumbIcon() {
      controlBumps = new MetalBumps(6, 10, MetalLookAndFeel.getControlHighlight(), MetalLookAndFeel.getControlInfo(), MetalLookAndFeel.getControl());
      primaryBumps = new MetalBumps(6, 10, MetalLookAndFeel.getPrimaryControl(), MetalLookAndFeel.getPrimaryControlDarkShadow(), MetalLookAndFeel.getPrimaryControlShadow());
   }

   public int getIconHeight() {
      return 15;
   }

   public int getIconWidth() {
      return 16;
   }

   public void paintIcon(Component var1, Graphics var2, int var3, int var4) {
      JSlider var5 = (JSlider)var1;
      var2.translate(var3, var4);
      if (((JComponent)var5).hasFocus()) {
         var2.setColor(MetalLookAndFeel.getPrimaryControlInfo());
      } else {
         var2.setColor(((Component)var5).isEnabled() ? MetalLookAndFeel.getPrimaryControlInfo() : MetalLookAndFeel.getControlDarkShadow());
      }

      var2.drawLine(1, 0, 8, 0);
      var2.drawLine(0, 1, 0, 13);
      var2.drawLine(1, 14, 8, 14);
      var2.drawLine(9, 1, 15, 7);
      var2.drawLine(9, 13, 15, 7);
      if (((JComponent)var5).hasFocus()) {
         var2.setColor(var1.getForeground());
      } else {
         var2.setColor(MetalLookAndFeel.getControl());
      }

      var2.fillRect(1, 1, 8, 13);
      var2.drawLine(9, 2, 9, 12);
      var2.drawLine(10, 3, 10, 11);
      var2.drawLine(11, 4, 11, 10);
      var2.drawLine(12, 5, 12, 9);
      var2.drawLine(13, 6, 13, 8);
      var2.drawLine(14, 7, 14, 7);
      if (((Component)var5).isEnabled()) {
         if (((JComponent)var5).hasFocus()) {
            primaryBumps.paintIcon(var1, var2, 2, 2);
         } else {
            controlBumps.paintIcon(var1, var2, 2, 2);
         }
      }

      if (((Component)var5).isEnabled()) {
         var2.setColor(((JComponent)var5).hasFocus() ? MetalLookAndFeel.getPrimaryControl() : MetalLookAndFeel.getControlHighlight());
         var2.drawLine(1, 1, 8, 1);
         var2.drawLine(1, 1, 1, 13);
      }

      var2.translate(-var3, -var4);
   }
}
