package javax.swing.plaf.metal;

import java.util.Enumeration;
import java.util.ResourceBundle;
import javax.swing.KeyStroke;
import javax.swing.UIDefaults;
import javax.swing.border.LineBorder;
import javax.swing.border.MatteBorder;
import javax.swing.plaf.BorderUIResource;
import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.FontUIResource;
import javax.swing.plaf.InsetsUIResource;
import javax.swing.plaf.basic.BasicBorders;
import javax.swing.plaf.basic.BasicLookAndFeel;
import javax.swing.text.JTextComponent;

public class MetalLookAndFeel extends BasicLookAndFeel {
   private static MetalTheme currentTheme;

   protected void createDefaultTheme() {
      if (currentTheme == null) {
         currentTheme = new DefaultMetalTheme();
      }

   }

   public static ColorUIResource getAcceleratorForeground() {
      return currentTheme.getAcceleratorForeground();
   }

   public static ColorUIResource getAcceleratorSelectedForeground() {
      return currentTheme.getAcceleratorSelectedForeground();
   }

   public static ColorUIResource getBlack() {
      return currentTheme.getBlack();
   }

   public static ColorUIResource getControl() {
      return currentTheme.getControl();
   }

   public static ColorUIResource getControlDarkShadow() {
      return currentTheme.getControlDarkShadow();
   }

   public static ColorUIResource getControlDisabled() {
      return currentTheme.getControlDisabled();
   }

   public static ColorUIResource getControlHighlight() {
      return currentTheme.getControlHighlight();
   }

   public static ColorUIResource getControlInfo() {
      return currentTheme.getControlInfo();
   }

   public static ColorUIResource getControlShadow() {
      return currentTheme.getControlShadow();
   }

   public static ColorUIResource getControlTextColor() {
      return currentTheme.getControlTextColor();
   }

   public static FontUIResource getControlTextFont() {
      return currentTheme.getControlTextFont();
   }

   public UIDefaults getDefaults() {
      this.createDefaultTheme();
      UIDefaults var1 = super.getDefaults();
      currentTheme.addCustomEntriesToTable(var1);
      return var1;
   }

   public String getDescription() {
      return "The Java(tm) Look and Feel";
   }

   public static ColorUIResource getDesktopColor() {
      return currentTheme.getDesktopColor();
   }

   public static ColorUIResource getFocusColor() {
      return currentTheme.getFocusColor();
   }

   public static ColorUIResource getHighlightedTextColor() {
      return currentTheme.getHighlightedTextColor();
   }

   public String getID() {
      return "Metal";
   }

   public static ColorUIResource getInactiveControlTextColor() {
      return currentTheme.getInactiveControlTextColor();
   }

   public static ColorUIResource getInactiveSystemTextColor() {
      return currentTheme.getInactiveSystemTextColor();
   }

   public static ColorUIResource getMenuBackground() {
      return currentTheme.getMenuBackground();
   }

   public static ColorUIResource getMenuDisabledForeground() {
      return currentTheme.getMenuDisabledForeground();
   }

   public static ColorUIResource getMenuForeground() {
      return currentTheme.getMenuForeground();
   }

   public static ColorUIResource getMenuSelectedBackground() {
      return currentTheme.getMenuSelectedBackground();
   }

   public static ColorUIResource getMenuSelectedForeground() {
      return currentTheme.getMenuSelectedForeground();
   }

   public static FontUIResource getMenuTextFont() {
      return currentTheme.getMenuTextFont();
   }

   public String getName() {
      return "Metal";
   }

   public static ColorUIResource getPrimaryControl() {
      return currentTheme.getPrimaryControl();
   }

   public static ColorUIResource getPrimaryControlDarkShadow() {
      return currentTheme.getPrimaryControlDarkShadow();
   }

   public static ColorUIResource getPrimaryControlHighlight() {
      return currentTheme.getPrimaryControlHighlight();
   }

   public static ColorUIResource getPrimaryControlInfo() {
      return currentTheme.getPrimaryControlInfo();
   }

   public static ColorUIResource getPrimaryControlShadow() {
      return currentTheme.getPrimaryControlShadow();
   }

   public static ColorUIResource getSeparatorBackground() {
      return currentTheme.getSeparatorBackground();
   }

   public static ColorUIResource getSeparatorForeground() {
      return currentTheme.getSeparatorForeground();
   }

   public static FontUIResource getSubTextFont() {
      return currentTheme.getSubTextFont();
   }

   public static ColorUIResource getSystemTextColor() {
      return currentTheme.getSystemTextColor();
   }

   public static FontUIResource getSystemTextFont() {
      return currentTheme.getSystemTextFont();
   }

   public static ColorUIResource getTextHighlightColor() {
      return currentTheme.getTextHighlightColor();
   }

   public static ColorUIResource getUserTextColor() {
      return currentTheme.getUserTextColor();
   }

   public static FontUIResource getUserTextFont() {
      return currentTheme.getUserTextFont();
   }

   public static ColorUIResource getWhite() {
      return currentTheme.getWhite();
   }

   public static ColorUIResource getWindowBackground() {
      return currentTheme.getWindowBackground();
   }

   public static ColorUIResource getWindowTitleBackground() {
      return currentTheme.getWindowTitleBackground();
   }

   public static FontUIResource getWindowTitleFont() {
      return currentTheme.getWindowTitleFont();
   }

   public static ColorUIResource getWindowTitleForeground() {
      return currentTheme.getWindowTitleForeground();
   }

   public static ColorUIResource getWindowTitleInactiveBackground() {
      return currentTheme.getWindowTitleInactiveBackground();
   }

   public static ColorUIResource getWindowTitleInactiveForeground() {
      return currentTheme.getWindowTitleInactiveForeground();
   }

   protected void initClassDefaults(UIDefaults var1) {
      super.initClassDefaults(var1);
      String var2 = "javax.swing.plaf.metal.";
      Object[] var3 = new Object[]{"ButtonUI", var2 + "MetalButtonUI", "CheckBoxUI", var2 + "MetalCheckBoxUI", "RadioButtonUI", var2 + "MetalRadioButtonUI", "ToggleButtonUI", var2 + "MetalToggleButtonUI", "ProgressBarUI", var2 + "MetalProgressBarUI", "ScrollBarUI", var2 + "MetalScrollBarUI", "ScrollPaneUI", var2 + "MetalScrollPaneUI", "SplitPaneUI", var2 + "MetalSplitPaneUI", "SliderUI", var2 + "MetalSliderUI", "SeparatorUI", var2 + "MetalSeparatorUI", "PopupMenuSeparatorUI", var2 + "MetalPopupMenuSeparatorUI", "TabbedPaneUI", var2 + "MetalTabbedPaneUI", "TextFieldUI", var2 + "MetalTextFieldUI", "TreeUI", var2 + "MetalTreeUI", "LabelUI", var2 + "MetalLabelUI", "ToolBarUI", var2 + "MetalToolBarUI", "ToolTipUI", var2 + "MetalToolTipUI", "ComboBoxUI", var2 + "MetalComboBoxUI", "InternalFrameUI", var2 + "MetalInternalFrameUI", "DesktopIconUI", var2 + "MetalDesktopIconUI", "FileChooserUI", var2 + "MetalFileChooserUI"};
      var1.putDefaults(var3);
   }

   protected void initComponentDefaults(UIDefaults var1) {
      super.initComponentDefaults(var1);
      this.loadResourceBundle(var1);
      BasicBorders.MarginBorder var2 = new BasicBorders.MarginBorder();
      MetalBorders.Flush3DBorder var3 = new MetalBorders.Flush3DBorder();
      BorderUIResource.CompoundBorderUIResource var4 = new BorderUIResource.CompoundBorderUIResource(new MetalBorders.TextFieldBorder(), var2);
      BorderUIResource.CompoundBorderUIResource var5 = new BorderUIResource.CompoundBorderUIResource(var3, var2);
      JTextComponent.KeyBinding[] var6 = new JTextComponent.KeyBinding[]{new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(67, 2), "copy-to-clipboard"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(86, 2), "paste-from-clipboard"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(88, 2), "cut-to-clipboard"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(37, 1), "selection-backward"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("shift KP_LEFT"), "selection-backward"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(39, 1), "selection-forward"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("shift KP_RIGHT"), "selection-forward"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(37, 2), "caret-previous-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("control KP_LEFT"), "caret-previous-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(39, 2), "caret-next-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("control KP_RIGHT"), "caret-next-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(37, 3), "selection-previous-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("control shift KP_LEFT"), "selection-previous-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(39, 3), "selection-next-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("control shift KP_RIGHT"), "selection-next-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(65, 2), "select-all"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(36, 0), "caret-begin-line"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(35, 0), "caret-end-line"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(36, 1), "selection-begin-line"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(35, 1), "selection-end-line"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(10, 0), "notify-field-accept")};
      JTextComponent.KeyBinding[] var7 = new JTextComponent.KeyBinding[]{new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(67, 2), "copy-to-clipboard"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(86, 2), "paste-from-clipboard"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(88, 2), "cut-to-clipboard"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(37, 1), "selection-backward"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("shift KP_LEFT"), "selection-backward"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(39, 1), "selection-forward"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("shift KP_RIGHT"), "selection-forward"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(37, 2), "caret-previous-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("control KP_LEFT"), "caret-previous-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(39, 2), "caret-next-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("control KP_RIGHT"), "caret-next-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(37, 3), "selection-previous-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("control shift KP_LEFT"), "selection-previous-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(39, 3), "selection-next-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("control shift KP_RIGHT"), "selection-next-word"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(65, 2), "select-all"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(36, 0), "caret-begin-line"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(35, 0), "caret-end-line"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(36, 1), "selection-begin-line"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(35, 1), "selection-end-line"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(38, 0), "caret-up"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("KP_UP"), "caret-up"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(40, 0), "caret-down"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("KP_DOWN"), "caret-down"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(33, 0), "page-up"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(34, 0), "page-down"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(38, 1), "selection-up"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("shift KP_UP"), "selection-up"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(40, 1), "selection-down"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke("shift KP_DOWN"), "selection-down"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(10, 0), "insert-break"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(9, 0), "insert-tab"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(92, 2), "unselect"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(36, 2), "caret-begin"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(35, 2), "caret-end"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(36, 3), "selection-begin"), new JTextComponent.KeyBinding(KeyStroke.getKeyStroke(35, 3), "selection-end")};
      MetalBorders.ScrollPaneBorder var8 = new MetalBorders.ScrollPaneBorder();
      BorderUIResource.CompoundBorderUIResource var9 = new BorderUIResource.CompoundBorderUIResource(new MetalBorders.ButtonBorder(), var2);
      BorderUIResource.CompoundBorderUIResource var10 = new BorderUIResource.CompoundBorderUIResource(new MetalBorders.ToggleButtonBorder(), var2);
      BorderUIResource.LineBorderUIResource var11 = new BorderUIResource.LineBorderUIResource(var1.getColor("controlShadow"));
      BorderUIResource.CompoundBorderUIResource var12 = new BorderUIResource.CompoundBorderUIResource(new LineBorder(getControlDarkShadow(), 1), new MatteBorder(2, 2, 1, 2, getControl()));
      MetalBorders.MenuBarBorder var13 = new MetalBorders.MenuBarBorder();
      MetalBorders.PopupMenuBorder var14 = new MetalBorders.PopupMenuBorder();
      MetalBorders.MenuItemBorder var15 = new MetalBorders.MenuItemBorder();
      String var16 = new String("-");
      MetalBorders.ToolBarBorder var17 = new MetalBorders.ToolBarBorder();
      BorderUIResource.LineBorderUIResource var18 = new BorderUIResource.LineBorderUIResource(getControlDarkShadow(), 1);
      BorderUIResource.LineBorderUIResource var19 = new BorderUIResource.LineBorderUIResource(getPrimaryControlDarkShadow());
      BorderUIResource.LineBorderUIResource var20 = new BorderUIResource.LineBorderUIResource(getFocusColor());
      InsetsUIResource var21 = new InsetsUIResource(4, 2, 0, 6);
      InsetsUIResource var22 = new InsetsUIResource(0, 0, 0, 0);
      boolean var23 = true;
      Object[] var24 = new Object[]{"TextField.border", var4, "TextField.font", getUserTextFont(), "TextField.caretForeground", getUserTextColor(), "PasswordField.border", var5, "PasswordField.font", getUserTextFont(), "PasswordField.caretForeground", getUserTextColor(), "TextArea.font", getUserTextFont(), "TextArea.caretForeground", getUserTextColor(), "TextPane.selectionBackground", var1.get("textHighlight"), "TextPane.selectionForeground", var1.get("textHighlightText"), "TextPane.background", var1.get("window"), "TextPane.foreground", var1.get("textText"), "TextPane.font", getUserTextFont(), "TextPane.caretForeground", getUserTextColor(), "EditorPane.selectionBackground", var1.get("textHighlight"), "EditorPane.selectionForeground", var1.get("textHighlightText"), "EditorPane.background", var1.get("window"), "EditorPane.foreground", var1.get("textText"), "EditorPane.font", getUserTextFont(), "EditorPane.caretForeground", getUserTextColor(), "TextField.keyBindings", var6, "PasswordField.keyBindings", var6, "TextArea.keyBindings", var7, "TextPane.keyBindings", var7, "EditorPane.keyBindings", var7, "Button.background", getControl(), "Button.foreground", getControlTextColor(), "Button.disabledText", getInactiveControlTextColor(), "Button.select", getControlShadow(), "Button.border", var9, "Button.font", getControlTextFont(), "Button.focus", getFocusColor(), "CheckBox.background", getControl(), "CheckBox.foreground", getControlTextColor(), "CheckBox.disabledText", getInactiveControlTextColor(), "Checkbox.select", getControlShadow(), "CheckBox.font", getControlTextFont(), "CheckBox.focus", getFocusColor(), "CheckBox.icon", new MetalCheckBoxIcon(), "RadioButton.background", getControl(), "RadioButton.foreground", getControlTextColor(), "RadioButton.disabledText", getInactiveControlTextColor(), "RadioButton.select", getControlShadow(), "RadioButton.icon", MetalIconFactory.getRadioButtonIcon(), "RadioButton.font", getControlTextFont(), "RadioButton.focus", getFocusColor(), "ToggleButton.background", getControl(), "ToggleButton.foreground", getControlTextColor(), "ToggleButton.select", getControlShadow(), "ToggleButton.text", getControl(), "ToggleButton.disabledText", getInactiveControlTextColor(), "ToggleButton.disabledSelectedText", getControlDarkShadow(), "ToggleButton.disabledBackground", getControl(), "ToggleButton.disabledSelectedBackground", getControlShadow(), "ToggleButton.focus", getFocusColor(), "ToggleButton.border", var10, "ToggleButton.font", getControlTextFont(), "FileView.directoryIcon", MetalIconFactory.getTreeFolderIcon(), "FileView.fileIcon", MetalIconFactory.getTreeLeafIcon(), "FileView.computerIcon", MetalIconFactory.getTreeComputerIcon(), "FileView.hardDriveIcon", MetalIconFactory.getTreeHardDriveIcon(), "FileView.floppyDriveIcon", MetalIconFactory.getTreeFloppyDriveIcon(), "FileChooser.detailsViewIcon", MetalIconFactory.getFileChooserDetailViewIcon(), "FileChooser.homeFolderIcon", MetalIconFactory.getFileChooserHomeFolderIcon(), "FileChooser.listViewIcon", MetalIconFactory.getFileChooserListViewIcon(), "FileChooser.newFolderIcon", MetalIconFactory.getFileChooserNewFolderIcon(), "FileChooser.upFolderIcon", MetalIconFactory.getFileChooserUpFolderIcon(), "FileChooser.lookInLabelMnemonic", new Integer(73), "FileChooser.fileNameLabelMnemonic", new Integer(78), "FileChooser.filesOfTypeLabelMnemonic", new Integer(84), "ToolTip.font", getSystemTextFont(), "ToolTip.border", var19, "ToolTip.background", var1.get("info"), "ToolTip.foreground", var1.get("infoText"), "Slider.border", null, "Slider.foreground", getPrimaryControlShadow(), "Slider.background", getControl(), "Slider.focus", getFocusColor(), "Slider.focusInsets", var22, "Slider.trackWidth", new Integer(7), "Slider.majorTickLength", new Integer(6), "Slider.horizontalThumbIcon", MetalIconFactory.getHorizontalSliderThumbIcon(), "Slider.verticalThumbIcon", MetalIconFactory.getVerticalSliderThumbIcon(), "ProgressBar.font", getControlTextFont(), "ProgressBar.foreground", getPrimaryControlShadow(), "ProgressBar.background", getControl(), "ProgressBar.foregroundHighlight", getPrimaryControlShadow(), "ProgressBar.backgroundHighlight", getControl(), "ProgressBar.selectionForeground", getControl(), "ProgressBar.selectionBackground", getPrimaryControlDarkShadow(), "ProgressBar.border", var18, "ProgressBar.cellSpacing", new Integer(0), "ProgressBar.cellLength", new Integer(1), "ComboBox.background", var1.get("control"), "ComboBox.foreground", var1.get("controlText"), "ComboBox.selectionBackground", getPrimaryControlShadow(), "ComboBox.selectionForeground", getControlTextColor(), "ComboBox.listBackground", getControl(), "ComboBox.listForeground", getControlTextColor(), "ComboBox.font", getControlTextFont(), "InternalFrame.icon", MetalIconFactory.getInternalFrameDefaultMenuIcon(), "InternalFrame.border", new MetalBorders.InternalFrameBorder(), "InternalFrame.paletteBorder", new MetalBorders.PaletteBorder(), "InternalFrame.paletteTitleHeight", new Integer(11), "InternalFrame.paletteCloseIcon", new MetalIconFactory.PaletteCloseIcon(), "InternalFrame.closeIcon", MetalIconFactory.getInternalFrameCloseIcon(16), "InternalFrame.maximizeIcon", MetalIconFactory.getInternalFrameMaximizeIcon(16), "InternalFrame.iconizeIcon", MetalIconFactory.getInternalFrameMinimizeIcon(16), "InternalFrame.minimizeIcon", MetalIconFactory.getInternalFrameAltMaximizeIcon(16), "InternalFrame.font", getWindowTitleFont(), "DesktopIcon.border", var12, "DesktopIcon.font", getControlTextFont(), "DesktopIcon.foreground", getControlTextColor(), "DesktopIcon.background", getControl(), "TitledBorder.font", getControlTextFont(), "TitledBorder.titleColor", getSystemTextColor(), "TitledBorder.border", var11, "Label.font", getControlTextFont(), "Label.background", var1.get("control"), "Label.foreground", getSystemTextColor(), "Label.disabledForeground", getInactiveSystemTextColor(), "List.focusCellHighlightBorder", var20, "ScrollBar.background", getControl(), "ScrollBar.highlight", getControlHighlight(), "ScrollBar.shadow", getControlShadow(), "ScrollBar.darkShadow", getControlDarkShadow(), "ScrollBar.thumb", getPrimaryControlShadow(), "ScrollBar.thumbShadow", getPrimaryControlDarkShadow(), "ScrollBar.thumbHighlight", getPrimaryControl(), "ScrollBar.width", new Integer(17), "ScrollPane.border", var8, "ScrollPane.background", var1.get("control"), "TabbedPane.font", getControlTextFont(), "TabbedPane.tabAreaBackground", getControl(), "TabbedPane.background", getControlShadow(), "TabbedPane.foreground", getControlTextColor(), "TabbedPane.highlight", getControl(), "TabbedPane.lightHighlight", getControlHighlight(), "TabbedPane.darkShadow", getControlDarkShadow(), "TabbedPane.focus", getPrimaryControlDarkShadow(), "TabbedPane.selected", getControl(), "TabbedPane.selectHighlight", getControlHighlight(), "TabbedPane.tabAreaInsets", var21, "Table.font", getUserTextFont(), "Table.focusCellHighlightBorder", var20, "Table.focusCellBackground", var1.get("window"), "Table.scrollPaneBorder", var8, "Table.gridColor", getControlShadow(), "TableHeader.font", getUserTextFont(), "TableHeader.cellBorder", new MetalUtils.TableHeaderBorder(), "MenuBar.border", var13, "MenuBar.font", getMenuTextFont(), "MenuBar.foreground", getMenuForeground(), "MenuBar.background", getMenuBackground(), "Menu.border", var15, "Menu.borderPainted", Boolean.TRUE, "Menu.font", getMenuTextFont(), "Menu.foreground", getMenuForeground(), "Menu.background", getMenuBackground(), "Menu.selectionForeground", getMenuSelectedForeground(), "Menu.selectionBackground", getMenuSelectedBackground(), "Menu.disabledForeground", getMenuDisabledForeground(), "Menu.acceleratorFont", getSubTextFont(), "Menu.acceleratorForeground", getAcceleratorForeground(), "Menu.acceleratorSelectionForeground", getAcceleratorSelectedForeground(), "Menu.checkIcon", MetalIconFactory.getMenuItemCheckIcon(), "Menu.arrowIcon", MetalIconFactory.getMenuArrowIcon(), "MenuItem.border", var15, "MenuItem.borderPainted", Boolean.TRUE, "MenuItem.font", getMenuTextFont(), "MenuItem.foreground", getMenuForeground(), "MenuItem.background", getMenuBackground(), "MenuItem.selectionForeground", getMenuSelectedForeground(), "MenuItem.selectionBackground", getMenuSelectedBackground(), "MenuItem.disabledForeground", getMenuDisabledForeground(), "MenuItem.acceleratorFont", getSubTextFont(), "MenuItem.acceleratorForeground", getAcceleratorForeground(), "MenuItem.acceleratorSelectionForeground", getAcceleratorSelectedForeground(), "MenuItem.acceleratorDelimiter", var16, "MenuItem.checkIcon", MetalIconFactory.getMenuItemCheckIcon(), "MenuItem.arrowIcon", MetalIconFactory.getMenuItemArrowIcon(), "Separator.background", getSeparatorBackground(), "Separator.foreground", getSeparatorForeground(), "PopupMenu.background", getMenuBackground(), "PopupMenu.border", var14, "CheckBoxMenuItem.border", var15, "CheckBoxMenuItem.borderPainted", Boolean.TRUE, "CheckBoxMenuItem.font", getMenuTextFont(), "CheckBoxMenuItem.foreground", getMenuForeground(), "CheckBoxMenuItem.background", getMenuBackground(), "CheckBoxMenuItem.selectionForeground", getMenuSelectedForeground(), "CheckBoxMenuItem.selectionBackground", getMenuSelectedBackground(), "CheckBoxMenuItem.disabledForeground", getMenuDisabledForeground(), "CheckBoxMenuItem.acceleratorFont", getSubTextFont(), "CheckBoxMenuItem.acceleratorForeground", getAcceleratorForeground(), "CheckBoxMenuItem.acceleratorSelectionForeground", getAcceleratorSelectedForeground(), "CheckBoxMenuItem.checkIcon", MetalIconFactory.getCheckBoxMenuItemIcon(), "CheckBoxMenuItem.arrowIcon", MetalIconFactory.getMenuItemArrowIcon(), "RadioButtonMenuItem.border", var15, "RadioButtonMenuItem.borderPainted", Boolean.TRUE, "RadioButtonMenuItem.font", getMenuTextFont(), "RadioButtonMenuItem.foreground", getMenuForeground(), "RadioButtonMenuItem.background", getMenuBackground(), "RadioButtonMenuItem.selectionForeground", getMenuSelectedForeground(), "RadioButtonMenuItem.selectionBackground", getMenuSelectedBackground(), "RadioButtonMenuItem.disabledForeground", getMenuDisabledForeground(), "RadioButtonMenuItem.acceleratorFont", getSubTextFont(), "RadioButtonMenuItem.acceleratorForeground", getAcceleratorForeground(), "RadioButtonMenuItem.acceleratorSelectionForeground", getAcceleratorSelectedForeground(), "RadioButtonMenuItem.checkIcon", MetalIconFactory.getRadioButtonMenuItemIcon(), "RadioButtonMenuItem.arrowIcon", MetalIconFactory.getMenuItemArrowIcon(), "SplitPane.dividerSize", new Integer(8), "Tree.background", getWindowBackground(), "Tree.font", getSystemTextFont(), "Tree.textForeground", var1.get("textText"), "Tree.textBackground", getWindowBackground(), "Tree.selectionForeground", var1.get("textHighlightText"), "Tree.selectionBackground", var1.get("textHighlight"), "Tree.selectionBorderColor", getFocusColor(), "Tree.openIcon", MetalIconFactory.getTreeFolderIcon(), "Tree.closedIcon", MetalIconFactory.getTreeFolderIcon(), "Tree.leafIcon", MetalIconFactory.getTreeLeafIcon(), "Tree.expandedIcon", MetalIconFactory.getTreeControlIcon(false), "Tree.collapsedIcon", MetalIconFactory.getTreeControlIcon(true), "Tree.line", getPrimaryControl(), "Tree.hash", getPrimaryControl(), "Tree.rowHeight", new Integer(0), "ToolBar.border", var17, "ToolBar.background", getMenuBackground(), "ToolBar.foreground", getMenuForeground(), "ToolBar.font", getMenuTextFont(), "ToolBar.dockingBackground", getMenuBackground(), "ToolBar.floatingBackground", getMenuBackground(), "ToolBar.dockingForeground", getPrimaryControlDarkShadow(), "ToolBar.floatingForeground", getPrimaryControl()};
      var1.putDefaults(var24);
   }

   protected void initSystemColorDefaults(UIDefaults var1) {
      Object[] var2 = new Object[]{"desktop", getDesktopColor(), "activeCaption", getWindowTitleBackground(), "activeCaptionText", getWindowTitleForeground(), "activeCaptionBorder", getPrimaryControlShadow(), "inactiveCaption", getWindowTitleInactiveBackground(), "inactiveCaptionText", getWindowTitleInactiveForeground(), "inactiveCaptionBorder", getControlShadow(), "window", getWindowBackground(), "windowBorder", getControl(), "windowText", getUserTextColor(), "menu", getMenuBackground(), "menuText", getMenuForeground(), "text", getWindowBackground(), "textText", getUserTextColor(), "textHighlight", getTextHighlightColor(), "textHighlightText", getHighlightedTextColor(), "textInactiveText", getInactiveSystemTextColor(), "control", getControl(), "controlText", getControlTextColor(), "controlHighlight", getControlHighlight(), "controlLtHighlight", getControlHighlight(), "controlShadow", getControlShadow(), "controlDkShadow", getControlDarkShadow(), "scrollbar", getControl(), "info", getPrimaryControl(), "infoText", getPrimaryControlInfo()};

      for(int var3 = 0; var3 < var2.length; var3 += 2) {
         var1.put((String)var2[var3], var2[var3 + 1]);
      }

   }

   public boolean isNativeLookAndFeel() {
      return false;
   }

   public boolean isSupportedLookAndFeel() {
      return true;
   }

   private void loadResourceBundle(UIDefaults var1) {
      ResourceBundle var2 = ResourceBundle.getBundle("javax.swing.plaf.metal.resources.metal");
      Enumeration var3 = var2.getKeys();

      while(var3.hasMoreElements()) {
         String var4 = (String)var3.nextElement();
         var1.put(var4, var2.getObject(var4));
      }

   }

   public static void setCurrentTheme(MetalTheme var0) {
      if (var0 == null) {
         throw new NullPointerException("Can't have null theme");
      } else {
         currentTheme = var0;
      }
   }
}
