package javax.swing.plaf.metal;

import java.beans.PropertyChangeListener;
import javax.swing.JComponent;
import javax.swing.JScrollBar;
import javax.swing.JScrollPane;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.basic.BasicScrollPaneUI;

public class MetalScrollPaneUI extends BasicScrollPaneUI {
   private PropertyChangeListener scrollBarSwapListener;

   protected PropertyChangeListener createScrollBarSwapListener() {
      return new 1();
   }

   public static ComponentUI createUI(JComponent var0) {
      return new MetalScrollPaneUI();
   }

   public void installListeners(JScrollPane var1) {
      super.installListeners(var1);
      this.scrollBarSwapListener = this.createScrollBarSwapListener();
      ((JComponent)var1).addPropertyChangeListener(this.scrollBarSwapListener);
   }

   public void installUI(JComponent var1) {
      super.installUI(var1);
      JScrollPane var2 = (JScrollPane)var1;
      JScrollBar var3 = var2.getHorizontalScrollBar();
      JScrollBar var4 = var2.getVerticalScrollBar();
      ((JComponent)var3).putClientProperty("JScrollBar.isFreeStanding", Boolean.FALSE);
      ((JComponent)var4).putClientProperty("JScrollBar.isFreeStanding", Boolean.FALSE);
   }

   public void uninstallListeners(JScrollPane var1) {
      super.uninstallListeners(var1);
      ((JComponent)var1).removePropertyChangeListener(this.scrollBarSwapListener);
   }

   public void uninstallUI(JComponent var1) {
      super.uninstallUI(var1);
      JScrollPane var2 = (JScrollPane)var1;
      JScrollBar var3 = var2.getHorizontalScrollBar();
      JScrollBar var4 = var2.getVerticalScrollBar();
      ((JComponent)var3).putClientProperty("JScrollBar.isFreeStanding", (Object)null);
      ((JComponent)var4).putClientProperty("JScrollBar.isFreeStanding", (Object)null);
   }
}
