package javax.swing.plaf.metal;

import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Rectangle;
import javax.swing.AbstractButton;
import javax.swing.JButton;
import javax.swing.JSplitPane;
import javax.swing.plaf.basic.BasicSplitPaneDivider;
import javax.swing.plaf.basic.BasicSplitPaneUI;

class MetalSplitPaneDivider extends BasicSplitPaneDivider {
   private MetalBumps bumps = new MetalBumps(10, 10, MetalLookAndFeel.getControlHighlight(), MetalLookAndFeel.getControlDarkShadow(), MetalLookAndFeel.getControl());
   private MetalBumps focusBumps = new MetalBumps(10, 10, MetalLookAndFeel.getPrimaryControlHighlight(), MetalLookAndFeel.getPrimaryControlDarkShadow(), MetalLookAndFeel.getPrimaryControl());
   private int inset = 2;
   private Color controlColor = MetalLookAndFeel.getControl();
   private Color primaryControlColor = MetalLookAndFeel.getPrimaryControl();

   public MetalSplitPaneDivider(BasicSplitPaneUI var1) {
      super(var1);
      ((Container)this).setLayout(new MetalDividerLayout(this));
   }

   protected JButton createLeftOneTouchButton() {
      1 var1 = new 1(this);
      ((AbstractButton)var1).setFocusPainted(false);
      ((AbstractButton)var1).setBorderPainted(false);
      return var1;
   }

   protected JButton createRightOneTouchButton() {
      2 var1 = new 2(this);
      ((AbstractButton)var1).setFocusPainted(false);
      ((AbstractButton)var1).setBorderPainted(false);
      return var1;
   }

   JButton getLeftButtonFromSuper() {
      return super.leftButton;
   }

   int getOneTouchOffsetFromSuper() {
      return 2;
   }

   int getOneTouchSizeFromSuper() {
      return 6;
   }

   int getOrientationFromSuper() {
      return super.orientation;
   }

   JButton getRightButtonFromSuper() {
      return super.rightButton;
   }

   JSplitPane getSplitPaneFromSuper() {
      return super.splitPane;
   }

   public void paint(Graphics var1) {
      MetalBumps var2;
      if (super.splitPane.hasFocus()) {
         var2 = this.focusBumps;
         var1.setColor(this.primaryControlColor);
      } else {
         var2 = this.bumps;
         var1.setColor(this.controlColor);
      }

      Rectangle var3 = var1.getClipBounds();
      var1.fillRect(var3.x, var3.y, var3.width, var3.height);
      Dimension var4 = ((Component)this).getSize();
      var4.width -= this.inset * 2;
      var4.height -= this.inset * 2;
      var2.setBumpArea(var4);
      var2.paintIcon(this, var1, this.inset, this.inset);
      super.paint(var1);
   }
}
