package javax.swing.plaf.metal;

import java.awt.Color;
import java.awt.Component;
import java.beans.PropertyChangeEvent;
import java.util.EventObject;
import javax.swing.JComponent;
import javax.swing.UIManager;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.UIResource;
import javax.swing.plaf.basic.BasicTextFieldUI;
import javax.swing.text.JTextComponent;

public class MetalTextFieldUI extends BasicTextFieldUI {
   public static ComponentUI createUI(JComponent var0) {
      return new MetalTextFieldUI();
   }

   private void editableChanged(JComponent var1, boolean var2) {
      Color var3 = ((Component)var1).getBackground();
      if (!var2) {
         if (var3 instanceof UIResource) {
            var1.setBackground(UIManager.getColor("control"));
         }
      } else if (var3 instanceof UIResource) {
         var1.setBackground(UIManager.getColor("TextField.background"));
      }

   }

   public void installUI(JComponent var1) {
      super.installUI(var1);
      this.editableChanged(var1, ((JTextComponent)var1).isEditable());
   }

   public void propertyChange(PropertyChangeEvent var1) {
      if (var1.getPropertyName().equals("editable")) {
         JComponent var2 = (JComponent)((EventObject)var1).getSource();
         Color var3 = ((Component)var2).getBackground();
         boolean var4 = (Boolean)var1.getNewValue();
         this.editableChanged(var2, var4);
      }

   }
}
