package javax.swing.plaf.metal;

import javax.swing.UIDefaults;
import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.FontUIResource;

public abstract class MetalTheme {
   private static ColorUIResource white = new ColorUIResource(255, 255, 255);
   private static ColorUIResource black = new ColorUIResource(0, 0, 0);

   public void addCustomEntriesToTable(UIDefaults var1) {
   }

   public ColorUIResource getAcceleratorForeground() {
      return this.getPrimary1();
   }

   public ColorUIResource getAcceleratorSelectedForeground() {
      return this.getBlack();
   }

   protected ColorUIResource getBlack() {
      return black;
   }

   public ColorUIResource getControl() {
      return this.getSecondary3();
   }

   public ColorUIResource getControlDarkShadow() {
      return this.getSecondary1();
   }

   public ColorUIResource getControlDisabled() {
      return this.getSecondary2();
   }

   public ColorUIResource getControlHighlight() {
      return this.getWhite();
   }

   public ColorUIResource getControlInfo() {
      return this.getBlack();
   }

   public ColorUIResource getControlShadow() {
      return this.getSecondary2();
   }

   public ColorUIResource getControlTextColor() {
      return this.getControlInfo();
   }

   public abstract FontUIResource getControlTextFont();

   public ColorUIResource getDesktopColor() {
      return this.getPrimary2();
   }

   public ColorUIResource getFocusColor() {
      return this.getPrimary2();
   }

   public ColorUIResource getHighlightedTextColor() {
      return this.getControlTextColor();
   }

   public ColorUIResource getInactiveControlTextColor() {
      return this.getControlDisabled();
   }

   public ColorUIResource getInactiveSystemTextColor() {
      return this.getSecondary2();
   }

   public ColorUIResource getMenuBackground() {
      return this.getSecondary3();
   }

   public ColorUIResource getMenuDisabledForeground() {
      return this.getSecondary2();
   }

   public ColorUIResource getMenuForeground() {
      return this.getBlack();
   }

   public ColorUIResource getMenuSelectedBackground() {
      return this.getPrimary2();
   }

   public ColorUIResource getMenuSelectedForeground() {
      return this.getBlack();
   }

   public abstract FontUIResource getMenuTextFont();

   public abstract String getName();

   protected abstract ColorUIResource getPrimary1();

   protected abstract ColorUIResource getPrimary2();

   protected abstract ColorUIResource getPrimary3();

   public ColorUIResource getPrimaryControl() {
      return this.getPrimary3();
   }

   public ColorUIResource getPrimaryControlDarkShadow() {
      return this.getPrimary1();
   }

   public ColorUIResource getPrimaryControlHighlight() {
      return this.getWhite();
   }

   public ColorUIResource getPrimaryControlInfo() {
      return this.getBlack();
   }

   public ColorUIResource getPrimaryControlShadow() {
      return this.getPrimary2();
   }

   protected abstract ColorUIResource getSecondary1();

   protected abstract ColorUIResource getSecondary2();

   protected abstract ColorUIResource getSecondary3();

   public ColorUIResource getSeparatorBackground() {
      return this.getWhite();
   }

   public ColorUIResource getSeparatorForeground() {
      return this.getPrimary1();
   }

   public abstract FontUIResource getSubTextFont();

   public ColorUIResource getSystemTextColor() {
      return this.getPrimary1();
   }

   public abstract FontUIResource getSystemTextFont();

   public ColorUIResource getTextHighlightColor() {
      return this.getPrimary3();
   }

   public ColorUIResource getUserTextColor() {
      return this.getBlack();
   }

   public abstract FontUIResource getUserTextFont();

   protected ColorUIResource getWhite() {
      return white;
   }

   public ColorUIResource getWindowBackground() {
      return this.getWhite();
   }

   public ColorUIResource getWindowTitleBackground() {
      return this.getPrimary3();
   }

   public abstract FontUIResource getWindowTitleFont();

   public ColorUIResource getWindowTitleForeground() {
      return this.getBlack();
   }

   public ColorUIResource getWindowTitleInactiveBackground() {
      return this.getSecondary3();
   }

   public ColorUIResource getWindowTitleInactiveForeground() {
      return this.getBlack();
   }
}
