package javax.swing.plaf.metal;

import java.awt.Component;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Toolkit;
import javax.swing.JComponent;
import javax.swing.JToolTip;
import javax.swing.KeyStroke;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.basic.BasicToolTipUI;

public class MetalToolTipUI extends BasicToolTipUI {
   static MetalToolTipUI sharedInstance = new MetalToolTipUI();
   Font smallFont;
   static JToolTip tip;
   public static final int padSpaceBetweenStrings = 12;

   public static ComponentUI createUI(JComponent var0) {
      return sharedInstance;
   }

   public String getAcceleratorString() {
      JComponent var1 = tip.getComponent();
      if (var1 == null) {
         return "";
      } else {
         KeyStroke[] var2 = var1.getRegisteredKeyStrokes();
         String var3 = "";

         for(int var4 = 0; var4 < var2.length; ++var4) {
            char var5 = (char)var2[var4].getKeyCode();
            int var6 = var2[var4].getModifiers();
            int var7 = var1.getConditionForKeyStroke(var2[var4]);
            if (var6 == 2 && var7 == 2) {
               var3 = "cntl+" + (char)var2[var4].getKeyCode();
               break;
            }

            if (var6 == 8 && var7 == 2) {
               var3 = "alt+" + (char)var2[var4].getKeyCode();
               break;
            }
         }

         return var3;
      }
   }

   public Dimension getPreferredSize(JComponent var1) {
      Dimension var2 = super.getPreferredSize(var1);
      String var3 = this.getAcceleratorString();
      if (!var3.equals("")) {
         FontMetrics var4 = Toolkit.getDefaultToolkit().getFontMetrics(this.smallFont);
         var2.width += var4.stringWidth(var3) + 12;
      }

      return var2;
   }

   public void installUI(JComponent var1) {
      super.installUI(var1);
      tip = (JToolTip)var1;
      Font var2 = ((Component)var1).getFont();
      this.smallFont = new Font(var2.getName(), var2.getStyle(), var2.getSize() - 2);
   }

   public void paint(Graphics var1, JComponent var2) {
      super.paint(var1, var2);
      Font var3 = ((Component)var2).getFont();
      FontMetrics var4 = Toolkit.getDefaultToolkit().getFontMetrics(var3);
      String var5 = this.getAcceleratorString();
      String var6 = ((JToolTip)var2).getTipText();
      if (var6 == null) {
         var6 = "";
      }

      if (!var5.equals("")) {
         var1.setFont(this.smallFont);
         var1.setColor(MetalLookAndFeel.getPrimaryControlDarkShadow());
         var1.drawString(var5, var4.stringWidth(var6) + 3 + 12, 2 + var4.getAscent());
      }

   }
}
