package javax.swing.plaf.metal;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Rectangle;

class MetalUtils {
   static void drawActiveButtonBorder(Graphics var0, int var1, int var2, int var3, int var4) {
      drawFlush3DBorder(var0, var1, var2, var3, var4);
      var0.setColor(MetalLookAndFeel.getPrimaryControl());
      var0.drawLine(var1 + 1, var2 + 1, var1 + 1, var4 - 3);
      var0.drawLine(var1 + 1, var2 + 1, var3 - 3, var1 + 1);
      var0.setColor(MetalLookAndFeel.getPrimaryControlDarkShadow());
      var0.drawLine(var1 + 2, var4 - 2, var3 - 2, var4 - 2);
      var0.drawLine(var3 - 2, var2 + 2, var3 - 2, var4 - 2);
   }

   static void drawButtonBorder(Graphics var0, int var1, int var2, int var3, int var4, boolean var5) {
      if (var5) {
         drawActiveButtonBorder(var0, var1, var2, var3, var4);
      } else {
         drawFlush3DBorder(var0, var1, var2, var3, var4);
      }

   }

   static void drawDark3DBorder(Graphics var0, int var1, int var2, int var3, int var4) {
      var0.translate(var1, var2);
      drawFlush3DBorder(var0, 0, 0, var3, var4);
      var0.setColor(MetalLookAndFeel.getControl());
      var0.drawLine(1, 1, 1, var4 - 2);
      var0.drawLine(1, 1, var3 - 2, 1);
      var0.setColor(MetalLookAndFeel.getControlShadow());
      var0.drawLine(1, var4 - 2, 1, var4 - 2);
      var0.drawLine(var3 - 2, 1, var3 - 2, 1);
      var0.translate(-var1, -var2);
   }

   static void drawDark3DBorder(Graphics var0, Rectangle var1) {
      drawDark3DBorder(var0, var1.x, var1.y, var1.width, var1.height);
   }

   static void drawDefaultButtonBorder(Graphics var0, int var1, int var2, int var3, int var4, boolean var5) {
      drawButtonBorder(var0, var1 + 1, var2 + 1, var3 - 1, var4 - 1, var5);
      var0.setColor(MetalLookAndFeel.getControlDarkShadow());
      var0.drawRect(var1, var2, var3 - 3, var4 - 3);
      var0.drawLine(var3 - 2, 0, var3 - 2, 0);
      var0.drawLine(0, var4 - 2, 0, var4 - 2);
   }

   static void drawDisabledBorder(Graphics var0, int var1, int var2, int var3, int var4) {
      var0.translate(var1, var2);
      var0.setColor(MetalLookAndFeel.getControlShadow());
      var0.drawRect(0, 0, var3 - 1, var4 - 1);
   }

   static void drawFlush3DBorder(Graphics var0, int var1, int var2, int var3, int var4) {
      var0.translate(var1, var2);
      var0.setColor(MetalLookAndFeel.getControlDarkShadow());
      var0.drawRect(0, 0, var3 - 2, var4 - 2);
      var0.setColor(MetalLookAndFeel.getControlHighlight());
      var0.drawRect(1, 1, var3 - 2, var4 - 2);
      var0.setColor(MetalLookAndFeel.getControl());
      var0.drawLine(0, var4 - 1, 1, var4 - 2);
      var0.drawLine(var3 - 1, 0, var3 - 2, 1);
      var0.translate(-var1, -var2);
   }

   static void drawFlush3DBorder(Graphics var0, Rectangle var1) {
      drawFlush3DBorder(var0, var1.x, var1.y, var1.width, var1.height);
   }

   static void drawPressed3DBorder(Graphics var0, int var1, int var2, int var3, int var4) {
      var0.translate(var1, var2);
      drawFlush3DBorder(var0, 0, 0, var3, var4);
      var0.setColor(MetalLookAndFeel.getControlShadow());
      var0.drawLine(1, 1, 1, var4 - 2);
      var0.drawLine(1, 1, var3 - 2, 1);
      var0.translate(-var1, -var2);
   }

   static void drawPressed3DBorder(Graphics var0, Rectangle var1) {
      drawPressed3DBorder(var0, var1.x, var1.y, var1.width, var1.height);
   }

   static boolean isLeftToRight(Component var0) {
      return true;
   }
}
