package javax.swing;

import java.awt.Component;
import java.awt.event.MouseEvent;
import java.io.Serializable;
import java.util.EventObject;
import javax.swing.event.CellEditorListener;
import javax.swing.event.ChangeEvent;
import javax.swing.event.EventListenerList;
import javax.swing.table.TableCellEditor;
import javax.swing.tree.TreeCellEditor;

public class DefaultCellEditor implements TableCellEditor, TreeCellEditor, Serializable {
   protected EventListenerList listenerList = new EventListenerList();
   protected transient ChangeEvent changeEvent = null;
   protected JComponent editorComponent;
   protected EditorDelegate delegate;
   protected int clickCountToStart = 1;
   // $FF: synthetic field
   static Class class$javax$swing$event$CellEditorListener;

   public DefaultCellEditor(JCheckBox var1) {
      this.editorComponent = var1;
      this.delegate = new 2(var1, this);
      ((AbstractButton)var1).addActionListener(this.delegate);
   }

   public DefaultCellEditor(JComboBox var1) {
      this.editorComponent = var1;
      this.delegate = new 3(var1, this);
      var1.addActionListener(this.delegate);
   }

   public DefaultCellEditor(JTextField var1) {
      this.editorComponent = var1;
      this.clickCountToStart = 2;
      this.delegate = new 1(var1, this);
      var1.addActionListener(this.delegate);
   }

   public void addCellEditorListener(CellEditorListener var1) {
      this.listenerList.add(class$javax$swing$event$CellEditorListener != null ? class$javax$swing$event$CellEditorListener : (class$javax$swing$event$CellEditorListener = class$("javax.swing.event.CellEditorListener")), var1);
   }

   public void cancelCellEditing() {
      this.fireEditingCanceled();
   }

   // $FF: synthetic method
   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError(((Throwable)var2).getMessage());
      }
   }

   protected void fireEditingCanceled() {
      Object[] var1 = this.listenerList.getListenerList();

      for(int var2 = var1.length - 2; var2 >= 0; var2 -= 2) {
         if (var1[var2] == (class$javax$swing$event$CellEditorListener != null ? class$javax$swing$event$CellEditorListener : (class$javax$swing$event$CellEditorListener = class$("javax.swing.event.CellEditorListener")))) {
            if (this.changeEvent == null) {
               this.changeEvent = new ChangeEvent(this);
            }

            ((CellEditorListener)var1[var2 + 1]).editingCanceled(this.changeEvent);
         }
      }

   }

   protected void fireEditingStopped() {
      Object[] var1 = this.listenerList.getListenerList();

      for(int var2 = var1.length - 2; var2 >= 0; var2 -= 2) {
         if (var1[var2] == (class$javax$swing$event$CellEditorListener != null ? class$javax$swing$event$CellEditorListener : (class$javax$swing$event$CellEditorListener = class$("javax.swing.event.CellEditorListener")))) {
            if (this.changeEvent == null) {
               this.changeEvent = new ChangeEvent(this);
            }

            ((CellEditorListener)var1[var2 + 1]).editingStopped(this.changeEvent);
         }
      }

   }

   public Object getCellEditorValue() {
      return this.delegate.getCellEditorValue();
   }

   public int getClickCountToStart() {
      return this.clickCountToStart;
   }

   public Component getComponent() {
      return this.editorComponent;
   }

   public Component getTableCellEditorComponent(JTable var1, Object var2, boolean var3, int var4, int var5) {
      this.delegate.setValue(var2);
      return this.editorComponent;
   }

   public Component getTreeCellEditorComponent(JTree var1, Object var2, boolean var3, boolean var4, boolean var5, int var6) {
      String var7 = var1.convertValueToText(var2, var3, var4, var5, var6, false);
      this.delegate.setValue(var7);
      return this.editorComponent;
   }

   public boolean isCellEditable(EventObject var1) {
      if (var1 instanceof MouseEvent) {
         return ((MouseEvent)var1).getClickCount() >= this.clickCountToStart;
      } else {
         return true;
      }
   }

   public void removeCellEditorListener(CellEditorListener var1) {
      this.listenerList.remove(class$javax$swing$event$CellEditorListener != null ? class$javax$swing$event$CellEditorListener : (class$javax$swing$event$CellEditorListener = class$("javax.swing.event.CellEditorListener")), var1);
   }

   public void setClickCountToStart(int var1) {
      this.clickCountToStart = var1;
   }

   public boolean shouldSelectCell(EventObject var1) {
      return this.delegate.shouldSelectCell(var1);
   }

   public boolean stopCellEditing() {
      this.fireEditingStopped();
      return true;
   }
}
