package javax.swing;

import java.awt.Component;
import java.awt.event.KeyEvent;

public abstract class FocusManager {
   public static final String FOCUS_MANAGER_CLASS_PROPERTY = "FocusManagerClassName";
   private static final Object focusManagerKey;
   // $FF: synthetic field
   static Class class$javax$swing$FocusManager;

   static {
      focusManagerKey = class$javax$swing$FocusManager != null ? class$javax$swing$FocusManager : (class$javax$swing$FocusManager = class$("javax.swing.FocusManager"));
   }

   // $FF: synthetic method
   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError(((Throwable)var2).getMessage());
      }
   }

   public static void disableSwingFocusManager() {
      setCurrentManager(new DisabledFocusManager());
   }

   public abstract void focusNextComponent(Component var1);

   public abstract void focusPreviousComponent(Component var1);

   public static FocusManager getCurrentManager() {
      Object var0 = (FocusManager)SwingUtilities.appContextGet(focusManagerKey);
      if (var0 == null) {
         String var1 = UIManager.getString("FocusManagerClassName");

         try {
            Class var2 = Class.forName(var1);
            if (var2 != null) {
               var0 = (FocusManager)var2.newInstance();
            }
         } catch (ClassNotFoundException var3) {
            System.out.println("Cannot find class " + var1 + " " + var3);
            var0 = null;
         } catch (InstantiationException var4) {
            System.out.println("Cannot instantiate class " + var1 + " " + var4);
            var0 = null;
         } catch (IllegalAccessException var5) {
            System.out.println("Cannot access class " + var1 + " " + var5);
            var0 = null;
         }

         if (var0 == null) {
            var0 = new DefaultFocusManager();
         }

         SwingUtilities.appContextPut(focusManagerKey, var0);
      }

      return (FocusManager)var0;
   }

   public static boolean isFocusManagerEnabled() {
      FocusManager var0 = getCurrentManager();
      return var0 instanceof DisabledFocusManager ^ true;
   }

   public abstract void processKeyEvent(Component var1, KeyEvent var2);

   public static void setCurrentManager(FocusManager var0) {
      if (var0 != null) {
         SwingUtilities.appContextPut(focusManagerKey, var0);
      } else {
         SwingUtilities.appContextRemove(focusManagerKey);
      }

   }
}
