package javax.swing;

import java.io.IOException;
import java.io.ObjectInputStream;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleContext;
import javax.swing.plaf.ButtonUI;

public class JCheckBox extends JToggleButton implements Accessible {
   private static final String uiClassID = "CheckBoxUI";

   public JCheckBox() {
      this((String)null, (Icon)null, false);
   }

   public JCheckBox(String var1) {
      this(var1, (Icon)null, false);
   }

   public JCheckBox(String var1, Icon var2) {
      this(var1, var2, false);
   }

   public JCheckBox(String var1, Icon var2, boolean var3) {
      super(var1, var2, var3);
      ((AbstractButton)this).setBorderPainted(false);
      ((AbstractButton)this).setHorizontalAlignment(2);
   }

   public JCheckBox(String var1, boolean var2) {
      this(var1, (Icon)null, var2);
   }

   public JCheckBox(Icon var1) {
      this((String)null, var1, false);
   }

   public JCheckBox(Icon var1, boolean var2) {
      this((String)null, var1, var2);
   }

   public AccessibleContext getAccessibleContext() {
      if (super.accessibleContext == null) {
         super.accessibleContext = new AccessibleJCheckBox(this);
      }

      return super.accessibleContext;
   }

   public String getUIClassID() {
      return "CheckBoxUI";
   }

   protected String paramString() {
      return super.paramString();
   }

   private void readObject(ObjectInputStream var1) throws IOException, ClassNotFoundException {
      var1.defaultReadObject();
      if (this.getUIClassID().equals("CheckBoxUI")) {
         this.updateUI();
      }

   }

   public void updateUI() {
      ((AbstractButton)this).setUI((ButtonUI)UIManager.getUI(this));
   }
}
