package javax.swing;

import java.io.IOException;
import java.io.ObjectOutputStream;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleContext;

public class JCheckBoxMenuItem extends JMenuItem implements SwingConstants, Accessible {
   private static final String uiClassID = "CheckBoxMenuItemUI";

   public JCheckBoxMenuItem() {
      this((String)null, (Icon)null, false);
   }

   public JCheckBoxMenuItem(String var1) {
      this(var1, (Icon)null, false);
   }

   public JCheckBoxMenuItem(String var1, Icon var2) {
      this(var1, var2, false);
   }

   public JCheckBoxMenuItem(String var1, Icon var2, boolean var3) {
      super(var1, var2);
      ((AbstractButton)this).setModel(new JToggleButton.ToggleButtonModel());
      ((AbstractButton)this).setSelected(var3);
   }

   public JCheckBoxMenuItem(String var1, boolean var2) {
      this(var1, (Icon)null, var2);
   }

   public JCheckBoxMenuItem(Icon var1) {
      this((String)null, var1, false);
   }

   public AccessibleContext getAccessibleContext() {
      if (super.accessibleContext == null) {
         super.accessibleContext = new AccessibleJCheckBoxMenuItem(this);
      }

      return super.accessibleContext;
   }

   public synchronized Object[] getSelectedObjects() {
      if (!((AbstractButton)this).isSelected()) {
         return null;
      } else {
         Object[] var1 = new Object[]{((AbstractButton)this).getText()};
         return var1;
      }
   }

   public boolean getState() {
      return ((AbstractButton)this).isSelected();
   }

   public String getUIClassID() {
      return "CheckBoxMenuItemUI";
   }

   protected String paramString() {
      return super.paramString();
   }

   public void requestFocus() {
   }

   public synchronized void setState(boolean var1) {
      ((AbstractButton)this).setSelected(var1);
   }

   private void writeObject(ObjectOutputStream var1) throws IOException {
      var1.defaultWriteObject();
      if (super.ui != null && this.getUIClassID().equals("CheckBoxMenuItemUI")) {
         super.ui.installUI(this);
      }

   }
}
