package javax.swing;

import java.applet.Applet;
import java.awt.AWTEvent;
import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Insets;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.Window;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.FocusEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;
import java.awt.image.ImageObserver;
import java.awt.peer.LightweightPeer;
import java.beans.PropertyChangeListener;
import java.beans.PropertyVetoException;
import java.beans.VetoableChangeListener;
import java.beans.VetoableChangeSupport;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.Dictionary;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Vector;
import javax.accessibility.AccessibleContext;
import javax.accessibility.AccessibleState;
import javax.swing.border.AbstractBorder;
import javax.swing.border.Border;
import javax.swing.event.AncestorListener;
import javax.swing.event.EventListenerList;
import javax.swing.event.SwingPropertyChangeSupport;
import javax.swing.plaf.ComponentUI;

public abstract class JComponent extends Container implements Serializable {
   private static final String uiClassID = "ComponentUI";
   private static final Hashtable readObjectCallbacks = new Hashtable(1);
   private Dimension preferredSize;
   private Dimension minimumSize;
   private Dimension maximumSize;
   private Float alignmentX;
   private Float alignmentY;
   private AncestorNotifier ancestorNotifier;
   Rectangle _bounds = new Rectangle();
   // $FF: renamed from: ui javax.swing.plaf.ComponentUI
   protected transient ComponentUI field_0;
   protected EventListenerList listenerList = new EventListenerList();
   private Hashtable clientProperties;
   private VetoableChangeSupport vetoableChangeSupport;
   private Autoscroller autoscroller;
   private Border border;
   private int flags;
   private transient Rectangle tmpRect;
   transient Component paintingChild;
   public static final int WHEN_FOCUSED = 0;
   public static final int WHEN_ANCESTOR_OF_FOCUSED_COMPONENT = 1;
   public static final int WHEN_IN_FOCUSED_WINDOW = 2;
   public static final int UNDEFINED_CONDITION = -1;
   private static final String KEYBOARD_BINDINGS_KEY = "_KeyboardBindings";
   public static final String TOOL_TIP_TEXT_KEY = "ToolTipText";
   private static final String NEXT_FOCUS = "nextFocus";
   private static final int REQUEST_FOCUS_DISABLED = 0;
   private static final int IS_DOUBLE_BUFFERED = 1;
   private static final int ANCESTOR_USING_BUFFER = 2;
   private static final int IS_PAINTING_TILE = 3;
   private static final int HAS_FOCUS = 4;
   private static final int IS_OPAQUE = 5;
   protected AccessibleContext accessibleContext = null;
   private SwingPropertyChangeSupport changeSupport;
   private Rectangle paintImmediatelyClip = new Rectangle(0, 0, 0, 0);
   // $FF: synthetic field
   static Class class$javax$swing$JComponent$KeyboardState;

   public JComponent() {
      ((Component)this).enableEvents(4L);
      this.enableSerialization();
   }

   void _paintImmediately(int var1, int var2, int var3, int var4) {
      int var12 = 0;
      int var13 = 0;
      boolean var14 = false;
      JComponent var15 = null;
      JComponent var16 = this;
      RepaintManager var17 = RepaintManager.currentManager(this);
      Vector var18 = new Vector(7);
      int var19 = -1;
      int var20 = 0;
      int var11 = 0;
      int var10 = 0;
      byte var9 = 0;
      byte var8 = 0;
      this.paintImmediatelyClip.x = var1;
      this.paintImmediatelyClip.y = var2;
      this.paintImmediatelyClip.width = var3;
      this.paintImmediatelyClip.height = var4;
      boolean var21 = this.alwaysOnTop() && this.isOpaque();

      Object var6;
      for(var6 = this; var6 != null && !(var6 instanceof Window) && !(var6 instanceof Applet); var6 = ((Component)var6).getParent()) {
         var18.addElement(var6);
         if (!var21 && var6 instanceof JComponent && !((JComponent)var6).isOptimizedDrawingEnabled()) {
            var16 = (JComponent)var6;
            var19 = var20;
            var13 = 0;
            var12 = 0;
            var14 = false;
         }

         ++var20;
         if (var17.isDoubleBufferingEnabled() && var6 instanceof JComponent && ((JComponent)var6).isDoubleBuffered()) {
            var14 = true;
            var15 = (JComponent)var6;
         }

         if (!var21) {
            Rectangle var7;
            if (var6 instanceof JComponent) {
               var7 = ((JComponent)var6)._bounds;
            } else {
               var7 = ((Component)var6).getBounds();
            }

            var10 = var7.width;
            var11 = var7.height;
            SwingUtilities.computeIntersection(var8, var9, var10, var11, this.paintImmediatelyClip);
            Rectangle var10000 = this.paintImmediatelyClip;
            var10000.x += var7.x;
            var10000 = this.paintImmediatelyClip;
            var10000.y += var7.y;
            var12 += var7.x;
            var13 += var7.y;
         }
      }

      if (var6 != null && ((Component)var6).getPeer() != null) {
         if (this.paintImmediatelyClip.width > 0 && this.paintImmediatelyClip.height > 0) {
            Rectangle var40 = this.paintImmediatelyClip;
            var40.x -= var12;
            var40 = this.paintImmediatelyClip;
            var40.y -= var13;
            if (var16 != this) {
               for(int var23 = var19; var23 > 0; --var23) {
                  Component var22 = (Component)var18.elementAt(var23);
                  if (var22 instanceof JComponent) {
                     ((JComponent)var22).setPaintingChild((Component)var18.elementAt(var23 - 1));
                  }
               }
            }

            try {
               Graphics var5;
               try {
                  var5 = SwingGraphics.createSwingGraphics(var16.getGraphics());
               } catch (NullPointerException var34) {
                  var5 = null;
                  ((Throwable)var34).printStackTrace();
               }

               if (var5 != null) {
                  Image var24;
                  if (var14 && (var24 = var17.getOffscreenBuffer(var15, this.paintImmediatelyClip.width, this.paintImmediatelyClip.height)) != null && var24.getWidth((ImageObserver)null) > 0 && var24.getHeight((ImageObserver)null) > 0) {
                     this.paintWithBuffer(var16, var5, this.paintImmediatelyClip, var24);
                     var5.dispose();
                     return;
                  }

                  var5.setClip(this.paintImmediatelyClip.x, this.paintImmediatelyClip.y, this.paintImmediatelyClip.width, this.paintImmediatelyClip.height);

                  try {
                     var16.paint(var5);
                     return;
                  } finally {
                     var5.dispose();
                  }
               }

               System.err.println("In paintImmediately null graphics");
            } finally {
               if (var16 != this) {
                  for(int var25 = var19; var25 > 0; --var25) {
                     Component var38 = (Component)var18.elementAt(var25);
                     if (var38 instanceof JComponent) {
                        ((JComponent)var38).setPaintingChild((Component)null);
                     }
                  }
               }

               var18.removeAllElements();
            }

         }
      }
   }

   // $FF: synthetic method
   static Hashtable access$0() {
      return readObjectCallbacks;
   }

   public void addAncestorListener(AncestorListener var1) {
      if (this.ancestorNotifier == null) {
         this.ancestorNotifier = new AncestorNotifier(this);
      }

      this.ancestorNotifier.addAncestorListener(var1);
   }

   public void addNotify() {
      super.addNotify();
      this.firePropertyChange("ancestor", (Object)null, ((Component)this).getParent());
      Hashtable var1 = (Hashtable)this.getClientProperty("_KeyboardBindings");
      if (var1 != null) {
         Enumeration var2 = var1.keys();

         while(var2.hasMoreElements()) {
            KeyStroke var3 = (KeyStroke)var2.nextElement();
            KeyboardBinding var4 = (KeyboardBinding)var1.get(var3);
            if (var4.condition == 2) {
               this.registerWithKeyboardManager(var3);
            }
         }

      }
   }

   public synchronized void addPropertyChangeListener(PropertyChangeListener var1) {
      if (this.changeSupport == null) {
         this.changeSupport = new SwingPropertyChangeSupport(this);
      }

      this.changeSupport.addPropertyChangeListener(var1);
   }

   public synchronized void addPropertyChangeListener(String var1, PropertyChangeListener var2) {
      if (var2 != null) {
         if (this.changeSupport == null) {
            this.changeSupport = new SwingPropertyChangeSupport(this);
         }

         this.changeSupport.addPropertyChangeListener(var1, var2);
      }
   }

   public synchronized void addVetoableChangeListener(VetoableChangeListener var1) {
      if (this.vetoableChangeSupport == null) {
         this.vetoableChangeSupport = new VetoableChangeSupport(this);
      }

      this.vetoableChangeSupport.addVetoableChangeListener(var1);
   }

   private void adjustPaintFlags() {
      Object var1 = null;

      for(Container var2 = ((Component)this).getParent(); var2 != null; var2 = ((Component)var2).getParent()) {
         if (var2 instanceof JComponent) {
            JComponent var3 = (JComponent)var2;
            if (var3.getFlag(2)) {
               this.setFlag(2, true);
            }

            if (var3.getFlag(3)) {
               this.setFlag(3, true);
            }
            break;
         }
      }

   }

   boolean alwaysOnTop() {
      return false;
   }

   KeyboardBinding bindingForKeyStroke(KeyStroke var1, int var2) {
      KeyboardBinding var5 = null;
      Hashtable var3 = (Hashtable)this.getClientProperty("_KeyboardBindings");
      if (var3 != null) {
         KeyboardBinding var4 = (KeyboardBinding)var3.get(var1);
         if (var4 != null) {
            ActionListener var6 = var4.getAction();
            if (var6 instanceof Action && !((Action)var6).isEnabled()) {
               var6 = null;
            }

            if (var6 != null) {
               switch (var4.getCondition()) {
                  case 0:
                     if (var2 == 0) {
                        var5 = var4;
                     }
                     break;
                  case 1:
                     if (var2 == 0 || var2 == 1) {
                        var5 = var4;
                     }
                     break;
                  case 2:
                     if (var2 == 0 || var2 == 2 || var2 == 1) {
                        var5 = var4;
                     }
               }
            }
         }
      }

      return var5;
   }

   boolean checkIfChildObscuredBySibling() {
      return true;
   }

   // $FF: synthetic method
   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError(((Throwable)var2).getMessage());
      }
   }

   static final void computeVisibleRect(Component var0, Rectangle var1) {
      Container var2 = var0.getParent();
      Rectangle var3 = var0.getBounds();
      if (var2 != null && !(var2 instanceof Window) && !(var2 instanceof Applet)) {
         computeVisibleRect(var2, var1);
         var1.x -= var3.x;
         var1.y -= var3.y;
         SwingUtilities.computeIntersection(0, 0, var3.width, var3.height, var1);
      } else {
         var1.setBounds(0, 0, var3.width, var3.height);
      }

   }

   public void computeVisibleRect(Rectangle var1) {
      computeVisibleRect(this, var1);
   }

   public boolean contains(int var1, int var2) {
      return this.field_0 != null ? this.field_0.contains(this, var1, var2) : super.contains(var1, var2);
   }

   public JToolTip createToolTip() {
      JToolTip var1 = new JToolTip();
      var1.setComponent(this);
      return var1;
   }

   void enableSerialization() {
      ((Component)this).addFocusListener(new EnableSerializationFocusListener(this));
   }

   public void firePropertyChange(String var1, byte var2, byte var3) {
      if (this.changeSupport != null && var2 != var3) {
         this.changeSupport.firePropertyChange(var1, new Byte(var2), new Byte(var3));
      }

   }

   public void firePropertyChange(String var1, char var2, char var3) {
      if (this.changeSupport != null && var2 != var3) {
         this.changeSupport.firePropertyChange(var1, new Character(var2), new Character(var3));
      }

   }

   public void firePropertyChange(String var1, double var2, double var4) {
      if (this.changeSupport != null && var2 != var4) {
         this.changeSupport.firePropertyChange(var1, new Double(var2), new Double(var4));
      }

   }

   public void firePropertyChange(String var1, float var2, float var3) {
      if (this.changeSupport != null && var2 != var3) {
         this.changeSupport.firePropertyChange(var1, new Float(var2), new Float(var3));
      }

   }

   public void firePropertyChange(String var1, int var2, int var3) {
      if (this.changeSupport != null && var2 != var3) {
         this.changeSupport.firePropertyChange(var1, new Integer(var2), new Integer(var3));
      }

   }

   public void firePropertyChange(String var1, long var2, long var4) {
      if (this.changeSupport != null && var2 != var4) {
         this.changeSupport.firePropertyChange(var1, new Long(var2), new Long(var4));
      }

   }

   protected void firePropertyChange(String var1, Object var2, Object var3) {
      if (this.changeSupport != null) {
         this.changeSupport.firePropertyChange(var1, var2, var3);
      }

   }

   public void firePropertyChange(String var1, short var2, short var3) {
      if (this.changeSupport != null && var2 != var3) {
         this.changeSupport.firePropertyChange(var1, new Short(var2), new Short(var3));
      }

   }

   public void firePropertyChange(String var1, boolean var2, boolean var3) {
      if (this.changeSupport != null && var2 != var3) {
         this.changeSupport.firePropertyChange(var1, new Boolean(var2), new Boolean(var3));
      }

   }

   protected void fireVetoableChange(String var1, Object var2, Object var3) throws PropertyVetoException {
      if (this.vetoableChangeSupport != null) {
         this.vetoableChangeSupport.fireVetoableChange(var1, var2, var3);
      }
   }

   public AccessibleContext getAccessibleContext() {
      return this.accessibleContext;
   }

   public ActionListener getActionForKeyStroke(KeyStroke var1) {
      Hashtable var2 = this.keyboardBindings();
      if (var2 == null) {
         return null;
      } else {
         synchronized(var2){}

         ActionListener var3;
         try {
            KeyboardBinding var6 = (KeyboardBinding)var2.get(var1);
            if (var6 == null) {
               return null;
            }

            var3 = var6.getAction();
         } catch (Throwable var8) {
            throw var8;
         }

         return var3;
      }
   }

   public float getAlignmentX() {
      return this.alignmentX != null ? this.alignmentX : super.getAlignmentX();
   }

   public float getAlignmentY() {
      return this.alignmentY != null ? this.alignmentY : super.getAlignmentY();
   }

   public boolean getAutoscrolls() {
      return this.autoscroller != null;
   }

   public Border getBorder() {
      return this.border;
   }

   public Rectangle getBounds(Rectangle var1) {
      if (var1 == null) {
         return new Rectangle(this.getX(), this.getY(), this.getWidth(), this.getHeight());
      } else {
         var1.setBounds(this.getX(), this.getY(), this.getWidth(), this.getHeight());
         return var1;
      }
   }

   private Dictionary getClientProperties() {
      if (this.clientProperties == null) {
         this.clientProperties = new Hashtable(2);
      }

      return this.clientProperties;
   }

   public final Object getClientProperty(Object var1) {
      return this.clientProperties == null ? null : this.getClientProperties().get(var1);
   }

   protected Graphics getComponentGraphics(Graphics var1) {
      Object var2 = var1;
      if (this.field_0 != null && DebugGraphics.debugComponentCount() != 0 && this.shouldDebugGraphics() != 0 && !(var1 instanceof DebugGraphics)) {
         if (var1 instanceof SwingGraphics) {
            if (!(((SwingGraphics)var1).subGraphics() instanceof DebugGraphics)) {
               DebugGraphics var3 = new DebugGraphics(((SwingGraphics)var1).subGraphics(), this);
               var2 = SwingGraphics.createSwingGraphics(var3);
            }
         } else {
            var2 = new DebugGraphics(var1, this);
         }
      }

      ((Graphics)var2).setColor(((Component)this).getForeground());
      ((Graphics)var2).setFont(((Component)this).getFont());
      return (Graphics)var2;
   }

   public int getConditionForKeyStroke(KeyStroke var1) {
      Hashtable var2 = this.keyboardBindings();
      if (var2 == null) {
         return -1;
      } else {
         synchronized(var2){}

         int var3;
         try {
            KeyboardBinding var6 = (KeyboardBinding)var2.get(var1);
            if (var6 == null) {
               return -1;
            }

            var3 = var6.getCondition();
         } catch (Throwable var8) {
            throw var8;
         }

         return var3;
      }
   }

   public int getDebugGraphicsOptions() {
      return DebugGraphics.getDebugOptions(this);
   }

   private boolean getFlag(int var1) {
      int var2 = 1 << var1;
      return (this.flags & var2) == var2;
   }

   public Graphics getGraphics() {
      if (this.shouldDebugGraphics() != 0) {
         DebugGraphics var1 = new DebugGraphics(super.getGraphics(), this);
         return var1;
      } else {
         return super.getGraphics();
      }
   }

   public int getHeight() {
      return this._bounds.height;
   }

   public Insets getInsets() {
      return this.border != null ? this.border.getBorderInsets(this) : super.getInsets();
   }

   public Insets getInsets(Insets var1) {
      if (this.border != null) {
         return this.border instanceof AbstractBorder ? ((AbstractBorder)this.border).getBorderInsets(this, var1) : this.border.getBorderInsets(this);
      } else {
         var1.left = var1.top = var1.right = var1.bottom = 0;
         return var1;
      }
   }

   public Point getLocation(Point var1) {
      if (var1 == null) {
         return new Point(this.getX(), this.getY());
      } else {
         var1.setLocation(this.getX(), this.getY());
         return var1;
      }
   }

   public Dimension getMaximumSize() {
      if (this.maximumSize != null) {
         return this.maximumSize;
      } else {
         Dimension var1 = null;
         if (this.field_0 != null) {
            var1 = this.field_0.getMaximumSize(this);
         }

         return var1 != null ? var1 : super.getMaximumSize();
      }
   }

   public Dimension getMinimumSize() {
      if (this.minimumSize != null) {
         return this.minimumSize;
      } else {
         Dimension var1 = null;
         if (this.field_0 != null) {
            var1 = this.field_0.getMinimumSize(this);
         }

         return var1 != null ? var1 : super.getMinimumSize();
      }
   }

   public Component getNextFocusableComponent() {
      return (Component)this.getClientProperty("nextFocus");
   }

   public Dimension getPreferredSize() {
      if (this.preferredSize != null) {
         return this.preferredSize;
      } else {
         Dimension var1 = null;
         if (this.field_0 != null) {
            var1 = this.field_0.getPreferredSize(this);
         }

         return var1 != null ? var1 : super.getPreferredSize();
      }
   }

   public KeyStroke[] getRegisteredKeyStrokes() {
      Hashtable var1 = this.keyboardBindings();
      if (var1 == null) {
         return new KeyStroke[0];
      } else {
         synchronized(var1){}

         KeyStroke[] var2;
         try {
            var2 = new KeyStroke[var1.size()];
            int var3 = 0;

            for(Enumeration var4 = var1.keys(); var4.hasMoreElements(); var2[var3++] = (KeyStroke)var4.nextElement()) {
            }
         } catch (Throwable var7) {
            throw var7;
         }

         return var2;
      }
   }

   public JRootPane getRootPane() {
      return SwingUtilities.getRootPane(this);
   }

   public Dimension getSize(Dimension var1) {
      if (var1 == null) {
         return new Dimension(this.getWidth(), this.getHeight());
      } else {
         var1.setSize(this.getWidth(), this.getHeight());
         return var1;
      }
   }

   public Point getToolTipLocation(MouseEvent var1) {
      return null;
   }

   public String getToolTipText() {
      return (String)this.getClientProperty("ToolTipText");
   }

   public String getToolTipText(MouseEvent var1) {
      return this.getToolTipText();
   }

   public Container getTopLevelAncestor() {
      for(Object var1 = this; var1 != null; var1 = ((Component)var1).getParent()) {
         if (var1 instanceof Window || var1 instanceof Applet) {
            return (Container)var1;
         }
      }

      return null;
   }

   public String getUIClassID() {
      return "ComponentUI";
   }

   public Rectangle getVisibleRect() {
      Rectangle var1 = new Rectangle();
      this.computeVisibleRect(var1);
      return var1;
   }

   public int getWidth() {
      return this._bounds.width;
   }

   public int getX() {
      return this._bounds.x;
   }

   public int getY() {
      return this._bounds.y;
   }

   public void grabFocus() {
      super.requestFocus();
   }

   public boolean hasFocus() {
      return this.getFlag(4);
   }

   public boolean isDoubleBuffered() {
      return this.getFlag(1);
   }

   public boolean isFocusCycleRoot() {
      return false;
   }

   public boolean isFocusTraversable() {
      boolean var1 = false;
      synchronized(this){}

      Hashtable var2;
      try {
         var2 = (Hashtable)this.getClientProperty("_KeyboardBindings");
      } catch (Throwable var11) {
         throw var11;
      }

      if (var2 != null) {
         synchronized(var2){}

         try {
            Enumeration var5 = var2.keys();

            while(var5.hasMoreElements()) {
               KeyboardBinding var6 = (KeyboardBinding)var2.get(var5.nextElement());
               if (var6.getCondition() == 0) {
                  var1 = true;
                  break;
               }
            }
         } catch (Throwable var12) {
            throw var12;
         }
      }

      return var1;
   }

   public static boolean isLightweightComponent(Component var0) {
      return var0.getPeer() instanceof LightweightPeer;
   }

   public boolean isManagingFocus() {
      return false;
   }

   public boolean isOpaque() {
      return this.getFlag(5);
   }

   public boolean isOptimizedDrawingEnabled() {
      return true;
   }

   public boolean isPaintingTile() {
      return this.getFlag(3);
   }

   public boolean isRequestFocusEnabled() {
      return !this.getFlag(0);
   }

   public boolean isValidateRoot() {
      return false;
   }

   private Hashtable keyboardBindings() {
      synchronized(this){}

      Hashtable var1;
      try {
         var1 = (Hashtable)this.getClientProperty("_KeyboardBindings");
      } catch (Throwable var4) {
         throw var4;
      }

      return var1;
   }

   public void paint(Graphics var1) {
      boolean var2 = false;
      if (this.getWidth() > 0 && this.getHeight() > 0) {
         Graphics var3 = this.getComponentGraphics(var1);
         Graphics var4 = SwingGraphics.createSwingGraphics(var3);

         try {
            Object var7 = null;
            RepaintManager var8 = RepaintManager.currentManager(this);
            GraphicsWrapper var9 = (GraphicsWrapper)var4;
            int var10 = var9.getClipX();
            int var11 = var9.getClipY();
            int var12 = var9.getClipWidth();
            int var13 = var9.getClipHeight();
            if (var12 > this.getWidth()) {
               var12 = this.getWidth();
            }

            if (var13 > this.getHeight()) {
               var13 = this.getHeight();
            }

            if (((Component)this).getParent() != null && !(((Component)this).getParent() instanceof JComponent)) {
               this.adjustPaintFlags();
               var2 = true;
            }

            Image var29;
            if (var8.isDoubleBufferingEnabled() && !this.getFlag(2) && this.isDoubleBuffered() && (var29 = var8.getOffscreenBuffer(this, var12, var13)) != null && var29.getWidth((ImageObserver)null) > 0 && var29.getHeight((ImageObserver)null) > 0) {
               Graphics var20 = SwingGraphics.createSwingGraphics(var29.getGraphics());

               try {
                  var20.translate(-var10, -var11);
                  int var14 = var29.getWidth((ImageObserver)null);
                  int var15 = var29.getHeight((ImageObserver)null);
                  if (var14 > var12) {
                     var14 = var12;
                  }

                  if (var15 > var13) {
                     var15 = var13;
                  }

                  this.setFlag(2, true);
                  this.setFlag(3, true);
                  int var16 = 0;

                  for(int var18 = var12; var16 < var18; var16 += var14) {
                     int var17 = 0;

                     for(int var19 = var13; var17 < var19; var17 += var15) {
                        if (var17 + var15 >= var19 && var16 + var14 >= var18) {
                           this.setFlag(3, false);
                        }

                        var20.translate(-var16, -var17);
                        var20.setClip(var10 + var16, var11 + var17, var14, var15);
                        if (!this.rectangleIsObscured(var10, var11, var14, var15)) {
                           this.paintComponent(var20);
                           this.paintBorder(var20);
                        }

                        this.paintChildren(var20);
                        var4.drawImage(var29, var10 + var16, var11 + var17, this);
                        var20.translate(var16, var17);
                     }
                  }
               } finally {
                  this.setFlag(2, false);
                  this.setFlag(3, false);
                  var20.dispose();
               }
            } else {
               if (!this.rectangleIsObscured(var10, var11, var12, var13)) {
                  this.paintComponent(var4);
                  this.paintBorder(var4);
               }

               this.paintChildren(var4);
            }
         } finally {
            var4.dispose();
            if (var2) {
               this.setFlag(2, false);
               this.setFlag(3, false);
            }

         }

      }
   }

   protected void paintBorder(Graphics var1) {
      Border var2 = this.getBorder();
      if (var2 != null) {
         var2.paintBorder(this, var1, 0, 0, this.getWidth(), this.getHeight());
      }

   }

   protected void paintChildren(Graphics var1) {
      Graphics var3 = null;

      try {
         Object var6 = ((Component)this).getTreeLock();
         synchronized(var6){}

         try {
            int var8 = ((Container)this).getComponentCount() - 1;
            if (var8 >= 0) {
               var3 = SwingGraphics.createSwingGraphics(var1);
               if (this.paintingChild != null && this.paintingChild instanceof JComponent && ((JComponent)this.paintingChild).isOpaque()) {
                  while(var8 >= 0 && ((Container)this).getComponent(var8) != this.paintingChild) {
                     --var8;
                  }
               }

               if (this.tmpRect == null) {
                  this.tmpRect = new Rectangle();
               }

               for(boolean var9 = !this.isOptimizedDrawingEnabled() && this.checkIfChildObscuredBySibling(); var8 >= 0; --var8) {
                  Component var10 = ((Container)this).getComponent(var8);
                  if (var10 != null && isLightweightComponent(var10) && var10.isVisible()) {
                     boolean var2 = var10 instanceof JComponent;
                     Rectangle var11;
                     if (var2) {
                        var11 = this.tmpRect;
                        ((JComponent)var10).getBounds(var11);
                     } else {
                        var11 = var10.getBounds();
                     }

                     boolean var12 = ((GraphicsWrapper)var3).isClipIntersecting(var11);
                     if (var12) {
                        if (var9 && var8 > 0) {
                           int var13 = var11.x;
                           int var14 = var11.y;
                           int var15 = var11.width;
                           int var16 = var11.height;
                           GraphicsWrapper var17 = (GraphicsWrapper)var3;
                           SwingUtilities.computeIntersection(var17.getClipX(), var17.getClipY(), var17.getClipWidth(), var17.getClipHeight(), var11);
                           if (this.rectangleIsObscuredBySibling(var8, var11.x, var11.y, var11.width, var11.height)) {
                              continue;
                           }

                           var11.x = var13;
                           var11.y = var14;
                           var11.width = var15;
                           var11.height = var16;
                        }

                        Graphics var30 = SwingGraphics.createSwingGraphics(var3, var11.x, var11.y, var11.width, var11.height);
                        var30.setColor(var10.getForeground());
                        var30.setFont(var10.getFont());
                        boolean var31 = false;

                        try {
                           if (var2) {
                              if (this.getFlag(2)) {
                                 ((JComponent)var10).setFlag(2, true);
                                 var31 = true;
                              }

                              if (this.getFlag(3)) {
                                 ((JComponent)var10).setFlag(3, true);
                                 var31 = true;
                              }

                              ((JComponent)var10).paint(var30);
                           } else {
                              var10.paint(var30);
                           }
                        } finally {
                           var30.dispose();
                           if (var31) {
                              ((JComponent)var10).setFlag(2, false);
                              ((JComponent)var10).setFlag(3, false);
                           }

                        }
                     }
                  }
               }

               return;
            }
         } catch (Throwable var28) {
            throw var28;
         }
      } finally {
         if (var3 != null) {
            var3.dispose();
         }

      }

   }

   protected void paintComponent(Graphics var1) {
      if (this.field_0 != null) {
         Graphics var2 = SwingGraphics.createSwingGraphics(var1);

         try {
            this.field_0.update(var2, this);
         } finally {
            var2.dispose();
         }
      }

   }

   public void paintImmediately(int var1, int var2, int var3, int var4) {
      Object var5 = this;
      if (((Component)this).isShowing()) {
         while(!((JComponent)var5).isOpaque()) {
            Container var6 = ((Component)var5).getParent();
            if (var6 == null) {
               break;
            }

            Rectangle var7;
            if (var5 instanceof JComponent) {
               var7 = ((JComponent)var5)._bounds;
            } else {
               var7 = ((Component)var5).getBounds();
            }

            var1 += var7.x;
            var2 += var7.y;
            var5 = var6;
            if (!(var6 instanceof JComponent)) {
               break;
            }
         }

         if (var5 instanceof JComponent) {
            ((JComponent)var5)._paintImmediately(var1, var2, var3, var4);
         } else {
            ((Component)var5).repaint(var1, var2, var3, var4);
         }

      }
   }

   public void paintImmediately(Rectangle var1) {
      this.paintImmediately(var1.x, var1.y, var1.width, var1.height);
   }

   private void paintWithBuffer(JComponent var1, Graphics var2, Rectangle var3, Image var4) {
      Graphics var5 = SwingGraphics.createSwingGraphics(var4.getGraphics());
      int var6 = var4.getWidth((ImageObserver)null);
      int var7 = var4.getHeight((ImageObserver)null);
      if (var6 > var3.width) {
         var6 = var3.width;
      }

      if (var7 > var3.height) {
         var7 = var3.height;
      }

      try {
         var1.setFlag(2, true);
         var1.setFlag(3, true);
         int var8 = var3.x;

         for(int var10 = var3.x + var3.width; var8 < var10; var8 += var6) {
            int var9 = var3.y;

            for(int var11 = var3.y + var3.height; var9 < var11; var9 += var7) {
               if (var9 + var7 >= var11 && var8 + var6 >= var10) {
                  var1.setFlag(3, false);
               }

               var5.translate(-var8, -var9);
               var5.setClip(var8, var9, var6, var7);
               var1.paint(var5);
               var2.setClip(var8, var9, var6, var7);
               var2.drawImage(var4, var8, var9, var1);
               var5.translate(var8, var9);
            }
         }
      } finally {
         var1.setFlag(2, false);
         var1.setFlag(3, false);
         var5.dispose();
      }

   }

   protected String paramString() {
      String var1 = this.preferredSize != null ? this.preferredSize.toString() : "";
      String var2 = this.minimumSize != null ? this.minimumSize.toString() : "";
      String var3 = this.maximumSize != null ? this.maximumSize.toString() : "";
      String var4 = this.border != null ? this.border.toString() : "";
      return super.paramString() + ",alignmentX=" + this.alignmentX + ",alignmentY=" + this.alignmentY + ",border=" + var4 + ",flags=" + this.flags + ",maximumSize=" + var3 + ",minimumSize=" + var2 + ",preferredSize=" + var1;
   }

   protected void processComponentKeyEvent(KeyEvent var1) {
   }

   protected void processFocusEvent(FocusEvent var1) {
      switch (((AWTEvent)var1).getID()) {
         case 1004:
            this.setFlag(4, true);
            break;
         case 1005:
            this.setFlag(4, false);
      }

      super.processFocusEvent(var1);
   }

   boolean processKeyBinding(KeyEvent var1, int var2, boolean var3) {
      boolean var7 = !var3;
      Object var8 = null;
      if (((Component)this).isEnabled()) {
         KeyboardBinding var11;
         if (((AWTEvent)var1).getID() == 400) {
            var11 = this.bindingForKeyStroke(KeyStroke.getKeyStroke(var1.getKeyChar()), var2);
         } else {
            var11 = this.bindingForKeyStroke(KeyStroke.getKeyStroke(var1.getKeyCode(), ((InputEvent)var1).getModifiers(), var7), var2);
         }

         if (var11 != null) {
            ActionListener var10 = var11.getAction();
            if (var10 != null) {
               var10.actionPerformed(new ActionEvent(this, 1001, var11.getCommand()));
               return true;
            }
         }
      }

      return false;
   }

   boolean processKeyBindings(KeyEvent var1, boolean var2) {
      if (this.processKeyBinding(var1, 0, var2)) {
         return true;
      } else {
         Container var3;
         for(var3 = ((Component)this).getParent(); var3 != null && !(var3 instanceof Window) && !(var3 instanceof Applet) && !(var3 instanceof JInternalFrame); var3 = ((Component)var3).getParent()) {
            if (var3 instanceof JComponent && ((JComponent)var3).processKeyBinding(var1, 1, var2)) {
               return true;
            }
         }

         return var3 != null ? processKeyBindingsForAllComponents(var1, var3, var2) : false;
      }
   }

   static boolean processKeyBindingsForAllComponents(KeyEvent var0, Container var1, boolean var2) {
      return KeyboardManager.getCurrentManager().fireKeyboardAction(var0, var2, var1);
   }

   protected void processKeyEvent(KeyEvent var1) {
      boolean var3 = false;
      if (FocusManager.isFocusManagerEnabled()) {
         FocusManager var4 = FocusManager.getCurrentManager();
         var4.processKeyEvent(this, var1);
         if (((InputEvent)var1).isConsumed()) {
            return;
         }
      }

      super.processKeyEvent(var1);
      if (!((InputEvent)var1).isConsumed()) {
         this.processComponentKeyEvent(var1);
      }

      if (((AWTEvent)var1).getID() == 401) {
         var3 = true;
         if (!javax.swing.JComponent.KeyboardState.keyIsPressed(var1.getKeyCode())) {
            javax.swing.JComponent.KeyboardState.registerKeyPressed(var1.getKeyCode());
         }
      } else if (((AWTEvent)var1).getID() == 402) {
         if (javax.swing.JComponent.KeyboardState.keyIsPressed(var1.getKeyCode())) {
            var3 = true;
            javax.swing.JComponent.KeyboardState.registerKeyReleased(var1.getKeyCode());
         }
      } else if (((AWTEvent)var1).getID() == 400) {
         var3 = true;
      }

      if (!((InputEvent)var1).isConsumed()) {
         if (var3 && ((AWTEvent)var1).getID() == 401) {
            boolean var6 = this.processKeyBindings(var1, true);
            if (var6) {
               ((InputEvent)var1).consume();
            }
         } else if (var3 && ((AWTEvent)var1).getID() == 402) {
            boolean var5 = this.processKeyBindings(var1, false);
            if (var5) {
               ((InputEvent)var1).consume();
            }
         } else if (var3 && ((AWTEvent)var1).getID() == 400) {
            boolean var2 = this.processKeyBindings(var1, false);
            if (var2) {
               ((InputEvent)var1).consume();
            }
         }

      }
   }

   protected void processMouseMotionEvent(MouseEvent var1) {
      boolean var2 = true;
      if (this.autoscroller != null && ((AWTEvent)var1).getID() == 506) {
         var2 = this.autoscroller.timer.isRunning() ^ true;
         this.autoscroller.mouseDragged(var1);
      }

      if (var2) {
         super.processMouseMotionEvent(var1);
      }

   }

   public final void putClientProperty(Object var1, Object var2) {
      Object var3 = this.getClientProperties().get(var1);
      if (var2 != null) {
         this.getClientProperties().put(var1, var2);
      } else {
         this.getClientProperties().remove(var1);
      }

      this.firePropertyChange(var1.toString(), var3, var2);
   }

   private void readObject(ObjectInputStream var1) throws IOException, ClassNotFoundException {
      var1.defaultReadObject();
      ReadObjectCallback var2 = (ReadObjectCallback)readObjectCallbacks.get(var1);
      if (var2 == null) {
         try {
            readObjectCallbacks.put(var1, var2 = new ReadObjectCallback(this, var1));
         } catch (Exception var4) {
            throw new IOException(((Throwable)var4).toString());
         }
      }

      javax.swing.JComponent.ReadObjectCallback.access$0(var2, this);
      if (this.getToolTipText() != null) {
         ToolTipManager.sharedInstance().registerComponent(this);
      }

   }

   boolean rectangleIsObscured(int var1, int var2, int var3, int var4) {
      int var5 = ((Container)this).getComponentCount();

      for(int var6 = 0; var6 < var5; ++var6) {
         Component var7 = ((Container)this).getComponent(var6);
         Rectangle var8;
         if (var7 instanceof JComponent) {
            var8 = ((JComponent)var7)._bounds;
         } else {
            var8 = var7.getBounds();
         }

         if (var1 >= var8.x && var1 + var3 <= var8.x + var8.width && var2 >= var8.y && var2 + var4 <= var8.y + var8.height && var7.isVisible()) {
            if (var7 instanceof JComponent) {
               return ((JComponent)var7).isOpaque();
            }

            return false;
         }
      }

      return false;
   }

   boolean rectangleIsObscuredBySibling(int var1, int var2, int var3, int var4, int var5) {
      for(int var6 = var1 - 1; var6 >= 0; --var6) {
         Component var7 = ((Container)this).getComponent(var6);
         if (var7.isVisible()) {
            Rectangle var8;
            if (var7 instanceof JComponent) {
               if (!((JComponent)var7).isOpaque()) {
                  continue;
               }

               var8 = ((JComponent)var7).getBounds(this.tmpRect);
            } else {
               var8 = var7.getBounds();
            }

            if (var2 >= var8.x && var2 + var4 <= var8.x + var8.width && var3 >= var8.y && var3 + var5 <= var8.y + var8.height) {
               return true;
            }
         }
      }

      return false;
   }

   public void registerKeyboardAction(ActionListener var1, String var2, KeyStroke var3, int var4) {
      boolean var6 = false;
      synchronized(this){}

      Hashtable var5;
      try {
         var5 = (Hashtable)this.getClientProperty("_KeyboardBindings");
         if (var5 == null) {
            var5 = new Hashtable();
            this.putClientProperty("_KeyboardBindings", var5);
            var6 = true;
         }
      } catch (Throwable var13) {
         throw var13;
      }

      synchronized(var5){}

      try {
         var5.put(var3, new KeyboardBinding(var1, var2, var3, var4));
      } catch (Throwable var12) {
         throw var12;
      }

      if (var6) {
         ((Component)this).enableEvents(8L);
      }

      if (((Component)this).getParent() != null && var4 == 2) {
         this.registerWithKeyboardManager(var3);
      }

   }

   public void registerKeyboardAction(ActionListener var1, KeyStroke var2, int var3) {
      this.registerKeyboardAction(var1, (String)null, var2, var3);
   }

   void registerWithKeyboardManager(KeyStroke var1) {
      KeyboardManager.getCurrentManager().registerKeyStroke(var1, this);
   }

   public void removeAncestorListener(AncestorListener var1) {
      if (this.ancestorNotifier != null) {
         this.ancestorNotifier.removeAncestorListener(var1);
         if (this.ancestorNotifier.listenerList.getListenerList().length == 0) {
            this.ancestorNotifier.removeAllListeners();
            this.ancestorNotifier = null;
         }

      }
   }

   public void removeNotify() {
      super.removeNotify();
      this.firePropertyChange("ancestor", ((Component)this).getParent(), (Object)null);
      Hashtable var1 = (Hashtable)this.getClientProperty("_KeyboardBindings");
      if (var1 != null) {
         Enumeration var2 = var1.keys();

         while(var2.hasMoreElements()) {
            KeyStroke var3 = (KeyStroke)var2.nextElement();
            KeyboardBinding var4 = (KeyboardBinding)var1.get(var3);
            if (var4.condition == 2) {
               this.unregisterWithKeyboardManager(var3);
            }
         }

      }
   }

   public synchronized void removePropertyChangeListener(PropertyChangeListener var1) {
      if (this.changeSupport != null) {
         this.changeSupport.removePropertyChangeListener(var1);
      }

   }

   public synchronized void removePropertyChangeListener(String var1, PropertyChangeListener var2) {
      if (var2 != null) {
         if (this.changeSupport != null) {
            this.changeSupport.removePropertyChangeListener(var1, var2);
         }
      }
   }

   public synchronized void removeVetoableChangeListener(VetoableChangeListener var1) {
      if (this.vetoableChangeSupport != null) {
         this.vetoableChangeSupport.removeVetoableChangeListener(var1);
      }
   }

   public void repaint(long var1, int var3, int var4, int var5, int var6) {
      RepaintManager.currentManager(this).addDirtyRegion(this, var3, var4, var5, var6);
   }

   public void repaint(Rectangle var1) {
      this.repaint(0L, var1.x, var1.y, var1.width, var1.height);
   }

   public boolean requestDefaultFocus() {
      Component[] var1 = ((Container)this).getComponents();

      for(int var2 = 0; var2 < var1.length; ++var2) {
         if (var1[var2].isFocusTraversable()) {
            if (var1[var2] instanceof JComponent) {
               ((JComponent)var1[var2]).grabFocus();
            } else {
               var1[var2].requestFocus();
            }

            return true;
         }

         if (var1[var2] instanceof JComponent && !((JComponent)var1[var2]).isManagingFocus() && ((JComponent)var1[var2]).requestDefaultFocus()) {
            return true;
         }
      }

      return false;
   }

   public void requestFocus() {
      FocusManager var1 = FocusManager.getCurrentManager();
      if (var1 instanceof DefaultFocusManager) {
         ((DefaultFocusManager)var1).clearHistory();
      }

      if (this.isRequestFocusEnabled()) {
         super.requestFocus();
      }

   }

   public void resetKeyboardActions() {
      synchronized(this){}

      try {
         Hashtable var3 = (Hashtable)this.getClientProperty("_KeyboardBindings");
         if (var3 != null) {
            var3.clear();
         }
      } catch (Throwable var5) {
         throw var5;
      }

   }

   public void reshape(int var1, int var2, int var3, int var4) {
      if (((Component)this).isShowing()) {
         if (this._bounds.x + this._bounds.width > var1 && this._bounds.y + this._bounds.height > var2 && this._bounds.x < var1 + var3 && this._bounds.y < var2 + var4) {
            Rectangle[] var5 = SwingUtilities.computeDifference(((Component)this).getBounds(), new Rectangle(var1, var2, var3, var4));
            Container var8 = ((Component)this).getParent();
            int var6 = 0;

            for(int var7 = var5.length; var6 < var7; ++var6) {
               ((Component)var8).repaint(var5[var6].x, var5[var6].y, var5[var6].width, var5[var6].height);
            }
         } else {
            ((Component)this).getParent().repaint(this._bounds.x, this._bounds.y, this._bounds.width, this._bounds.height);
         }
      }

      this._bounds.setBounds(var1, var2, var3, var4);
      super.reshape(var1, var2, var3, var4);
   }

   public void revalidate() {
      if (((Component)this).getParent() == null) {
         ((Container)this).invalidate();
      } else if (SwingUtilities.isEventDispatchThread()) {
         ((Container)this).invalidate();
         RepaintManager.currentManager(this).addInvalidComponent(this);
      } else {
         1 var1 = new 1(this);
         SwingUtilities.invokeLater(var1);
      }

   }

   public void scrollRectToVisible(Rectangle var1) {
      int var3 = this.getX();
      int var4 = this.getY();

      Container var2;
      for(var2 = ((Component)this).getParent(); var2 != null && !(var2 instanceof JComponent) && !(var2 instanceof CellRendererPane); var2 = ((Component)var2).getParent()) {
         Rectangle var5 = ((Component)var2).getBounds();
         var3 += var5.x;
         var4 += var5.y;
      }

      if (var2 != null && !(var2 instanceof CellRendererPane)) {
         var1.x += var3;
         var1.y += var4;
         ((JComponent)var2).scrollRectToVisible(var1);
         var1.x -= var3;
         var1.y -= var4;
      }

   }

   public void setAlignmentX(float var1) {
      this.alignmentX = new Float(var1 > 1.0F ? 1.0F : (var1 < 0.0F ? 0.0F : var1));
   }

   public void setAlignmentY(float var1) {
      this.alignmentY = new Float(var1 > 1.0F ? 1.0F : (var1 < 0.0F ? 0.0F : var1));
   }

   public void setAutoscrolls(boolean var1) {
      if (var1) {
         if (this.autoscroller == null) {
            this.autoscroller = new Autoscroller(this);
         }
      } else if (this.autoscroller != null) {
         this.autoscroller.dispose();
         this.autoscroller = null;
      }

   }

   public void setBackground(Color var1) {
      Color var2;
      label23: {
         var2 = ((Component)this).getBackground();
         super.setBackground(var1);
         boolean var10000;
         if (var2 != null) {
            var10000 = var2.equals(var1) ^ true;
         } else {
            if (var1 != null && !var1.equals(var2)) {
               break label23;
            }

            var10000 = false;
         }

         if (!var10000) {
            return;
         }
      }

      if (!SwingUtilities.is1dot2) {
         this.firePropertyChange("background", var2, var1);
      }

      ((Component)this).repaint();
   }

   public void setBorder(Border var1) {
      Border var2 = this.border;
      this.border = var1;
      this.firePropertyChange("border", var2, var1);
      if (var1 != var2) {
         if (var1 == null || var2 == null || !var1.getBorderInsets(this).equals(var2.getBorderInsets(this))) {
            this.revalidate();
         }

         ((Component)this).repaint();
      }

   }

   public void setDebugGraphicsOptions(int var1) {
      DebugGraphics.setDebugOptions(this, var1);
   }

   public void setDoubleBuffered(boolean var1) {
      this.setFlag(1, var1);
   }

   public void setEnabled(boolean var1) {
      boolean var2 = ((Component)this).isEnabled();
      super.setEnabled(var1);
      if (!var1 && this.hasFocus()) {
         FocusManager.getCurrentManager().focusPreviousComponent(this);
      }

      this.firePropertyChange("enabled", var2, var1);
      if (var1 != var2) {
         ((Component)this).repaint();
      }

   }

   private void setFlag(int var1, boolean var2) {
      if (var2) {
         this.flags |= 1 << var1;
      } else {
         this.flags &= ~(1 << var1);
      }

   }

   public void setFont(Font var1) {
      Font var2 = ((Component)this).getFont();
      super.setFont(var1);
      if (!SwingUtilities.is1dot2) {
         this.firePropertyChange("font", var2, var1);
      }

      if (var1 != var2) {
         this.revalidate();
         ((Component)this).repaint();
      }

   }

   public void setForeground(Color var1) {
      Color var2;
      label23: {
         var2 = ((Component)this).getForeground();
         super.setForeground(var1);
         boolean var10000;
         if (var2 != null) {
            var10000 = var2.equals(var1) ^ true;
         } else {
            if (var1 != null && !var1.equals(var2)) {
               break label23;
            }

            var10000 = false;
         }

         if (!var10000) {
            return;
         }
      }

      if (!SwingUtilities.is1dot2) {
         this.firePropertyChange("foreground", var2, var1);
      }

      ((Component)this).repaint();
   }

   public void setMaximumSize(Dimension var1) {
      Dimension var2 = this.maximumSize;
      this.maximumSize = var1;
      this.firePropertyChange("maximumSize", var2, var1);
   }

   public void setMinimumSize(Dimension var1) {
      Dimension var2 = this.minimumSize;
      this.minimumSize = var1;
      this.firePropertyChange("minimumSize", var2, var1);
   }

   public void setNextFocusableComponent(Component var1) {
      this.putClientProperty("nextFocus", var1);
   }

   public void setOpaque(boolean var1) {
      boolean var2 = this.getFlag(5);
      this.setFlag(5, var1);
      this.firePropertyChange("opaque", var2, var1);
   }

   void setPaintingChild(Component var1) {
      this.paintingChild = var1;
   }

   public void setPreferredSize(Dimension var1) {
      Dimension var2 = this.preferredSize;
      this.preferredSize = var1;
      this.firePropertyChange("preferredSize", var2, var1);
   }

   public void setRequestFocusEnabled(boolean var1) {
      this.setFlag(0, !var1);
   }

   public void setToolTipText(String var1) {
      this.putClientProperty("ToolTipText", var1);
      ToolTipManager var2 = ToolTipManager.sharedInstance();
      if (var1 != null) {
         var2.registerComponent(this);
      } else {
         var2.unregisterComponent(this);
      }

   }

   protected void setUI(ComponentUI var1) {
      if (this.field_0 != null) {
         this.field_0.uninstallUI(this);
      }

      ComponentUI var2 = this.field_0;
      this.field_0 = var1;
      if (this.field_0 != null) {
         this.field_0.installUI(this);
      }

      this.firePropertyChange("UI", var2, var1);
      this.revalidate();
      ((Component)this).repaint();
   }

   public void setVisible(boolean var1) {
      if (var1 != ((Component)this).isVisible()) {
         super.setVisible(var1);
         Container var2 = ((Component)this).getParent();
         if (var2 != null) {
            Rectangle var3 = ((Component)this).getBounds();
            ((Component)var2).repaint(var3.x, var3.y, var3.width, var3.height);
         }

         this.revalidate();
         if (this.accessibleContext != null) {
            if (var1) {
               this.accessibleContext.firePropertyChange("AccessibleState", (Object)null, AccessibleState.VISIBLE);
            } else {
               this.accessibleContext.firePropertyChange("AccessibleState", AccessibleState.VISIBLE, (Object)null);
            }
         }
      }

   }

   int shouldDebugGraphics() {
      return DebugGraphics.shouldComponentDebug(this);
   }

   void superProcessMouseMotionEvent(MouseEvent var1) {
      super.processMouseMotionEvent(var1);
   }

   public void unregisterKeyboardAction(KeyStroke var1) {
      Hashtable var2 = this.keyboardBindings();
      if (var2 != null) {
         synchronized(var2){}

         KeyboardBinding var3;
         try {
            var3 = (KeyboardBinding)var2.remove(var1);
         } catch (Throwable var6) {
            throw var6;
         }

         var2.size();
         if (var3 != null && var3.condition == 2) {
            this.unregisterWithKeyboardManager(var1);
         }

      }
   }

   void unregisterWithKeyboardManager(KeyStroke var1) {
      KeyboardManager.getCurrentManager().unregisterKeyStroke(var1, this);
   }

   public void update(Graphics var1) {
      this.paint(var1);
   }

   public void updateUI() {
   }

   private void writeObject(ObjectOutputStream var1) throws IOException {
      var1.defaultWriteObject();
      if (this.field_0 != null && this.getUIClassID().equals("ComponentUI")) {
         this.field_0.installUI(this);
      }

   }
}
