package javax.swing;

import java.awt.Color;
import java.awt.Container;
import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.event.FocusListener;
import java.io.Serializable;
import java.util.Locale;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleComponent;
import javax.accessibility.AccessibleContext;
import javax.accessibility.AccessibleRole;
import javax.accessibility.AccessibleState;
import javax.accessibility.AccessibleStateSet;

public class JDialog$AccessibleJDialog extends AccessibleContext implements Serializable, AccessibleComponent {
   // $FF: synthetic field
   private final JDialog this$0;

   protected JDialog$AccessibleJDialog(JDialog var1) {
      this.this$0 = var1;
   }

   public void addFocusListener(FocusListener var1) {
      this.this$0.addFocusListener(var1);
   }

   public boolean contains(Point var1) {
      return this.this$0.contains(var1);
   }

   public Accessible getAccessibleAt(Point var1) {
      return SwingUtilities.getAccessibleAt(this.this$0, var1);
   }

   public Accessible getAccessibleChild(int var1) {
      return SwingUtilities.getAccessibleChild(this.this$0, var1);
   }

   public int getAccessibleChildrenCount() {
      return SwingUtilities.getAccessibleChildrenCount(this.this$0);
   }

   public AccessibleComponent getAccessibleComponent() {
      return this;
   }

   public int getAccessibleIndexInParent() {
      return SwingUtilities.getAccessibleIndexInParent(this.this$0);
   }

   public String getAccessibleName() {
      if (super.accessibleName != null) {
         return super.accessibleName;
      } else {
         return this.this$0.getTitle() == null ? super.getAccessibleName() : this.this$0.getTitle();
      }
   }

   public Accessible getAccessibleParent() {
      if (super.accessibleParent != null) {
         return super.accessibleParent;
      } else {
         Container var1 = this.this$0.getParent();
         return var1 instanceof Accessible ? (Accessible)var1 : null;
      }
   }

   public AccessibleRole getAccessibleRole() {
      return AccessibleRole.DIALOG;
   }

   public AccessibleStateSet getAccessibleStateSet() {
      AccessibleStateSet var1 = SwingUtilities.getAccessibleStateSet(this.this$0);
      if (this.this$0.isResizable()) {
         var1.add(AccessibleState.RESIZABLE);
      }

      if (this.this$0.getFocusOwner() != null) {
         var1.add(AccessibleState.ACTIVE);
      }

      if (this.this$0.isModal()) {
         var1.add(AccessibleState.MODAL);
      }

      return var1;
   }

   public Color getBackground() {
      return this.this$0.getBackground();
   }

   public Rectangle getBounds() {
      return this.this$0.getBounds();
   }

   public Cursor getCursor() {
      return this.this$0.getCursor();
   }

   public Font getFont() {
      return this.this$0.getFont();
   }

   public FontMetrics getFontMetrics(Font var1) {
      return this.this$0.getFontMetrics(var1);
   }

   public Color getForeground() {
      return this.this$0.getForeground();
   }

   public Locale getLocale() {
      return this.this$0.getLocale();
   }

   public Point getLocation() {
      return this.this$0.getLocation();
   }

   public Point getLocationOnScreen() {
      return this.this$0.getLocationOnScreen();
   }

   public Dimension getSize() {
      return this.this$0.getSize();
   }

   public boolean isEnabled() {
      return this.this$0.isEnabled();
   }

   public boolean isFocusTraversable() {
      return this.this$0.isFocusTraversable();
   }

   public boolean isShowing() {
      return this.this$0.isShowing();
   }

   public boolean isVisible() {
      return this.this$0.isVisible();
   }

   public void removeFocusListener(FocusListener var1) {
      this.this$0.removeFocusListener(var1);
   }

   public void requestFocus() {
      this.this$0.requestFocus();
   }

   public void setBackground(Color var1) {
      this.this$0.setBackground(var1);
   }

   public void setBounds(Rectangle var1) {
      this.this$0.setBounds(var1);
   }

   public void setCursor(Cursor var1) {
      this.this$0.setCursor(var1);
   }

   public void setEnabled(boolean var1) {
      this.this$0.setEnabled(var1);
   }

   public void setFont(Font var1) {
      this.this$0.setFont(var1);
   }

   public void setForeground(Color var1) {
      this.this$0.setForeground(var1);
   }

   public void setLocation(Point var1) {
      this.this$0.setLocation(var1);
   }

   public void setSize(Dimension var1) {
      this.this$0.setSize(var1);
   }

   public void setVisible(boolean var1) {
      this.this$0.setVisible(var1);
   }
}
