package javax.swing;

import java.awt.AWTEvent;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Container;
import java.awt.EventQueue;
import java.awt.Graphics;
import java.awt.LayoutManager;
import java.awt.MenuComponent;
import java.beans.PropertyVetoException;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.util.EventObject;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleContext;
import javax.swing.event.InternalFrameEvent;
import javax.swing.event.InternalFrameListener;
import javax.swing.plaf.InternalFrameUI;

public class JInternalFrame extends JComponent implements Accessible, WindowConstants, RootPaneContainer {
   private static final String uiClassID = "InternalFrameUI";
   protected JRootPane rootPane;
   protected boolean rootPaneCheckingEnabled;
   protected boolean closable;
   protected boolean isClosed;
   protected boolean maximizable;
   protected boolean isMaximum;
   protected boolean iconable;
   protected boolean isIcon;
   protected boolean resizable;
   protected boolean isSelected;
   protected Icon frameIcon;
   protected String title;
   protected JDesktopIcon desktopIcon;
   private boolean opened;
   private int defaultCloseOperation;
   public static final String CONTENT_PANE_PROPERTY = "contentPane";
   public static final String MENU_BAR_PROPERTY = "menuBar";
   public static final String TITLE_PROPERTY = "title";
   public static final String LAYERED_PANE_PROPERTY = "layeredPane";
   public static final String ROOT_PANE_PROPERTY = "rootPane";
   public static final String GLASS_PANE_PROPERTY = "glassPane";
   public static final String FRAME_ICON_PROPERTY = "frameIcon";
   public static final String IS_SELECTED_PROPERTY = "selected";
   public static final String IS_CLOSED_PROPERTY = "closed";
   public static final String IS_MAXIMUM_PROPERTY = "maximum";
   public static final String IS_ICON_PROPERTY = "icon";
   boolean isDragging;
   boolean danger;
   // $FF: synthetic field
   static Class class$javax$swing$event$InternalFrameListener;

   public JInternalFrame() {
      this("", false, false, false, false);
   }

   public JInternalFrame(String var1) {
      this(var1, false, false, false, false);
   }

   public JInternalFrame(String var1, boolean var2) {
      this(var1, var2, false, false, false);
   }

   public JInternalFrame(String var1, boolean var2, boolean var3) {
      this(var1, var2, var3, false, false);
   }

   public JInternalFrame(String var1, boolean var2, boolean var3, boolean var4) {
      this(var1, var2, var3, var4, false);
   }

   public JInternalFrame(String var1, boolean var2, boolean var3, boolean var4, boolean var5) {
      this.rootPaneCheckingEnabled = false;
      this.defaultCloseOperation = 1;
      this.isDragging = false;
      this.danger = false;
      this.setRootPane(this.createRootPane());
      this.setLayout(new BorderLayout());
      this.title = var1;
      this.resizable = var2;
      this.closable = var3;
      this.maximizable = var4;
      this.isMaximum = false;
      this.iconable = var5;
      this.isIcon = false;
      this.setRootPaneCheckingEnabled(true);
      this.desktopIcon = new JDesktopIcon(this);
      this.updateUI();
   }

   protected void addImpl(Component var1, Object var2, int var3) {
      if (this.isRootPaneCheckingEnabled()) {
         throw this.createRootPaneException("add");
      } else {
         super.addImpl(var1, var2, var3);
      }
   }

   public void addInternalFrameListener(InternalFrameListener var1) {
      super.listenerList.add(class$javax$swing$event$InternalFrameListener != null ? class$javax$swing$event$InternalFrameListener : (class$javax$swing$event$InternalFrameListener = class$("javax.swing.event.InternalFrameListener")), var1);
      ((Component)this).enableEvents(0L);
   }

   // $FF: synthetic method
   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError(((Throwable)var2).getMessage());
      }
   }

   protected JRootPane createRootPane() {
      return new JRootPane();
   }

   private Error createRootPaneException(String var1) {
      String var2 = this.getClass().getName();
      return new Error("Do not use " + var2 + "." + var1 + "() use " + var2 + ".getContentPane()." + var1 + "() instead");
   }

   public void dispose() {
      if (((Component)this).isVisible()) {
         this.setVisible(false);
      }

      if (this.isSelected()) {
         try {
            this.setSelected(false);
         } catch (PropertyVetoException var1) {
         }
      }

      if (!this.isClosed) {
         this.fireInternalFrameEvent(25551);
      }

   }

   private void doDefaultCloseAction() {
      switch (this.defaultCloseOperation) {
         case 0:
         default:
            break;
         case 1:
            try {
               this.setClosed(true);
            } catch (PropertyVetoException var2) {
            }
            break;
         case 2:
            try {
               this.setClosed(true);
               this.dispose();
            } catch (PropertyVetoException var1) {
            }
            break;
         case 3:
            System.exit(0);
      }

   }

   protected void fireInternalFrameEvent(int var1) {
      Object[] var2 = super.listenerList.getListenerList();
      InternalFrameEvent var3 = null;

      for(int var4 = var2.length - 2; var4 >= 0; var4 -= 2) {
         if (var2[var4] == (class$javax$swing$event$InternalFrameListener != null ? class$javax$swing$event$InternalFrameListener : (class$javax$swing$event$InternalFrameListener = class$("javax.swing.event.InternalFrameListener")))) {
            if (var3 == null) {
               var3 = new InternalFrameEvent(this, var1);
            }

            switch (((AWTEvent)var3).getID()) {
               case 25549:
                  ((InternalFrameListener)var2[var4 + 1]).internalFrameOpened(var3);
                  break;
               case 25550:
                  ((InternalFrameListener)var2[var4 + 1]).internalFrameClosing(var3);
                  break;
               case 25551:
                  ((InternalFrameListener)var2[var4 + 1]).internalFrameClosed(var3);
                  break;
               case 25552:
                  ((InternalFrameListener)var2[var4 + 1]).internalFrameIconified(var3);
                  break;
               case 25553:
                  ((InternalFrameListener)var2[var4 + 1]).internalFrameDeiconified(var3);
                  break;
               case 25554:
                  ((InternalFrameListener)var2[var4 + 1]).internalFrameActivated(var3);
                  break;
               case 25555:
                  ((InternalFrameListener)var2[var4 + 1]).internalFrameDeactivated(var3);
            }
         }
      }

      if (var1 == 25550) {
         this.doDefaultCloseAction();
      }

   }

   public AccessibleContext getAccessibleContext() {
      if (super.accessibleContext == null) {
         super.accessibleContext = new AccessibleJInternalFrame(this);
      }

      return super.accessibleContext;
   }

   public Container getContentPane() {
      return this.getRootPane().getContentPane();
   }

   public int getDefaultCloseOperation() {
      return this.defaultCloseOperation;
   }

   public JDesktopIcon getDesktopIcon() {
      return this.desktopIcon;
   }

   public JDesktopPane getDesktopPane() {
      Container var1;
      for(var1 = ((Component)this).getParent(); var1 != null && !(var1 instanceof JDesktopPane); var1 = ((Component)var1).getParent()) {
      }

      if (var1 == null) {
         for(var1 = this.getDesktopIcon().getParent(); var1 != null && !(var1 instanceof JDesktopPane); var1 = ((Component)var1).getParent()) {
         }
      }

      return (JDesktopPane)var1;
   }

   public Icon getFrameIcon() {
      return this.frameIcon;
   }

   public Component getGlassPane() {
      return this.getRootPane().getGlassPane();
   }

   public JMenuBar getJMenuBar() {
      return this.getRootPane().getJMenuBar();
   }

   public int getLayer() {
      return JLayeredPane.getLayer(this);
   }

   public JLayeredPane getLayeredPane() {
      return this.getRootPane().getLayeredPane();
   }

   /** @deprecated */
   public JMenuBar getMenuBar() {
      return this.getRootPane().getMenuBar();
   }

   public JRootPane getRootPane() {
      return this.rootPane;
   }

   public String getTitle() {
      return this.title;
   }

   public InternalFrameUI getUI() {
      return (InternalFrameUI)super.ui;
   }

   public String getUIClassID() {
      return "InternalFrameUI";
   }

   public final String getWarningString() {
      return null;
   }

   public boolean isClosable() {
      return this.closable;
   }

   public boolean isClosed() {
      return this.isClosed;
   }

   public boolean isIcon() {
      return this.isIcon;
   }

   public boolean isIconifiable() {
      return this.iconable;
   }

   public boolean isMaximizable() {
      return this.maximizable;
   }

   public boolean isMaximum() {
      return this.isMaximum;
   }

   public boolean isResizable() {
      return this.isMaximum ? false : this.resizable;
   }

   protected boolean isRootPaneCheckingEnabled() {
      return this.rootPaneCheckingEnabled;
   }

   public boolean isSelected() {
      return this.isSelected;
   }

   public void moveToBack() {
      if (((Component)this).getParent() != null && ((Component)this).getParent() instanceof JLayeredPane) {
         JLayeredPane var1 = (JLayeredPane)((Component)this).getParent();
         var1.moveToBack(this);
      }

   }

   public void moveToFront() {
      if (((Component)this).getParent() != null && ((Component)this).getParent() instanceof JLayeredPane) {
         JLayeredPane var1 = (JLayeredPane)((Component)this).getParent();
         var1.moveToFront(this);
      }

   }

   public void pack() {
      Container var1 = ((Component)this).getParent();
      if (var1 != null && ((Component)var1).getPeer() == null) {
         var1.addNotify();
         ((JComponent)this).addNotify();
      }

      ((Component)this).setSize(((JComponent)this).getPreferredSize());
      ((Container)this).validate();
   }

   protected void paintComponent(Graphics var1) {
      if (this.isDragging) {
         this.danger = true;
      }

      super.paintComponent(var1);
   }

   protected String paramString() {
      String var1 = this.rootPane != null ? this.rootPane.toString() : "";
      String var2 = this.rootPaneCheckingEnabled ? "true" : "false";
      String var3 = this.closable ? "true" : "false";
      String var4 = this.isClosed ? "true" : "false";
      String var5 = this.maximizable ? "true" : "false";
      String var6 = this.isMaximum ? "true" : "false";
      String var7 = this.iconable ? "true" : "false";
      String var8 = this.isIcon ? "true" : "false";
      String var9 = this.resizable ? "true" : "false";
      String var10 = this.isSelected ? "true" : "false";
      String var11 = this.frameIcon != null ? this.frameIcon.toString() : "";
      String var12 = this.title != null ? this.title : "";
      String var13 = this.desktopIcon != null ? this.desktopIcon.toString() : "";
      String var14 = this.opened ? "true" : "false";
      String var15;
      if (this.defaultCloseOperation == 1) {
         var15 = "HIDE_ON_CLOSE";
      } else if (this.defaultCloseOperation == 2) {
         var15 = "DISPOSE_ON_CLOSE";
      } else if (this.defaultCloseOperation == 0) {
         var15 = "DO_NOTHING_ON_CLOSE";
      } else if (this.defaultCloseOperation == 3) {
         var15 = "EXIT_ON_CLOSE";
      } else {
         var15 = "";
      }

      return super.paramString() + ",closable=" + var3 + ",defaultCloseOperation=" + var15 + ",desktopIcon=" + var13 + ",frameIcon=" + var11 + ",iconable=" + var7 + ",isClosed=" + var4 + ",isIcon=" + var8 + ",isMaximum=" + var6 + ",isSelected=" + var10 + ",maximizable=" + var5 + ",opened=" + var14 + ",resizable=" + var9 + ",rootPane=" + var1 + ",rootPaneCheckingEnabled=" + var2 + ",title=" + var12;
   }

   public void remove(Component var1) {
      int var2 = ((Container)this).getComponentCount();
      super.remove(var1);
      if (var2 == ((Container)this).getComponentCount()) {
         this.getContentPane().remove(var1);
      }

   }

   public void removeInternalFrameListener(InternalFrameListener var1) {
      super.listenerList.remove(class$javax$swing$event$InternalFrameListener != null ? class$javax$swing$event$InternalFrameListener : (class$javax$swing$event$InternalFrameListener = class$("javax.swing.event.InternalFrameListener")), var1);
   }

   public void reshape(int var1, int var2, int var3, int var4) {
      super.reshape(var1, var2, var3, var4);
      ((Container)this).validate();
      ((Component)this).repaint();
   }

   public void setClosable(boolean var1) {
      Boolean var2 = this.closable ? Boolean.TRUE : Boolean.FALSE;
      Boolean var3 = var1 ? Boolean.TRUE : Boolean.FALSE;
      this.closable = var1;
      ((JComponent)this).firePropertyChange("closable", var2, var3);
   }

   public void setClosed(boolean var1) throws PropertyVetoException {
      if (this.isClosed != var1) {
         Boolean var2 = this.isClosed ? Boolean.TRUE : Boolean.FALSE;
         Boolean var3 = var1 ? Boolean.TRUE : Boolean.FALSE;
         ((JComponent)this).fireVetoableChange("closed", var2, var3);
         this.isClosed = var1;
         if (this.isClosed) {
            this.fireInternalFrameEvent(25550);
            this.fireInternalFrameEvent(25551);
            this.opened = false;
         } else if (!this.opened) {
            this.fireInternalFrameEvent(25549);
            this.opened = true;
         }

         ((JComponent)this).firePropertyChange("closed", var2, var3);
      }
   }

   public void setContentPane(Container var1) {
      Container var2 = this.getContentPane();
      this.getRootPane().setContentPane(var1);
      ((JComponent)this).firePropertyChange("contentPane", var2, var1);
   }

   public void setDefaultCloseOperation(int var1) {
      this.defaultCloseOperation = var1;
   }

   public void setDesktopIcon(JDesktopIcon var1) {
      JDesktopIcon var2 = this.getDesktopIcon();
      this.desktopIcon = var1;
      ((JComponent)this).firePropertyChange("desktopIcon", var2, var1);
   }

   public void setFrameIcon(Icon var1) {
      Icon var2 = this.frameIcon;
      this.frameIcon = var1;
      ((JComponent)this).firePropertyChange("frameIcon", var2, var1);
   }

   public void setGlassPane(Component var1) {
      Component var2 = this.getGlassPane();
      this.getRootPane().setGlassPane(var1);
      ((JComponent)this).firePropertyChange("glassPane", var2, var1);
   }

   public void setIcon(boolean var1) throws PropertyVetoException {
      if (this.isIcon != var1) {
         Boolean var2 = this.isIcon ? Boolean.TRUE : Boolean.FALSE;
         Boolean var3 = var1 ? Boolean.TRUE : Boolean.FALSE;
         ((JComponent)this).fireVetoableChange("icon", var2, var3);
         this.isIcon = var1;
         ((JComponent)this).firePropertyChange("icon", var2, var3);
         if (var1) {
            this.fireInternalFrameEvent(25552);
         } else {
            this.fireInternalFrameEvent(25553);
         }

      }
   }

   public void setIconifiable(boolean var1) {
      this.iconable = var1;
   }

   public void setJMenuBar(JMenuBar var1) {
      JMenuBar var2 = this.getMenuBar();
      this.getRootPane().setJMenuBar(var1);
      ((JComponent)this).firePropertyChange("menuBar", var2, var1);
   }

   public void setLayer(Integer var1) {
      if (((Component)this).getParent() != null && ((Component)this).getParent() instanceof JLayeredPane) {
         JLayeredPane var2 = (JLayeredPane)((Component)this).getParent();
         var2.setLayer(this, var1, var2.getPosition(this));
      } else {
         JLayeredPane.putLayer(this, var1);
         if (((Component)this).getParent() != null) {
            ((Component)this).getParent().repaint(super._bounds.x, super._bounds.y, super._bounds.width, super._bounds.height);
         }
      }

   }

   public void setLayeredPane(JLayeredPane var1) {
      JLayeredPane var2 = this.getLayeredPane();
      this.getRootPane().setLayeredPane(var1);
      ((JComponent)this).firePropertyChange("layeredPane", var2, var1);
   }

   public void setLayout(LayoutManager var1) {
      if (this.isRootPaneCheckingEnabled()) {
         throw this.createRootPaneException("setLayout");
      } else {
         super.setLayout(var1);
      }
   }

   public void setMaximizable(boolean var1) {
      Boolean var2 = this.maximizable ? Boolean.TRUE : Boolean.FALSE;
      Boolean var3 = var1 ? Boolean.TRUE : Boolean.FALSE;
      this.maximizable = var1;
      ((JComponent)this).firePropertyChange("maximizable", var2, var3);
   }

   public void setMaximum(boolean var1) throws PropertyVetoException {
      if (this.isMaximum != var1) {
         Boolean var2 = this.isMaximum ? Boolean.TRUE : Boolean.FALSE;
         Boolean var3 = var1 ? Boolean.TRUE : Boolean.FALSE;
         ((JComponent)this).fireVetoableChange("maximum", var2, var3);
         this.isMaximum = var1;
         ((JComponent)this).firePropertyChange("maximum", var2, var3);
      }
   }

   /** @deprecated */
   public void setMenuBar(JMenuBar var1) {
      JMenuBar var2 = this.getMenuBar();
      this.getRootPane().setJMenuBar(var1);
      ((JComponent)this).firePropertyChange("menuBar", var2, var1);
   }

   public void setResizable(boolean var1) {
      Boolean var2 = this.resizable ? Boolean.TRUE : Boolean.FALSE;
      Boolean var3 = var1 ? Boolean.TRUE : Boolean.FALSE;
      this.resizable = var1;
      ((JComponent)this).firePropertyChange("resizable", var2, var3);
   }

   protected void setRootPane(JRootPane var1) {
      if (this.rootPane != null) {
         this.remove(this.rootPane);
      }

      JRootPane var2 = this.getRootPane();
      this.rootPane = var1;
      if (this.rootPane != null) {
         boolean var3 = this.isRootPaneCheckingEnabled();

         try {
            this.setRootPaneCheckingEnabled(false);
            ((Container)this).add(this.rootPane, "Center");
         } finally {
            this.setRootPaneCheckingEnabled(var3);
         }
      }

      ((JComponent)this).firePropertyChange("rootPane", var2, var1);
   }

   protected void setRootPaneCheckingEnabled(boolean var1) {
      this.rootPaneCheckingEnabled = var1;
   }

   public void setSelected(boolean var1) throws PropertyVetoException {
      if (this.isSelected != var1) {
         Boolean var2 = this.isSelected ? Boolean.TRUE : Boolean.FALSE;
         Boolean var3 = var1 ? Boolean.TRUE : Boolean.FALSE;
         ((JComponent)this).fireVetoableChange("selected", var2, var3);
         this.isSelected = var1;
         ((JComponent)this).firePropertyChange("selected", var2, var3);
         if (this.isSelected) {
            this.fireInternalFrameEvent(25554);
         } else {
            this.fireInternalFrameEvent(25555);
         }

         ((Component)this).repaint();
      }
   }

   public void setTitle(String var1) {
      String var2 = this.title;
      this.title = var1;
      ((JComponent)this).firePropertyChange("title", var2, var1);
   }

   public void setUI(InternalFrameUI var1) {
      boolean var2 = this.isRootPaneCheckingEnabled();

      try {
         this.setRootPaneCheckingEnabled(false);
         super.setUI(var1);
      } finally {
         this.setRootPaneCheckingEnabled(var2);
      }

   }

   public void setVisible(boolean var1) {
      super.setVisible(var1);
   }

   public void show() {
      Container var1 = ((Component)this).getParent();
      if (var1 != null && ((Component)var1).getPeer() == null) {
         var1.addNotify();
         ((JComponent)this).addNotify();
      }

      ((Container)this).validate();
      if (!this.opened) {
         this.fireInternalFrameEvent(25549);
         this.opened = true;
      }

      if (((Component)this).isVisible()) {
         this.toFront();
      } else {
         super.show();
      }

      if (!this.isSelected()) {
         try {
            this.setSelected(true);
         } catch (PropertyVetoException var2) {
         }
      }

   }

   synchronized void startModal() {
      if (((Component)this).isVisible() && !((Component)this).isShowing()) {
         for(Container var1 = ((Component)this).getParent(); var1 != null; var1 = ((Component)var1).getParent()) {
            if (!((Component)var1).isVisible()) {
               ((Component)var1).setVisible(true);
            }
         }
      }

      try {
         if (SwingUtilities.isEventDispatchThread()) {
            EventQueue var5 = ((Component)this).getToolkit().getSystemEventQueue();

            while(((Component)this).isVisible()) {
               AWTEvent var2 = var5.getNextEvent();
               Object var3 = ((EventObject)var2).getSource();
               if (var3 instanceof Component) {
                  ((Component)var3).dispatchEvent(var2);
               } else if (var3 instanceof MenuComponent) {
                  ((MenuComponent)var3).dispatchEvent(var2);
               } else {
                  System.err.println("unable to dispatch event: " + var2);
               }
            }
         } else {
            while(((Component)this).isVisible()) {
               this.wait();
            }
         }
      } catch (InterruptedException var4) {
      }

   }

   synchronized void stopModal() {
      this.notifyAll();
   }

   public void toBack() {
      this.moveToBack();
   }

   public void toFront() {
      this.moveToFront();
   }

   public void updateUI() {
      this.setUI((InternalFrameUI)UIManager.getUI(this));
      ((Container)this).invalidate();
      if (this.desktopIcon != null) {
         this.desktopIcon.updateUIWhenHidden();
      }

   }

   void updateUIWhenHidden() {
      this.setUI((InternalFrameUI)UIManager.getUI(this));
      ((Container)this).invalidate();
      Component[] var1 = ((Container)this).getComponents();
      if (var1 != null) {
         for(int var2 = 0; var2 < var1.length; ++var2) {
            SwingUtilities.updateComponentTreeUI(var1[var2]);
         }
      }

   }

   private void writeObject(ObjectOutputStream var1) throws IOException {
      var1.defaultWriteObject();
      if (super.ui != null && this.getUIClassID().equals("InternalFrameUI")) {
         boolean var2 = this.isRootPaneCheckingEnabled();

         try {
            this.setRootPaneCheckingEnabled(false);
            super.ui.installUI(this);
         } finally {
            this.setRootPaneCheckingEnabled(var2);
         }
      }

   }
}
