package javax.swing;

import java.awt.Color;
import java.awt.Component;
import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.event.FocusListener;
import java.beans.PropertyChangeListener;
import java.util.Locale;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleAction;
import javax.accessibility.AccessibleComponent;
import javax.accessibility.AccessibleContext;
import javax.accessibility.AccessibleRole;
import javax.accessibility.AccessibleSelection;
import javax.accessibility.AccessibleState;
import javax.accessibility.AccessibleStateSet;
import javax.accessibility.AccessibleText;
import javax.accessibility.AccessibleValue;
import javax.swing.JList.AccessibleJList;

public class JList$AccessibleJList$AccessibleJListChild extends AccessibleContext implements Accessible, AccessibleComponent {
   // $FF: synthetic field
   private final JList.AccessibleJList this$1;
   private JList parent;
   private int indexInParent;
   private Component component;
   private AccessibleContext accessibleContext;
   private ListModel listModel;
   private ListCellRenderer cellRenderer;

   public JList$AccessibleJList$AccessibleJListChild(JList.AccessibleJList var1, JList var2, int var3) {
      this.this$1 = var1;
      this.parent = null;
      this.component = null;
      this.accessibleContext = null;
      this.cellRenderer = null;
      this.parent = var2;
      ((AccessibleContext)this).setAccessibleParent(var2);
      this.indexInParent = var3;
      if (var2 != null) {
         this.listModel = var2.getModel();
         this.cellRenderer = var2.getCellRenderer();
      }

   }

   public void addFocusListener(FocusListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).addFocusListener(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.addFocusListener(var1);
         }
      }

   }

   public void addPropertyChangeListener(PropertyChangeListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.addPropertyChangeListener(var1);
      }

   }

   public boolean contains(Point var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         Rectangle var5 = ((AccessibleComponent)var2).getBounds();
         return var5.contains(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            Rectangle var4 = var3.getBounds();
            return var4.contains(var1);
         } else {
            return this.getBounds().contains(var1);
         }
      }
   }

   public AccessibleAction getAccessibleAction() {
      return this.getCurrentAccessibleContext().getAccessibleAction();
   }

   public Accessible getAccessibleAt(Point var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      return var2 instanceof AccessibleComponent ? ((AccessibleComponent)var2).getAccessibleAt(var1) : null;
   }

   public Accessible getAccessibleChild(int var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         Accessible var3 = var2.getAccessibleChild(var1);
         var2.setAccessibleParent(this);
         return var3;
      } else {
         return null;
      }
   }

   public int getAccessibleChildrenCount() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleChildrenCount() : 0;
   }

   public AccessibleComponent getAccessibleComponent() {
      return this;
   }

   public AccessibleContext getAccessibleContext() {
      return this;
   }

   public String getAccessibleDescription() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleDescription() : null;
   }

   public int getAccessibleIndexInParent() {
      return this.indexInParent;
   }

   public String getAccessibleName() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleName() : null;
   }

   public AccessibleRole getAccessibleRole() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleRole() : null;
   }

   public AccessibleSelection getAccessibleSelection() {
      return this.getCurrentAccessibleContext().getAccessibleSelection();
   }

   public AccessibleStateSet getAccessibleStateSet() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 != null) {
         AccessibleStateSet var2 = var1.getAccessibleStateSet();
      } else {
         new AccessibleStateSet();
      }

      AccessibleStateSet var3 = var1.getAccessibleStateSet();
      var3.add(AccessibleState.SELECTABLE);
      if (this.parent.hasFocus() && this.indexInParent == this.parent.getLeadSelectionIndex()) {
         var3.add(AccessibleState.ACTIVE);
      }

      if (this.parent.isSelectedIndex(this.indexInParent)) {
         var3.add(AccessibleState.SELECTED);
      }

      if (this.isShowing()) {
         var3.add(AccessibleState.SHOWING);
      } else if (var3.contains(AccessibleState.SHOWING)) {
         var3.remove(AccessibleState.SHOWING);
      }

      if (this.isVisible()) {
         var3.add(AccessibleState.VISIBLE);
      } else if (var3.contains(AccessibleState.VISIBLE)) {
         var3.remove(AccessibleState.VISIBLE);
      }

      var3.add(AccessibleState.TRANSIENT);
      return var3;
   }

   public AccessibleText getAccessibleText() {
      return this.getCurrentAccessibleContext().getAccessibleText();
   }

   public AccessibleValue getAccessibleValue() {
      return this.getCurrentAccessibleContext().getAccessibleValue();
   }

   public Color getBackground() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getBackground();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getBackground() : null;
      }
   }

   public Rectangle getBounds() {
      return this.parent != null ? this.parent.getCellBounds(this.indexInParent, this.indexInParent) : null;
   }

   private Component getComponentAtIndex(int var1) {
      if (var1 >= 0 && var1 < this.listModel.getSize()) {
         if (this.parent != null && this.listModel != null && this.cellRenderer != null) {
            Object var2 = this.listModel.getElementAt(var1);
            boolean var3 = this.parent.isSelectedIndex(var1);
            boolean var4 = this.parent.hasFocus() && var1 == this.parent.getLeadSelectionIndex();
            return this.cellRenderer.getListCellRendererComponent(this.parent, var2, var1, var3, var4);
         } else {
            return null;
         }
      } else {
         return null;
      }
   }

   private AccessibleContext getCurrentAccessibleContext() {
      Component var1 = this.getComponentAtIndex(this.indexInParent);
      return var1 instanceof Accessible ? ((Accessible)var1).getAccessibleContext() : null;
   }

   private Component getCurrentComponent() {
      return this.getComponentAtIndex(this.indexInParent);
   }

   public Cursor getCursor() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getCursor();
      } else {
         Component var2 = this.getCurrentComponent();
         if (var2 != null) {
            return var2.getCursor();
         } else {
            Accessible var3 = ((AccessibleContext)this).getAccessibleParent();
            return var3 instanceof AccessibleComponent ? ((AccessibleComponent)var3).getCursor() : null;
         }
      }
   }

   public Font getFont() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getFont();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getFont() : null;
      }
   }

   public FontMetrics getFontMetrics(Font var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var2).getFontMetrics(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         return var3 != null ? var3.getFontMetrics(var1) : null;
      }
   }

   public Color getForeground() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getForeground();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getForeground() : null;
      }
   }

   public Locale getLocale() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getLocale() : null;
   }

   public Point getLocation() {
      return this.parent != null ? this.parent.indexToLocation(this.indexInParent) : null;
   }

   public Point getLocationOnScreen() {
      if (this.parent != null) {
         Point var1 = this.parent.getLocationOnScreen();
         Point var2 = this.parent.indexToLocation(this.indexInParent);
         var2.translate(var1.x, var1.y);
         return var2;
      } else {
         return null;
      }
   }

   public Dimension getSize() {
      Rectangle var1 = this.getBounds();
      return var1 != null ? var1.getSize() : null;
   }

   public boolean isEnabled() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isEnabled();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isEnabled() : false;
      }
   }

   public boolean isFocusTraversable() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isFocusTraversable();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isFocusTraversable() : false;
      }
   }

   public boolean isShowing() {
      return this.parent.isShowing() && this.isVisible();
   }

   public boolean isVisible() {
      int var1 = this.parent.getFirstVisibleIndex();
      int var2 = this.parent.getLastVisibleIndex();
      if (var2 == -1) {
         var2 = this.parent.getModel().getSize() - 1;
      }

      return this.indexInParent >= var1 && this.indexInParent <= var2;
   }

   public void removeFocusListener(FocusListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).removeFocusListener(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.removeFocusListener(var1);
         }
      }

   }

   public void removePropertyChangeListener(PropertyChangeListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.removePropertyChangeListener(var1);
      }

   }

   public void requestFocus() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         ((AccessibleComponent)var1).requestFocus();
      } else {
         Component var2 = this.getCurrentComponent();
         if (var2 != null) {
            var2.requestFocus();
         }
      }

   }

   public void setAccessibleDescription(String var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.setAccessibleDescription(var1);
      }

   }

   public void setAccessibleName(String var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.setAccessibleName(var1);
      }

   }

   public void setBackground(Color var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setBackground(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setBackground(var1);
         }
      }

   }

   public void setBounds(Rectangle var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setBounds(var1);
      }

   }

   public void setCursor(Cursor var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setCursor(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setCursor(var1);
         }
      }

   }

   public void setEnabled(boolean var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setEnabled(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setEnabled(var1);
         }
      }

   }

   public void setFont(Font var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setFont(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setFont(var1);
         }
      }

   }

   public void setForeground(Color var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setForeground(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setForeground(var1);
         }
      }

   }

   public void setLocation(Point var1) {
      if (this.parent != null && this.parent.contains(var1)) {
         AccessibleJList.access$0(this.this$1).ensureIndexIsVisible(this.indexInParent);
      }

   }

   public void setSize(Dimension var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setSize(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setSize(var1);
         }
      }

   }

   public void setVisible(boolean var1) {
   }
}
