package javax.swing;

import java.awt.AWTEvent;
import java.awt.Component;
import java.awt.event.ComponentEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleContext;
import javax.accessibility.AccessibleState;
import javax.swing.event.MenuDragMouseEvent;
import javax.swing.event.MenuDragMouseListener;
import javax.swing.event.MenuKeyEvent;
import javax.swing.event.MenuKeyListener;
import javax.swing.plaf.MenuItemUI;

public class JMenuItem extends AbstractButton implements Accessible, MenuElement {
   private static final String uiClassID = "MenuItemUI";
   private KeyStroke accelerator;
   // $FF: synthetic field
   static Class class$javax$swing$event$MenuDragMouseListener;
   // $FF: synthetic field
   static Class class$javax$swing$event$MenuKeyListener;

   public JMenuItem() {
      this((String)null, (Icon)null);
      ((JComponent)this).setRequestFocusEnabled(false);
   }

   public JMenuItem(String var1) {
      this(var1, (Icon)null);
   }

   public JMenuItem(String var1, int var2) {
      ((AbstractButton)this).setModel(new DefaultButtonModel());
      this.init(var1, (Icon)null);
      ((AbstractButton)this).setMnemonic(var2);
   }

   public JMenuItem(String var1, Icon var2) {
      ((AbstractButton)this).setModel(new DefaultButtonModel());
      this.init(var1, var2);
   }

   public JMenuItem(Icon var1) {
      this((String)null, var1);
      ((JComponent)this).setRequestFocusEnabled(false);
   }

   public void addMenuDragMouseListener(MenuDragMouseListener var1) {
      super.listenerList.add(class$javax$swing$event$MenuDragMouseListener != null ? class$javax$swing$event$MenuDragMouseListener : (class$javax$swing$event$MenuDragMouseListener = class$("javax.swing.event.MenuDragMouseListener")), var1);
   }

   public void addMenuKeyListener(MenuKeyListener var1) {
      super.listenerList.add(class$javax$swing$event$MenuKeyListener != null ? class$javax$swing$event$MenuKeyListener : (class$javax$swing$event$MenuKeyListener = class$("javax.swing.event.MenuKeyListener")), var1);
   }

   boolean alwaysOnTop() {
      return true;
   }

   // $FF: synthetic method
   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError(((Throwable)var2).getMessage());
      }
   }

   protected void fireMenuDragMouseDragged(MenuDragMouseEvent var1) {
      Object[] var2 = super.listenerList.getListenerList();

      for(int var3 = var2.length - 2; var3 >= 0; var3 -= 2) {
         if (var2[var3] == (class$javax$swing$event$MenuDragMouseListener != null ? class$javax$swing$event$MenuDragMouseListener : (class$javax$swing$event$MenuDragMouseListener = class$("javax.swing.event.MenuDragMouseListener")))) {
            ((MenuDragMouseListener)var2[var3 + 1]).menuDragMouseDragged(var1);
         }
      }

   }

   protected void fireMenuDragMouseEntered(MenuDragMouseEvent var1) {
      Object[] var2 = super.listenerList.getListenerList();

      for(int var3 = var2.length - 2; var3 >= 0; var3 -= 2) {
         if (var2[var3] == (class$javax$swing$event$MenuDragMouseListener != null ? class$javax$swing$event$MenuDragMouseListener : (class$javax$swing$event$MenuDragMouseListener = class$("javax.swing.event.MenuDragMouseListener")))) {
            ((MenuDragMouseListener)var2[var3 + 1]).menuDragMouseEntered(var1);
         }
      }

   }

   protected void fireMenuDragMouseExited(MenuDragMouseEvent var1) {
      Object[] var2 = super.listenerList.getListenerList();

      for(int var3 = var2.length - 2; var3 >= 0; var3 -= 2) {
         if (var2[var3] == (class$javax$swing$event$MenuDragMouseListener != null ? class$javax$swing$event$MenuDragMouseListener : (class$javax$swing$event$MenuDragMouseListener = class$("javax.swing.event.MenuDragMouseListener")))) {
            ((MenuDragMouseListener)var2[var3 + 1]).menuDragMouseExited(var1);
         }
      }

   }

   protected void fireMenuDragMouseReleased(MenuDragMouseEvent var1) {
      Object[] var2 = super.listenerList.getListenerList();

      for(int var3 = var2.length - 2; var3 >= 0; var3 -= 2) {
         if (var2[var3] == (class$javax$swing$event$MenuDragMouseListener != null ? class$javax$swing$event$MenuDragMouseListener : (class$javax$swing$event$MenuDragMouseListener = class$("javax.swing.event.MenuDragMouseListener")))) {
            ((MenuDragMouseListener)var2[var3 + 1]).menuDragMouseReleased(var1);
         }
      }

   }

   protected void fireMenuKeyPressed(MenuKeyEvent var1) {
      Object[] var2 = super.listenerList.getListenerList();

      for(int var3 = var2.length - 2; var3 >= 0; var3 -= 2) {
         if (var2[var3] == (class$javax$swing$event$MenuKeyListener != null ? class$javax$swing$event$MenuKeyListener : (class$javax$swing$event$MenuKeyListener = class$("javax.swing.event.MenuKeyListener")))) {
            ((MenuKeyListener)var2[var3 + 1]).menuKeyPressed(var1);
         }
      }

   }

   protected void fireMenuKeyReleased(MenuKeyEvent var1) {
      Object[] var2 = super.listenerList.getListenerList();

      for(int var3 = var2.length - 2; var3 >= 0; var3 -= 2) {
         if (var2[var3] == (class$javax$swing$event$MenuKeyListener != null ? class$javax$swing$event$MenuKeyListener : (class$javax$swing$event$MenuKeyListener = class$("javax.swing.event.MenuKeyListener")))) {
            ((MenuKeyListener)var2[var3 + 1]).menuKeyReleased(var1);
         }
      }

   }

   protected void fireMenuKeyTyped(MenuKeyEvent var1) {
      Object[] var2 = super.listenerList.getListenerList();

      for(int var3 = var2.length - 2; var3 >= 0; var3 -= 2) {
         if (var2[var3] == (class$javax$swing$event$MenuKeyListener != null ? class$javax$swing$event$MenuKeyListener : (class$javax$swing$event$MenuKeyListener = class$("javax.swing.event.MenuKeyListener")))) {
            ((MenuKeyListener)var2[var3 + 1]).menuKeyTyped(var1);
         }
      }

   }

   public KeyStroke getAccelerator() {
      return this.accelerator;
   }

   public AccessibleContext getAccessibleContext() {
      if (super.accessibleContext == null) {
         super.accessibleContext = new AccessibleJMenuItem(this);
      }

      return super.accessibleContext;
   }

   public Component getComponent() {
      return this;
   }

   public MenuElement[] getSubElements() {
      return new MenuElement[0];
   }

   public String getUIClassID() {
      return "MenuItemUI";
   }

   protected void init(String var1, Icon var2) {
      if (var1 != null) {
         ((AbstractButton)this).setText(var1);
      }

      if (var2 != null) {
         ((AbstractButton)this).setIcon(var2);
      }

      ((Component)this).addFocusListener(new MenuItemFocusListener());
      ((AbstractButton)this).setBorderPainted(false);
      ((AbstractButton)this).setFocusPainted(false);
      ((AbstractButton)this).setHorizontalTextPosition(11);
      ((AbstractButton)this).setHorizontalAlignment(10);
      this.updateUI();
   }

   public boolean isArmed() {
      ButtonModel var1 = ((AbstractButton)this).getModel();
      return var1.isArmed();
   }

   public void menuSelectionChanged(boolean var1) {
      this.setArmed(var1);
   }

   protected String paramString() {
      return super.paramString();
   }

   public void processKeyEvent(KeyEvent var1, MenuElement[] var2, MenuSelectionManager var3) {
      this.processMenuKeyEvent(new MenuKeyEvent(((ComponentEvent)var1).getComponent(), ((AWTEvent)var1).getID(), ((InputEvent)var1).getWhen(), ((InputEvent)var1).getModifiers(), var1.getKeyCode(), var1.getKeyChar(), var2, var3));
   }

   public void processMenuDragMouseEvent(MenuDragMouseEvent var1) {
      switch (((AWTEvent)var1).getID()) {
         case 502:
            this.fireMenuDragMouseReleased(var1);
         case 503:
         default:
            break;
         case 504:
            this.fireMenuDragMouseEntered(var1);
            break;
         case 505:
            this.fireMenuDragMouseExited(var1);
            break;
         case 506:
            this.fireMenuDragMouseDragged(var1);
      }

   }

   public void processMenuKeyEvent(MenuKeyEvent var1) {
      switch (((AWTEvent)var1).getID()) {
         case 400:
            this.fireMenuKeyTyped(var1);
            break;
         case 401:
            this.fireMenuKeyPressed(var1);
            break;
         case 402:
            this.fireMenuKeyReleased(var1);
      }

   }

   public void processMouseEvent(MouseEvent var1, MenuElement[] var2, MenuSelectionManager var3) {
      this.processMenuDragMouseEvent(new MenuDragMouseEvent(((ComponentEvent)var1).getComponent(), ((AWTEvent)var1).getID(), ((InputEvent)var1).getWhen(), ((InputEvent)var1).getModifiers(), var1.getX(), var1.getY(), var1.getClickCount(), var1.isPopupTrigger(), var2, var3));
   }

   private void readObject(ObjectInputStream var1) throws IOException, ClassNotFoundException {
      var1.defaultReadObject();
      if (this.getUIClassID().equals("MenuItemUI")) {
         this.updateUI();
      }

   }

   public void removeMenuDragMouseListener(MenuDragMouseListener var1) {
      super.listenerList.remove(class$javax$swing$event$MenuDragMouseListener != null ? class$javax$swing$event$MenuDragMouseListener : (class$javax$swing$event$MenuDragMouseListener = class$("javax.swing.event.MenuDragMouseListener")), var1);
   }

   public void removeMenuKeyListener(MenuKeyListener var1) {
      super.listenerList.remove(class$javax$swing$event$MenuKeyListener != null ? class$javax$swing$event$MenuKeyListener : (class$javax$swing$event$MenuKeyListener = class$("javax.swing.event.MenuKeyListener")), var1);
   }

   public void setAccelerator(KeyStroke var1) {
      KeyStroke var2 = this.accelerator;
      if (var2 != null) {
         ((JComponent)this).unregisterKeyboardAction(var2);
      }

      if (var1 != null) {
         ((JComponent)this).registerKeyboardAction(new 1(this), var1, 2);
      }

      this.accelerator = var1;
      ((JComponent)this).firePropertyChange("accelerator", var2, this.accelerator);
   }

   public void setArmed(boolean var1) {
      ButtonModel var2 = ((AbstractButton)this).getModel();
      boolean var3 = var2.isArmed();
      if (super.accessibleContext != null && var3 != var1) {
         if (var1) {
            super.accessibleContext.firePropertyChange("AccessibleState", (Object)null, AccessibleState.ARMED);
         } else {
            super.accessibleContext.firePropertyChange("AccessibleState", AccessibleState.ARMED, (Object)null);
         }
      }

      if (var2.isArmed() != var1) {
         var2.setArmed(var1);
      }

   }

   public void setEnabled(boolean var1) {
      if (!var1) {
         this.setArmed(false);
      }

      super.setEnabled(var1);
   }

   public void setUI(MenuItemUI var1) {
      super.setUI(var1);
   }

   public void updateUI() {
      this.setUI((MenuItemUI)UIManager.getUI(this));
   }

   private void writeObject(ObjectOutputStream var1) throws IOException {
      var1.defaultWriteObject();
      if (super.ui != null && this.getUIClassID().equals("MenuItemUI")) {
         super.ui.installUI(this);
      }

   }
}
