package javax.swing;

import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.LayoutManager;
import java.io.IOException;
import java.io.ObjectOutputStream;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleContext;
import javax.swing.plaf.PanelUI;

public class JPanel extends JComponent implements Accessible {
   private static final String uiClassID = "PanelUI";
   private static final FlowLayout defaultLayout = new FlowLayout();

   public JPanel() {
      this(defaultLayout, true);
   }

   public JPanel(LayoutManager var1) {
      this(var1, true);
   }

   public JPanel(LayoutManager var1, boolean var2) {
      ((Container)this).setLayout(var1);
      ((JComponent)this).setDoubleBuffered(var2);
      ((JComponent)this).setOpaque(true);
      this.updateUI();
   }

   public JPanel(boolean var1) {
      this(defaultLayout, var1);
   }

   public AccessibleContext getAccessibleContext() {
      if (super.accessibleContext == null) {
         super.accessibleContext = new AccessibleJPanel(this);
      }

      return super.accessibleContext;
   }

   public String getUIClassID() {
      return "PanelUI";
   }

   protected String paramString() {
      String var1 = defaultLayout != null ? defaultLayout.toString() : "";
      return super.paramString() + ",defaultLayout=" + var1;
   }

   public void updateUI() {
      ((JComponent)this).setUI((PanelUI)UIManager.getUI(this));
   }

   private void writeObject(ObjectOutputStream var1) throws IOException {
      var1.defaultWriteObject();
      if (super.ui != null && this.getUIClassID().equals("PanelUI")) {
         super.ui.installUI(this);
      }

   }
}
