package javax.swing;

import java.io.IOException;
import java.io.ObjectOutputStream;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleContext;
import javax.swing.plaf.ButtonUI;

public class JRadioButton extends JToggleButton implements Accessible {
   private static final String uiClassID = "RadioButtonUI";

   public JRadioButton() {
      this((String)null, (Icon)null, false);
   }

   public JRadioButton(String var1) {
      this(var1, (Icon)null, false);
   }

   public JRadioButton(String var1, Icon var2) {
      this(var1, var2, false);
   }

   public JRadioButton(String var1, Icon var2, boolean var3) {
      super(var1, var2, var3);
      ((AbstractButton)this).setBorderPainted(false);
      ((AbstractButton)this).setHorizontalAlignment(2);
   }

   public JRadioButton(String var1, boolean var2) {
      this(var1, (Icon)null, var2);
   }

   public JRadioButton(Icon var1) {
      this((String)null, var1, false);
   }

   public JRadioButton(Icon var1, boolean var2) {
      this((String)null, var1, var2);
   }

   public AccessibleContext getAccessibleContext() {
      if (super.accessibleContext == null) {
         super.accessibleContext = new AccessibleJRadioButton(this);
      }

      return super.accessibleContext;
   }

   public String getUIClassID() {
      return "RadioButtonUI";
   }

   protected String paramString() {
      return super.paramString();
   }

   public void updateUI() {
      ((AbstractButton)this).setUI((ButtonUI)UIManager.getUI(this));
   }

   private void writeObject(ObjectOutputStream var1) throws IOException {
      var1.defaultWriteObject();
      if (super.ui != null && this.getUIClassID().equals("RadioButtonUI")) {
         super.ui.installUI(this);
      }

   }
}
