package javax.swing;

import java.io.IOException;
import java.io.ObjectOutputStream;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleContext;

public class JRadioButtonMenuItem extends JMenuItem implements Accessible {
   private static final String uiClassID = "RadioButtonMenuItemUI";

   public JRadioButtonMenuItem() {
      this((String)null, (Icon)null, false);
   }

   public JRadioButtonMenuItem(String var1) {
      this(var1, (Icon)null, false);
   }

   public JRadioButtonMenuItem(String var1, Icon var2) {
      this(var1, var2, false);
   }

   public JRadioButtonMenuItem(String var1, Icon var2, boolean var3) {
      super(var1, var2);
      ((AbstractButton)this).setModel(new JToggleButton.ToggleButtonModel());
      ((AbstractButton)this).setSelected(var3);
   }

   public JRadioButtonMenuItem(String var1, boolean var2) {
      this(var1);
      ((AbstractButton)this).setSelected(var2);
   }

   public JRadioButtonMenuItem(Icon var1) {
      this((String)null, var1, false);
   }

   public JRadioButtonMenuItem(Icon var1, boolean var2) {
      this((String)null, var1, var2);
   }

   public AccessibleContext getAccessibleContext() {
      if (super.accessibleContext == null) {
         super.accessibleContext = new AccessibleJRadioButtonMenuItem(this);
      }

      return super.accessibleContext;
   }

   public String getUIClassID() {
      return "RadioButtonMenuItemUI";
   }

   protected String paramString() {
      return super.paramString();
   }

   public void requestFocus() {
   }

   private void writeObject(ObjectOutputStream var1) throws IOException {
      var1.defaultWriteObject();
      if (super.ui != null && this.getUIClassID().equals("RadioButtonMenuItemUI")) {
         super.ui.installUI(this);
      }

   }
}
