package javax.swing;

import java.awt.Color;
import java.awt.Component;
import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.event.FocusListener;
import java.beans.PropertyChangeListener;
import java.util.Locale;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleAction;
import javax.accessibility.AccessibleComponent;
import javax.accessibility.AccessibleContext;
import javax.accessibility.AccessibleRole;
import javax.accessibility.AccessibleSelection;
import javax.accessibility.AccessibleState;
import javax.accessibility.AccessibleStateSet;
import javax.accessibility.AccessibleText;
import javax.accessibility.AccessibleValue;
import javax.swing.JTable.AccessibleJTable;
import javax.swing.table.TableCellRenderer;
import javax.swing.table.TableColumn;

public class JTable$AccessibleJTable$AccessibleJTableCell extends AccessibleContext implements Accessible, AccessibleComponent {
   // $FF: synthetic field
   private final JTable.AccessibleJTable this$1;
   private JTable parent;
   private int row;
   private int column;
   private int index;

   public JTable$AccessibleJTable$AccessibleJTableCell(JTable.AccessibleJTable var1, JTable var2, int var3, int var4, int var5) {
      this.this$1 = var1;
      this.parent = var2;
      this.row = var3;
      this.column = var4;
      this.index = var5;
      ((AccessibleContext)this).setAccessibleParent(this.parent);
   }

   public void addFocusListener(FocusListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).addFocusListener(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.addFocusListener(var1);
         }
      }

   }

   public void addPropertyChangeListener(PropertyChangeListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.addPropertyChangeListener(var1);
      } else {
         super.addPropertyChangeListener(var1);
      }

   }

   public boolean contains(Point var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         Rectangle var5 = ((AccessibleComponent)var2).getBounds();
         return var5.contains(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            Rectangle var4 = var3.getBounds();
            return var4.contains(var1);
         } else {
            return this.getBounds().contains(var1);
         }
      }
   }

   public AccessibleAction getAccessibleAction() {
      return this.getCurrentAccessibleContext().getAccessibleAction();
   }

   public Accessible getAccessibleAt(Point var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      return var2 instanceof AccessibleComponent ? ((AccessibleComponent)var2).getAccessibleAt(var1) : null;
   }

   public Accessible getAccessibleChild(int var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         Accessible var3 = var2.getAccessibleChild(var1);
         var2.setAccessibleParent(this);
         return var3;
      } else {
         return null;
      }
   }

   public int getAccessibleChildrenCount() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleChildrenCount() : 0;
   }

   public AccessibleComponent getAccessibleComponent() {
      return this;
   }

   public AccessibleContext getAccessibleContext() {
      return this;
   }

   public String getAccessibleDescription() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleDescription() : super.getAccessibleDescription();
   }

   public int getAccessibleIndexInParent() {
      return this.index;
   }

   public String getAccessibleName() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 != null) {
         String var2 = var1.getAccessibleName();
         if (var2 != null && var2 != "") {
            return var1.getAccessibleName();
         }
      }

      return super.accessibleName != null && super.accessibleName != "" ? super.accessibleName : this.parent.getValueAt(this.row, this.column).toString();
   }

   public Accessible getAccessibleParent() {
      return this.parent;
   }

   public AccessibleRole getAccessibleRole() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleRole() : AccessibleRole.UNKNOWN;
   }

   public AccessibleSelection getAccessibleSelection() {
      return this.getCurrentAccessibleContext().getAccessibleSelection();
   }

   public AccessibleStateSet getAccessibleStateSet() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      AccessibleStateSet var2 = null;
      if (var1 != null) {
         var2 = var1.getAccessibleStateSet();
      }

      if (var2 == null) {
         var2 = new AccessibleStateSet();
      }

      Rectangle var3 = AccessibleJTable.access$0(this.this$1).getVisibleRect();
      Rectangle var4 = AccessibleJTable.access$0(this.this$1).getCellRect(this.row, this.column, false);
      if (var3.intersects(var4)) {
         var2.add(AccessibleState.SHOWING);
      } else if (var2.contains(AccessibleState.SHOWING)) {
         var2.remove(AccessibleState.SHOWING);
      }

      if (this.parent.isCellSelected(this.row, this.column)) {
         var2.add(AccessibleState.SELECTED);
      } else if (var2.contains(AccessibleState.SELECTED)) {
         var2.remove(AccessibleState.SELECTED);
      }

      if (this.row == AccessibleJTable.access$0(this.this$1).getSelectedRow() && this.column == AccessibleJTable.access$0(this.this$1).getSelectedColumn()) {
         var2.add(AccessibleState.ACTIVE);
      }

      var2.add(AccessibleState.TRANSIENT);
      return var2;
   }

   public AccessibleText getAccessibleText() {
      return this.getCurrentAccessibleContext().getAccessibleText();
   }

   public AccessibleValue getAccessibleValue() {
      return this.getCurrentAccessibleContext().getAccessibleValue();
   }

   public Color getBackground() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getBackground();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getBackground() : null;
      }
   }

   public Rectangle getBounds() {
      return this.parent != null ? this.parent.getCellRect(this.row, this.column, false) : null;
   }

   private AccessibleContext getCurrentAccessibleContext() {
      TableColumn var1 = AccessibleJTable.access$0(this.this$1).getColumnModel().getColumn(this.column);
      TableCellRenderer var2 = var1.getCellRenderer();
      if (var2 == null) {
         Class var3 = AccessibleJTable.access$0(this.this$1).getColumnClass(this.column);
         var2 = AccessibleJTable.access$0(this.this$1).getDefaultRenderer(var3);
      }

      Component var4 = var2.getTableCellRendererComponent(AccessibleJTable.access$0(this.this$1), AccessibleJTable.access$0(this.this$1).getValueAt(this.row, this.column), false, false, this.row, this.column);
      return var4 instanceof Accessible ? ((Accessible)var4).getAccessibleContext() : null;
   }

   private Component getCurrentComponent() {
      TableColumn var1 = AccessibleJTable.access$0(this.this$1).getColumnModel().getColumn(this.column);
      TableCellRenderer var2 = var1.getCellRenderer();
      if (var2 == null) {
         Class var3 = AccessibleJTable.access$0(this.this$1).getColumnClass(this.column);
         var2 = AccessibleJTable.access$0(this.this$1).getDefaultRenderer(var3);
      }

      return var2.getTableCellRendererComponent(AccessibleJTable.access$0(this.this$1), (Object)null, false, false, this.row, this.column);
   }

   public Cursor getCursor() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getCursor();
      } else {
         Component var2 = this.getCurrentComponent();
         if (var2 != null) {
            return var2.getCursor();
         } else {
            Accessible var3 = this.getAccessibleParent();
            return var3 instanceof AccessibleComponent ? ((AccessibleComponent)var3).getCursor() : null;
         }
      }
   }

   public Font getFont() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getFont();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getFont() : null;
      }
   }

   public FontMetrics getFontMetrics(Font var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var2).getFontMetrics(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         return var3 != null ? var3.getFontMetrics(var1) : null;
      }
   }

   public Color getForeground() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getForeground();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getForeground() : null;
      }
   }

   public Locale getLocale() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getLocale() : null;
   }

   public Point getLocation() {
      if (this.parent != null) {
         Rectangle var1 = this.parent.getCellRect(this.row, this.column, false);
         if (var1 != null) {
            return var1.getLocation();
         }
      }

      return null;
   }

   public Point getLocationOnScreen() {
      if (this.parent != null) {
         Point var1 = this.parent.getLocationOnScreen();
         Point var2 = this.getLocation();
         var2.translate(var1.x, var1.y);
         return var2;
      } else {
         return null;
      }
   }

   public Dimension getSize() {
      if (this.parent != null) {
         Rectangle var1 = this.parent.getCellRect(this.row, this.column, false);
         if (var1 != null) {
            return var1.getSize();
         }
      }

      return null;
   }

   public boolean isEnabled() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isEnabled();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isEnabled() : false;
      }
   }

   public boolean isFocusTraversable() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isFocusTraversable();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isFocusTraversable() : false;
      }
   }

   public boolean isShowing() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isShowing();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isShowing() : false;
      }
   }

   public boolean isVisible() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isVisible();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isVisible() : false;
      }
   }

   public void removeFocusListener(FocusListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).removeFocusListener(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.removeFocusListener(var1);
         }
      }

   }

   public void removePropertyChangeListener(PropertyChangeListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.removePropertyChangeListener(var1);
      } else {
         super.removePropertyChangeListener(var1);
      }

   }

   public void requestFocus() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         ((AccessibleComponent)var1).requestFocus();
      } else {
         Component var2 = this.getCurrentComponent();
         if (var2 != null) {
            var2.requestFocus();
         }
      }

   }

   public void setAccessibleDescription(String var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.setAccessibleDescription(var1);
      } else {
         super.setAccessibleDescription(var1);
      }

   }

   public void setAccessibleName(String var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.setAccessibleName(var1);
      } else {
         super.setAccessibleName(var1);
      }

   }

   public void setBackground(Color var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setBackground(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setBackground(var1);
         }
      }

   }

   public void setBounds(Rectangle var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setBounds(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setBounds(var1);
         }
      }

   }

   public void setCursor(Cursor var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setCursor(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setCursor(var1);
         }
      }

   }

   public void setEnabled(boolean var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setEnabled(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setEnabled(var1);
         }
      }

   }

   public void setFont(Font var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setFont(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setFont(var1);
         }
      }

   }

   public void setForeground(Color var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setForeground(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setForeground(var1);
         }
      }

   }

   public void setLocation(Point var1) {
   }

   public void setSize(Dimension var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setSize(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setSize(var1);
         }
      }

   }

   public void setVisible(boolean var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setVisible(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setVisible(var1);
         }
      }

   }
}
