package javax.swing;

import java.io.IOException;
import java.io.ObjectOutputStream;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleContext;
import javax.swing.plaf.ButtonUI;

public class JToggleButton extends AbstractButton implements Accessible {
   private static final String uiClassID = "ToggleButtonUI";

   public JToggleButton() {
      this((String)null, (Icon)null, false);
   }

   public JToggleButton(String var1) {
      this(var1, (Icon)null, false);
   }

   public JToggleButton(String var1, Icon var2) {
      this(var1, var2, false);
   }

   public JToggleButton(String var1, Icon var2, boolean var3) {
      ((AbstractButton)this).setModel(new ToggleButtonModel());
      super.model.setSelected(var3);
      ((AbstractButton)this).init(var1, var2);
   }

   public JToggleButton(String var1, boolean var2) {
      this(var1, (Icon)null, var2);
   }

   public JToggleButton(Icon var1) {
      this((String)null, var1, false);
   }

   public JToggleButton(Icon var1, boolean var2) {
      this((String)null, var1, var2);
   }

   public AccessibleContext getAccessibleContext() {
      if (super.accessibleContext == null) {
         super.accessibleContext = new AccessibleJToggleButton(this);
      }

      return super.accessibleContext;
   }

   public String getUIClassID() {
      return "ToggleButtonUI";
   }

   protected String paramString() {
      return super.paramString();
   }

   public void updateUI() {
      ((AbstractButton)this).setUI((ButtonUI)UIManager.getUI(this));
   }

   private void writeObject(ObjectOutputStream var1) throws IOException {
      var1.defaultWriteObject();
      if (super.ui != null && this.getUIClassID().equals("ToggleButtonUI")) {
         super.ui.installUI(this);
      }

   }
}
