package javax.swing;

import java.io.IOException;
import java.io.ObjectOutputStream;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleContext;
import javax.swing.plaf.ToolTipUI;

public class JToolTip extends JComponent implements Accessible {
   private static final String uiClassID = "ToolTipUI";
   String tipText;
   JComponent component;

   public JToolTip() {
      this.updateUI();
   }

   boolean alwaysOnTop() {
      return true;
   }

   public AccessibleContext getAccessibleContext() {
      if (super.accessibleContext == null) {
         super.accessibleContext = new AccessibleJToolTip(this);
      }

      return super.accessibleContext;
   }

   public JComponent getComponent() {
      return this.component;
   }

   public String getTipText() {
      return this.tipText;
   }

   public ToolTipUI getUI() {
      return (ToolTipUI)super.ui;
   }

   public String getUIClassID() {
      return "ToolTipUI";
   }

   protected String paramString() {
      String var1 = this.tipText != null ? this.tipText : "";
      return super.paramString() + ",tipText=" + var1;
   }

   public void setComponent(JComponent var1) {
      this.component = var1;
   }

   public void setTipText(String var1) {
      String var2 = this.tipText;
      this.tipText = var1;
      ((JComponent)this).firePropertyChange("tiptext", var2, var1);
   }

   public void updateUI() {
      ((JComponent)this).setUI((ToolTipUI)UIManager.getUI(this));
   }

   private void writeObject(ObjectOutputStream var1) throws IOException {
      var1.defaultWriteObject();
      if (super.ui != null && this.getUIClassID().equals("ToolTipUI")) {
         super.ui.installUI(this);
      }

   }
}
