package javax.swing;

import java.awt.Color;
import java.awt.Component;
import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.event.FocusListener;
import java.beans.PropertyChangeListener;
import java.util.Locale;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleAction;
import javax.accessibility.AccessibleComponent;
import javax.accessibility.AccessibleContext;
import javax.accessibility.AccessibleRole;
import javax.accessibility.AccessibleSelection;
import javax.accessibility.AccessibleState;
import javax.accessibility.AccessibleStateSet;
import javax.accessibility.AccessibleText;
import javax.accessibility.AccessibleValue;
import javax.swing.JTree.AccessibleJTree;
import javax.swing.plaf.TreeUI;
import javax.swing.tree.TreeCellRenderer;
import javax.swing.tree.TreeModel;
import javax.swing.tree.TreePath;

public class JTree$AccessibleJTree$AccessibleJTreeNode extends AccessibleContext implements Accessible, AccessibleComponent, AccessibleSelection, AccessibleAction {
   // $FF: synthetic field
   private final JTree.AccessibleJTree this$1;
   private JTree tree;
   private TreeModel treeModel;
   private Object obj;
   private TreePath path;
   private Accessible accessibleParent;
   private int index;
   private boolean isLeaf;

   public JTree$AccessibleJTree$AccessibleJTreeNode(JTree.AccessibleJTree var1, JTree var2, TreePath var3, Accessible var4) {
      this.this$1 = var1;
      this.tree = null;
      this.treeModel = null;
      this.obj = null;
      this.path = null;
      this.accessibleParent = null;
      this.index = 0;
      this.isLeaf = false;
      this.tree = var2;
      this.path = var3;
      this.accessibleParent = var4;
      this.treeModel = var2.getModel();
      this.obj = var3.getLastPathComponent();
      if (this.treeModel != null) {
         this.isLeaf = this.treeModel.isLeaf(this.obj);
      }

   }

   public void addAccessibleSelection(int var1) {
      TreeModel var2 = AccessibleJTree.access$0(this.this$1).getModel();
      if (var2 != null && var1 >= 0 && var1 < this.getAccessibleChildrenCount()) {
         TreePath var3 = this.getChildTreePath(var1);
         AccessibleJTree.access$0(this.this$1).addSelectionPath(var3);
      }

   }

   public void addFocusListener(FocusListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).addFocusListener(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.addFocusListener(var1);
         }
      }

   }

   public void addPropertyChangeListener(PropertyChangeListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.addPropertyChangeListener(var1);
      } else {
         super.addPropertyChangeListener(var1);
      }

   }

   public void clearAccessibleSelection() {
      int var1 = this.getAccessibleChildrenCount();

      for(int var2 = 0; var2 < var1; ++var2) {
         this.removeAccessibleSelection(var2);
      }

   }

   public boolean contains(Point var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         Rectangle var5 = ((AccessibleComponent)var2).getBounds();
         return var5.contains(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            Rectangle var4 = var3.getBounds();
            return var4.contains(var1);
         } else {
            return this.getBounds().contains(var1);
         }
      }
   }

   public boolean doAccessibleAction(int var1) {
      if (var1 >= 0 && var1 < this.getAccessibleActionCount()) {
         AccessibleContext var2 = this.getCurrentAccessibleContext();
         if (var1 == 0) {
            if (AccessibleJTree.access$0(this.this$1).isExpanded(this.path)) {
               AccessibleJTree.access$0(this.this$1).collapsePath(this.path);
            } else {
               AccessibleJTree.access$0(this.this$1).expandPath(this.path);
            }

            return true;
         } else {
            if (var2 != null) {
               AccessibleAction var3 = var2.getAccessibleAction();
               if (var3 != null) {
                  return var3.doAccessibleAction(var1 - 1);
               }
            }

            return false;
         }
      } else {
         return false;
      }
   }

   public AccessibleAction getAccessibleAction() {
      return this;
   }

   public int getAccessibleActionCount() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 != null) {
         AccessibleAction var2 = var1.getAccessibleAction();
         if (var2 != null) {
            return var2.getAccessibleActionCount() + (this.isLeaf ? 0 : 1);
         }
      }

      return this.isLeaf ? 0 : 1;
   }

   public String getAccessibleActionDescription(int var1) {
      if (var1 >= 0 && var1 < this.getAccessibleActionCount()) {
         AccessibleContext var2 = this.getCurrentAccessibleContext();
         if (var1 == 0) {
            return "toggle expand";
         } else {
            if (var2 != null) {
               AccessibleAction var3 = var2.getAccessibleAction();
               if (var3 != null) {
                  return var3.getAccessibleActionDescription(var1 - 1);
               }
            }

            return null;
         }
      } else {
         return null;
      }
   }

   public Accessible getAccessibleAt(Point var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      return var2 instanceof AccessibleComponent ? ((AccessibleComponent)var2).getAccessibleAt(var1) : null;
   }

   public Accessible getAccessibleChild(int var1) {
      if (var1 >= 0 && var1 < this.getAccessibleChildrenCount()) {
         Object var2 = this.treeModel.getChild(this.obj, var1);
         Object[] var3 = this.path.getPath();
         Object[] var4 = new Object[var3.length + 1];
         System.arraycopy(var3, 0, var4, 0, var3.length);
         var4[var4.length - 1] = var2;
         TreePath var5 = new TreePath(var4);
         return new JTree$AccessibleJTree$AccessibleJTreeNode(this.this$1, AccessibleJTree.access$0(this.this$1), var5, this);
      } else {
         return null;
      }
   }

   public int getAccessibleChildrenCount() {
      return this.treeModel.getChildCount(this.obj);
   }

   public AccessibleComponent getAccessibleComponent() {
      return this;
   }

   public AccessibleContext getAccessibleContext() {
      return this;
   }

   public String getAccessibleDescription() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleDescription() : super.getAccessibleDescription();
   }

   public int getAccessibleIndexInParent() {
      if (this.accessibleParent == null) {
         this.getAccessibleParent();
      }

      return this.index;
   }

   public String getAccessibleName() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 != null) {
         String var2 = var1.getAccessibleName();
         return var2 != null && var2 != "" ? var1.getAccessibleName() : null;
      } else {
         return super.accessibleName != null && super.accessibleName != "" ? super.accessibleName : null;
      }
   }

   public Accessible getAccessibleParent() {
      if (this.accessibleParent == null) {
         Object[] var1 = this.path.getPath();
         if (var1.length > 1) {
            Object var2 = var1[var1.length - 2];
            if (this.treeModel != null) {
               this.index = this.treeModel.getIndexOfChild(var2, this.obj);
            }

            Object[] var3 = new Object[var1.length - 1];
            System.arraycopy(var1, 0, var3, 0, var1.length - 1);
            TreePath var4 = new TreePath(var3);
            this.accessibleParent = new JTree$AccessibleJTree$AccessibleJTreeNode(this.this$1, this.tree, var4, (Accessible)null);
            ((AccessibleContext)this).setAccessibleParent(this.accessibleParent);
         } else if (this.treeModel != null) {
            this.accessibleParent = this.tree;
            this.index = 0;
            ((AccessibleContext)this).setAccessibleParent(this.accessibleParent);
         }
      }

      return this.accessibleParent;
   }

   public AccessibleRole getAccessibleRole() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleRole() : AccessibleRole.UNKNOWN;
   }

   public AccessibleSelection getAccessibleSelection() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return (AccessibleSelection)(var1 != null && this.isLeaf ? this.getCurrentAccessibleContext().getAccessibleSelection() : this);
   }

   public Accessible getAccessibleSelection(int var1) {
      int var2 = this.getAccessibleChildrenCount();
      if (var1 >= 0 && var1 < var2) {
         int var3 = 0;

         for(int var4 = 0; var4 < var2 && var1 >= var3; ++var4) {
            TreePath var5 = this.getChildTreePath(var4);
            if (this.tree.isPathSelected(var5)) {
               if (var3 == var1) {
                  return new JTree$AccessibleJTree$AccessibleJTreeNode(this.this$1, this.tree, var5, this);
               }

               ++var3;
            }
         }

         return null;
      } else {
         return null;
      }
   }

   public int getAccessibleSelectionCount() {
      int var1 = 0;
      int var2 = this.getAccessibleChildrenCount();

      for(int var3 = 0; var3 < var2; ++var3) {
         TreePath var4 = this.getChildTreePath(var3);
         if (this.tree.isPathSelected(var4)) {
            ++var1;
         }
      }

      return var1;
   }

   public AccessibleStateSet getAccessibleStateSet() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      int var3 = this.tree.getUI().getRowForPath(this.tree, this.path);
      int var4 = this.tree.getLeadSelectionRow();
      AccessibleStateSet var2;
      if (var1 != null) {
         var2 = var1.getAccessibleStateSet();
      } else {
         var2 = new AccessibleStateSet();
      }

      if (this.isShowing()) {
         var2.add(AccessibleState.SHOWING);
      } else if (var2.contains(AccessibleState.SHOWING)) {
         var2.remove(AccessibleState.SHOWING);
      }

      if (this.isVisible()) {
         var2.add(AccessibleState.VISIBLE);
      } else if (var2.contains(AccessibleState.VISIBLE)) {
         var2.remove(AccessibleState.VISIBLE);
      }

      if (this.tree.isPathSelected(this.path)) {
         var2.add(AccessibleState.SELECTED);
      }

      if (var4 == var3) {
         var2.add(AccessibleState.ACTIVE);
      }

      if (!this.isLeaf) {
         var2.add(AccessibleState.EXPANDABLE);
      }

      if (this.tree.isExpanded(this.path)) {
         var2.add(AccessibleState.EXPANDED);
      } else {
         var2.add(AccessibleState.COLLAPSED);
      }

      if (this.tree.isEditable()) {
         var2.add(AccessibleState.EDITABLE);
      }

      return var2;
   }

   public AccessibleText getAccessibleText() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? this.getCurrentAccessibleContext().getAccessibleText() : null;
   }

   public AccessibleValue getAccessibleValue() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? this.getCurrentAccessibleContext().getAccessibleValue() : null;
   }

   public Color getBackground() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getBackground();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getBackground() : null;
      }
   }

   public Rectangle getBounds() {
      Rectangle var1 = this.tree.getPathBounds(this.path);
      Accessible var2 = this.getAccessibleParent();
      if (var2 != null && var2 instanceof JTree$AccessibleJTree$AccessibleJTreeNode) {
         Point var3 = ((JTree$AccessibleJTree$AccessibleJTreeNode)var2).getLocationInJTree();
         if (var3 == null || var1 == null) {
            return null;
         }

         var1.translate(-var3.x, -var3.y);
      }

      return var1;
   }

   private TreePath getChildTreePath(int var1) {
      if (var1 >= 0 && var1 < this.getAccessibleChildrenCount()) {
         Object var2 = this.treeModel.getChild(this.obj, var1);
         Object[] var3 = this.path.getPath();
         Object[] var4 = new Object[var3.length + 1];
         System.arraycopy(var3, 0, var4, 0, var3.length);
         var4[var4.length - 1] = var2;
         return new TreePath(var4);
      } else {
         return null;
      }
   }

   private AccessibleContext getCurrentAccessibleContext() {
      Component var1 = this.getCurrentComponent();
      return var1 instanceof Accessible ? ((Accessible)var1).getAccessibleContext() : null;
   }

   private Component getCurrentComponent() {
      if (this.tree.isVisible(this.path)) {
         TreeCellRenderer var1 = this.tree.getCellRenderer();
         if (var1 == null) {
            return null;
         }

         TreeUI var2 = this.tree.getUI();
         if (var2 != null) {
            int var3 = var2.getRowForPath(AccessibleJTree.access$0(this.this$1), this.path);
            boolean var4 = this.tree.isPathSelected(this.path);
            boolean var5 = this.tree.isExpanded(this.path);
            boolean var6 = false;
            return var1.getTreeCellRendererComponent(this.tree, this.obj, var4, var5, this.isLeaf, var3, var6);
         }
      }

      return null;
   }

   public Cursor getCursor() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getCursor();
      } else {
         Component var2 = this.getCurrentComponent();
         if (var2 != null) {
            return var2.getCursor();
         } else {
            Accessible var3 = this.getAccessibleParent();
            return var3 instanceof AccessibleComponent ? ((AccessibleComponent)var3).getCursor() : null;
         }
      }
   }

   public Font getFont() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getFont();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getFont() : null;
      }
   }

   public FontMetrics getFontMetrics(Font var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var2).getFontMetrics(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         return var3 != null ? var3.getFontMetrics(var1) : null;
      }
   }

   public Color getForeground() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getForeground();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getForeground() : null;
      }
   }

   public Locale getLocale() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getLocale() : this.tree.getLocale();
   }

   public Point getLocation() {
      Rectangle var1 = this.getBounds();
      return var1 != null ? var1.getLocation() : null;
   }

   protected Point getLocationInJTree() {
      Rectangle var1 = this.tree.getPathBounds(this.path);
      return var1 != null ? var1.getLocation() : null;
   }

   public Point getLocationOnScreen() {
      if (this.tree != null) {
         Point var1 = this.tree.getLocationOnScreen();
         Point var2 = this.getLocation();
         var2.translate(var1.x, var1.y);
         return var2;
      } else {
         return null;
      }
   }

   public Dimension getSize() {
      return this.getBounds().getSize();
   }

   public boolean isAccessibleChildSelected(int var1) {
      int var2 = this.getAccessibleChildrenCount();
      if (var1 >= 0 && var1 < var2) {
         TreePath var3 = this.getChildTreePath(var1);
         return this.tree.isPathSelected(var3);
      } else {
         return false;
      }
   }

   public boolean isEnabled() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isEnabled();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isEnabled() : false;
      }
   }

   public boolean isFocusTraversable() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isFocusTraversable();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isFocusTraversable() : false;
      }
   }

   public boolean isShowing() {
      return this.tree.isShowing() && this.isVisible();
   }

   public boolean isVisible() {
      Rectangle var1 = this.tree.getPathBounds(this.path);
      Rectangle var2 = this.tree.getVisibleRect();
      return var1 != null && var2 != null && var2.intersects(var1);
   }

   public void removeAccessibleSelection(int var1) {
      TreeModel var2 = AccessibleJTree.access$0(this.this$1).getModel();
      if (var2 != null && var1 >= 0 && var1 < this.getAccessibleChildrenCount()) {
         TreePath var3 = this.getChildTreePath(var1);
         AccessibleJTree.access$0(this.this$1).removeSelectionPath(var3);
      }

   }

   public void removeFocusListener(FocusListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).removeFocusListener(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.removeFocusListener(var1);
         }
      }

   }

   public void removePropertyChangeListener(PropertyChangeListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.removePropertyChangeListener(var1);
      } else {
         super.removePropertyChangeListener(var1);
      }

   }

   public void requestFocus() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         ((AccessibleComponent)var1).requestFocus();
      } else {
         Component var2 = this.getCurrentComponent();
         if (var2 != null) {
            var2.requestFocus();
         }
      }

   }

   public void selectAllAccessibleSelection() {
      TreeModel var1 = AccessibleJTree.access$0(this.this$1).getModel();
      if (var1 != null) {
         int var2 = this.getAccessibleChildrenCount();

         for(int var4 = 0; var4 < var2; ++var4) {
            TreePath var3 = this.getChildTreePath(var4);
            AccessibleJTree.access$0(this.this$1).addSelectionPath(var3);
         }
      }

   }

   public void setAccessibleDescription(String var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.setAccessibleDescription(var1);
      } else {
         super.setAccessibleDescription(var1);
      }

   }

   public void setAccessibleName(String var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.setAccessibleName(var1);
      } else {
         super.setAccessibleName(var1);
      }

   }

   public void setBackground(Color var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setBackground(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setBackground(var1);
         }
      }

   }

   public void setBounds(Rectangle var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setBounds(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setBounds(var1);
         }
      }

   }

   public void setCursor(Cursor var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setCursor(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setCursor(var1);
         }
      }

   }

   public void setEnabled(boolean var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setEnabled(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setEnabled(var1);
         }
      }

   }

   public void setFont(Font var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setFont(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setFont(var1);
         }
      }

   }

   public void setForeground(Color var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setForeground(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setForeground(var1);
         }
      }

   }

   public void setLocation(Point var1) {
   }

   public void setSize(Dimension var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setSize(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setSize(var1);
         }
      }

   }

   public void setVisible(boolean var1) {
   }
}
