package javax.swing;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.util.StringTokenizer;
import javax.swing.border.Border;
import javax.swing.plaf.UIResource;
import javax.swing.text.JTextComponent;

public abstract class LookAndFeel {
   private static ModifierKeyword[] modifierKeywords = new ModifierKeyword[]{new ModifierKeyword("shift", 1), new ModifierKeyword("control", 2), new ModifierKeyword("meta", 4), new ModifierKeyword("alt", 8), new ModifierKeyword("button1", 16), new ModifierKeyword("button2", 8), new ModifierKeyword("button3", 4)};
   // $FF: synthetic field
   static Class class$java$awt$event$KeyEvent;

   // $FF: synthetic method
   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError(((Throwable)var2).getMessage());
      }
   }

   public UIDefaults getDefaults() {
      return null;
   }

   public abstract String getDescription();

   public abstract String getID();

   public abstract String getName();

   public void initialize() {
   }

   public static void installBorder(JComponent var0, String var1) {
      Border var2 = var0.getBorder();
      if (var2 == null || var2 instanceof UIResource) {
         var0.setBorder(UIManager.getBorder(var1));
      }

   }

   public static void installColors(JComponent var0, String var1, String var2) {
      Color var3 = ((Component)var0).getBackground();
      if (var3 == null || var3 instanceof UIResource) {
         var0.setBackground(UIManager.getColor(var1));
      }

      Color var4 = ((Component)var0).getForeground();
      if (var4 == null || var4 instanceof UIResource) {
         var0.setForeground(UIManager.getColor(var2));
      }

   }

   public static void installColorsAndFont(JComponent var0, String var1, String var2, String var3) {
      Font var4 = ((Component)var0).getFont();
      if (var4 == null || var4 instanceof UIResource) {
         var0.setFont(UIManager.getFont(var3));
      }

      installColors(var0, var1, var2);
   }

   public abstract boolean isNativeLookAndFeel();

   public abstract boolean isSupportedLookAndFeel();

   public static Object makeIcon(Class var0, String var1) {
      return new 1(var0, var1);
   }

   public static JTextComponent.KeyBinding[] makeKeyBindings(Object[] var0) {
      JTextComponent.KeyBinding[] var1 = new JTextComponent.KeyBinding[var0.length / 2];

      for(int var2 = 0; var2 < var0.length; var2 += 2) {
         KeyStroke var3 = var0[var2] instanceof KeyStroke ? (KeyStroke)var0[var2] : parseKeyStroke((String)var0[var2]);
         String var4 = (String)var0[var2 + 1];
         var1[var2 / 2] = new JTextComponent.KeyBinding(var3, var4);
      }

      return var1;
   }

   private static KeyStroke parseKeyStroke(String var0) {
      StringTokenizer var1 = new StringTokenizer(var0);

      String var2;
      int var4;
      for(int var3 = 0; (var2 = var1.nextToken()) != null; var3 |= var4) {
         var4 = 0;

         for(int var5 = 0; var4 == 0 && var5 < modifierKeywords.length; ++var5) {
            var4 = modifierKeywords[var5].getModifierMask(var2);
         }

         if (var4 == 0) {
            String var6 = "VK_" + var2;

            int var7;
            try {
               var7 = (class$java$awt$event$KeyEvent != null ? class$java$awt$event$KeyEvent : (class$java$awt$event$KeyEvent = class$("java.awt.event.KeyEvent"))).getField(var6).getInt(class$java$awt$event$KeyEvent != null ? class$java$awt$event$KeyEvent : (class$java$awt$event$KeyEvent = class$("java.awt.event.KeyEvent")));
            } catch (Exception var9) {
               ((Throwable)var9).printStackTrace();
               throw new Error("Unrecognized keycode name: " + var6);
            }

            return KeyStroke.getKeyStroke(var7, var3);
         }
      }

      throw new Error("Can't parse KeyStroke: \"" + var0 + "\"");
   }

   public String toString() {
      return "[" + this.getDescription() + " - " + this.getClass().getName() + "]";
   }

   public void uninitialize() {
   }

   public static void uninstallBorder(JComponent var0) {
      if (var0.getBorder() instanceof UIResource) {
         var0.setBorder((Border)null);
      }

   }
}
