package javax.swing;

import java.awt.Component;
import java.awt.Container;
import java.awt.EventQueue;
import java.util.Hashtable;

class SystemEventQueueUtilities {
   private static Hashtable rootTable = new Hashtable(4);
   private static final Object classLock = new Object();

   static {
      if (SwingUtilities.is1dot2) {
         System.err.println("warning: running 1.1 version of SystemEventQueueUtilities");
      }

   }

   // $FF: synthetic method
   static Object access$0() {
      return classLock;
   }

   // $FF: synthetic method
   static void access$1(RunnableEvent var0) {
      processRunnableEvent(var0);
   }

   // $FF: synthetic method
   static ThreadGroup access$2() {
      return getThreadGroupSafely();
   }

   static void addRunnableCanvas(JRootPane var0) {
      Object var1 = classLock;
      synchronized(var1){}

      try {
         if (javax.swing.SystemEventQueueUtilities.SystemEventQueue.get(var0) == null) {
            JLayeredPane var3 = var0.getLayeredPane();
            if (var3 != null) {
               RunnableCanvas var4 = new RunnableCanvas(var0);
               ((Container)var3).add(var4);
            }

            return;
         }
      } catch (Throwable var6) {
         throw var6;
      }

   }

   private static ThreadGroup getThreadGroupSafely() {
      return (new Thread()).getThreadGroup();
   }

   static Exception postRunnable(Runnable var0, Object var1) {
      EventQueue var2 = javax.swing.SystemEventQueueUtilities.SystemEventQueue.get();
      RunnableEvent var3 = new RunnableEvent(var0, var1);
      if (var2 != null) {
         var2.postEvent(var3);
      } else {
         postRunnableCanvasEvent(var3);
      }

      return var3.exception;
   }

   private static void postRunnableCanvasEvent(RunnableEvent var0) {
      Object var1 = classLock;
      synchronized(var1) {
         RunnableCanvas var3 = javax.swing.SystemEventQueueUtilities.RunnableCanvas.lookup(var0);
         if (var3 != null) {
            var3.addRunnableEvent(var0);
            ((Component)var3).repaint();
            return;
         }

         if (var0.doRun instanceof ComponentWorkRequest) {
            ComponentWorkRequest var4 = (ComponentWorkRequest)var0.doRun;
            synchronized(var4){}

            try {
               var4.isPending = false;
            } catch (Throwable var8) {
               throw var8;
            }
         }

         if (var0.doRun instanceof Timer.DoPostEvent) {
            ((Timer.DoPostEvent)var0.doRun).getTimer().eventQueued = false;
         }

         if (var0.lock != null) {
            var0.lock.notify();
         }
      }

   }

   private static void processRunnableEvent(RunnableEvent var0) {
      Object var1 = var0.lock;
      if (var1 == null) {
         var0.doRun.run();
      } else {
         synchronized(var1){}

         try {
            try {
               var0.doRun.run();
            } catch (Exception var13) {
               var0.exception = var13;
            } finally {
               if (var0.lock != null) {
                  var0.lock.notify();
               }

            }
         } catch (Throwable var15) {
            throw var15;
         }
      }

   }

   static void queueComponentWorkRequest(Component var0) {
      ComponentWorkRequest var1 = (ComponentWorkRequest)rootTable.get(var0);
      boolean var2 = var1 == null;
      if (var2) {
         var1 = new ComponentWorkRequest(var0);
      }

      synchronized(var1){}

      try {
         if (var2) {
            rootTable.put(var0, var1);
         }

         if (!var1.isPending) {
            SwingUtilities.invokeLater(var1);
            var1.isPending = true;
         }
      } catch (Throwable var5) {
         throw var5;
      }

   }

   static void removeRunnableCanvas(JRootPane var0) {
      Object var1 = classLock;
      synchronized(var1){}

      try {
         rootTable.remove(SwingUtilities.getRoot(var0));
         javax.swing.SystemEventQueueUtilities.RunnableCanvas.remove(var0);
      } catch (Throwable var3) {
         throw var3;
      }

   }

   static void restartTimerQueueThread() {
      Object var0 = classLock;
      synchronized(var0){}

      try {
         if (javax.swing.SystemEventQueueUtilities.SystemEventQueue.get() == null) {
            TimerQueueRestart var2 = new TimerQueueRestart();
            RunnableEvent var3 = new RunnableEvent(var2, (Object)null);
            javax.swing.SystemEventQueueUtilities.RunnableCanvas.postRunnableEventToAll(var3);
         }
      } catch (Throwable var5) {
         throw var5;
      }

   }
}
