package javax.swing.colorchooser;

import java.awt.Color;
import java.awt.Graphics;
import javax.swing.Icon;
import javax.swing.JColorChooser;
import javax.swing.JPanel;
import javax.swing.event.ChangeListener;

public abstract class AbstractColorChooserPanel extends JPanel {
   private JColorChooser chooser;
   private ChangeListener colorListener;
   private boolean dirty = true;

   // $FF: synthetic method
   static boolean access$0(AbstractColorChooserPanel var0) {
      return var0.dirty;
   }

   // $FF: synthetic method
   static void access$1(AbstractColorChooserPanel var0, boolean var1) {
      var0.dirty = var1;
   }

   protected abstract void buildChooser();

   protected Color getColorFromModel() {
      return this.getColorSelectionModel().getSelectedColor();
   }

   public ColorSelectionModel getColorSelectionModel() {
      return this.chooser.getSelectionModel();
   }

   public abstract String getDisplayName();

   public abstract Icon getLargeDisplayIcon();

   public abstract Icon getSmallDisplayIcon();

   public void installChooserPanel(JColorChooser var1) {
      if (this.chooser != null) {
         throw new RuntimeException("This chooser panel is already installed");
      } else {
         this.chooser = var1;
         this.buildChooser();
         this.updateChooser();
         this.colorListener = new ModelListener(this);
         this.getColorSelectionModel().addChangeListener(this.colorListener);
      }
   }

   public void paint(Graphics var1) {
      if (this.dirty) {
         this.updateChooser();
         this.dirty = false;
      }

      super.paint(var1);
   }

   public void uninstallChooserPanel(JColorChooser var1) {
      this.getColorSelectionModel().removeChangeListener(this.colorListener);
      this.chooser = null;
   }

   public abstract void updateChooser();
}
