package javax.swing.plaf.basic;

import java.io.StringReader;
import java.net.URL;
import javax.swing.JComponent;
import javax.swing.text.Document;
import javax.swing.text.EditorKit;
import javax.swing.text.View;
import javax.swing.text.ViewFactory;
import javax.swing.text.html.HTMLDocument;
import javax.swing.text.html.HTMLEditorKit;
import javax.swing.text.html.StyleSheet;

class BasicHTML {
   public static final String propertyKey = "html";
   private static HTMLEditorKit basicHTMLFactory;
   private static StyleSheet sharedStyles;
   private static final String styleChanges = "p { margin-top: 0; margin-bottom: 0; margin-left: 0; margin-right: 0 }body { margin-top: 0; margin-bottom: 0; margin-left: 0; margin-right: 0 }";

   // $FF: synthetic method
   static StyleSheet access$0() {
      return sharedStyles;
   }

   public static View createHTMLView(JComponent var0, String var1) {
      HTMLEditorKit var2 = getFactory();
      Document var3 = var2.createDefaultDocument();
      StringReader var4 = new StringReader(var1);

      try {
         var2.read(var4, var3, 0);
      } catch (Throwable var8) {
      }

      ViewFactory var5 = var2.getViewFactory();
      View var6 = var5.create(var3.getDefaultRootElement());
      Renderer var7 = new Renderer(var0, var5, var6);
      return var7;
   }

   static HTMLEditorKit getFactory() {
      if (basicHTMLFactory == null) {
         basicHTMLFactory = new BasicEditorKit();
         HTMLEditorKit var0 = new HTMLEditorKit();
         HTMLDocument var1 = (HTMLDocument)((EditorKit)var0).createDefaultDocument();
         sharedStyles = var1.getStyleSheet();

         try {
            StringReader var2 = new StringReader("p { margin-top: 0; margin-bottom: 0; margin-left: 0; margin-right: 0 }body { margin-top: 0; margin-bottom: 0; margin-left: 0; margin-right: 0 }");
            sharedStyles.loadRules(var2, (URL)null);
         } catch (Throwable var3) {
         }
      }

      return basicHTMLFactory;
   }

   public static boolean isHTMLString(String var0) {
      return var0 != null ? var0.startsWith("<html>") : false;
   }

   public static void updateRenderer(JComponent var0, String var1) {
      View var2 = null;
      Object var3 = null;
      if (isHTMLString(var1)) {
         var2 = createHTMLView(var0, var1);
      }

      var0.putClientProperty("html", var2);
   }
}
