package javax.swing.plaf.basic;

import java.awt.AWTEvent;
import java.awt.Component;
import java.awt.Container;
import java.awt.Point;
import java.awt.event.InputEvent;
import java.awt.event.MouseEvent;
import java.awt.peer.LightweightPeer;
import javax.swing.SwingUtilities;
import javax.swing.event.MouseInputListener;

public class BasicInternalFrameUI$GlassPaneDispatcher implements MouseInputListener {
   // $FF: synthetic field
   private final BasicInternalFrameUI this$0;
   private Component mouseEventTarget;

   protected BasicInternalFrameUI$GlassPaneDispatcher(BasicInternalFrameUI var1) {
      this.this$0 = var1;
      this.mouseEventTarget = null;
   }

   private Component findComponentAt(Container var1, int var2, int var3) {
      if (!((Component)var1).contains(var2, var3)) {
         return var1;
      } else {
         int var4 = var1.getComponentCount();
         Component[] var5 = var1.getComponents();

         for(int var6 = 0; var6 < var4; ++var6) {
            Component var7 = var5[var6];
            Point var8 = var7.getLocation();
            if (var7 != null && var7.contains(var2 - var8.x, var3 - var8.y) && var7.getPeer() instanceof LightweightPeer && var7.isVisible()) {
               if (!(var7 instanceof Container)) {
                  return var7;
               }

               Container var9 = (Container)var7;
               Point var10 = ((Component)var9).getLocation();
               Component var11 = this.findComponentAt(var9, var2 - var10.x, var3 - var10.y);
               if (var11 != null) {
                  return var11;
               }
            }
         }

         return var1;
      }
   }

   private void forwardMouseEvent(MouseEvent var1) {
      Component var2 = this.findComponentAt(this.this$0.frame.getContentPane(), var1.getX(), var1.getY());
      if (var2 != this.mouseEventTarget) {
         this.setMouseTarget(var2, var1);
      }

      this.retargetMouseEvent(((AWTEvent)var1).getID(), var1);
   }

   public void mouseClicked(MouseEvent var1) {
   }

   public void mouseDragged(MouseEvent var1) {
   }

   public void mouseEntered(MouseEvent var1) {
      this.forwardMouseEvent(var1);
   }

   public void mouseExited(MouseEvent var1) {
      this.forwardMouseEvent(var1);
   }

   public void mouseMoved(MouseEvent var1) {
      this.forwardMouseEvent(var1);
   }

   public void mousePressed(MouseEvent var1) {
      if (this.this$0.borderListener != null) {
         this.this$0.borderListener.mousePressed(var1);
      }

      this.forwardMouseEvent(var1);
   }

   public void mouseReleased(MouseEvent var1) {
      this.forwardMouseEvent(var1);
   }

   void retargetMouseEvent(int var1, MouseEvent var2) {
      Point var3 = SwingUtilities.convertPoint(this.this$0.frame.getContentPane(), var2.getX(), var2.getY(), this.mouseEventTarget);
      MouseEvent var4 = new MouseEvent(this.mouseEventTarget, var1, ((InputEvent)var2).getWhen(), ((InputEvent)var2).getModifiers(), var3.x, var3.y, var2.getClickCount(), var2.isPopupTrigger());
      this.mouseEventTarget.dispatchEvent(var4);
   }

   private void setMouseTarget(Component var1, MouseEvent var2) {
      if (this.mouseEventTarget != null) {
         this.retargetMouseEvent(505, var2);
      }

      this.mouseEventTarget = var1;
      if (this.mouseEventTarget != null) {
         this.retargetMouseEvent(504, var2);
      }

   }
}
