package javax.swing.plaf.basic;

import java.awt.Color;
import java.awt.Dimension;
import java.io.Serializable;
import java.util.Enumeration;
import java.util.ResourceBundle;
import javax.swing.LookAndFeel;
import javax.swing.UIDefaults;
import javax.swing.border.Border;
import javax.swing.plaf.BorderUIResource;
import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.DimensionUIResource;
import javax.swing.plaf.FontUIResource;
import javax.swing.plaf.InsetsUIResource;
import javax.swing.text.JTextComponent;

public abstract class BasicLookAndFeel extends LookAndFeel implements Serializable {
   // $FF: synthetic field
   static Class class$java$awt$SystemColor;

   // $FF: synthetic method
   static Class class$(String var0) {
      try {
         return Class.forName(var0);
      } catch (ClassNotFoundException var2) {
         throw new NoClassDefFoundError(((Throwable)var2).getMessage());
      }
   }

   public UIDefaults getDefaults() {
      UIDefaults var1 = new UIDefaults();
      this.initClassDefaults(var1);
      this.initSystemColorDefaults(var1);
      this.initComponentDefaults(var1);
      return var1;
   }

   protected void initClassDefaults(UIDefaults var1) {
      String var2 = "javax.swing.plaf.basic.";
      Object[] var3 = new Object[]{"ButtonUI", var2 + "BasicButtonUI", "CheckBoxUI", var2 + "BasicCheckBoxUI", "ColorChooserUI", var2 + "BasicColorChooserUI", "MenuBarUI", var2 + "BasicMenuBarUI", "MenuUI", var2 + "BasicMenuUI", "MenuItemUI", var2 + "BasicMenuItemUI", "CheckBoxMenuItemUI", var2 + "BasicCheckBoxMenuItemUI", "RadioButtonMenuItemUI", var2 + "BasicRadioButtonMenuItemUI", "RadioButtonUI", var2 + "BasicRadioButtonUI", "ToggleButtonUI", var2 + "BasicToggleButtonUI", "PopupMenuUI", var2 + "BasicPopupMenuUI", "ProgressBarUI", var2 + "BasicProgressBarUI", "ScrollBarUI", var2 + "BasicScrollBarUI", "ScrollPaneUI", var2 + "BasicScrollPaneUI", "SplitPaneUI", var2 + "BasicSplitPaneUI", "SliderUI", var2 + "BasicSliderUI", "SeparatorUI", var2 + "BasicSeparatorUI", "ToolBarSeparatorUI", var2 + "BasicToolBarSeparatorUI", "PopupMenuSeparatorUI", var2 + "BasicPopupMenuSeparatorUI", "TabbedPaneUI", var2 + "BasicTabbedPaneUI", "TextAreaUI", var2 + "BasicTextAreaUI", "TextFieldUI", var2 + "BasicTextFieldUI", "PasswordFieldUI", var2 + "BasicPasswordFieldUI", "TextPaneUI", var2 + "BasicTextPaneUI", "EditorPaneUI", var2 + "BasicEditorPaneUI", "TreeUI", var2 + "BasicTreeUI", "LabelUI", var2 + "BasicLabelUI", "ListUI", var2 + "BasicListUI", "ToolBarUI", var2 + "BasicToolBarUI", "ToolTipUI", var2 + "BasicToolTipUI", "ComboBoxUI", var2 + "BasicComboBoxUI", "TableUI", var2 + "BasicTableUI", "TableHeaderUI", var2 + "BasicTableHeaderUI", "InternalFrameUI", var2 + "BasicInternalFrameUI", "StandardDialogUI", var2 + "BasicStandardDialogUI", "DesktopPaneUI", var2 + "BasicDesktopPaneUI", "DesktopIconUI", var2 + "BasicDesktopIconUI", "OptionPaneUI", var2 + "BasicOptionPaneUI", "PanelUI", var2 + "BasicPanelUI", "ViewportUI", var2 + "BasicViewportUI"};
      var1.putDefaults(var3);
   }

   protected void initComponentDefaults(UIDefaults var1) {
      this.loadResourceBundle(var1);
      FontUIResource var2 = new FontUIResource("Dialog", 0, 12);
      FontUIResource var3 = new FontUIResource("Serif", 0, 12);
      FontUIResource var4 = new FontUIResource("SansSerif", 0, 12);
      FontUIResource var5 = new FontUIResource("Monospaced", 0, 12);
      FontUIResource var6 = new FontUIResource("Dialog", 1, 12);
      ColorUIResource var7 = new ColorUIResource(Color.red);
      ColorUIResource var8 = new ColorUIResource(Color.black);
      ColorUIResource var9 = new ColorUIResource(Color.white);
      ColorUIResource var10 = new ColorUIResource(Color.yellow);
      ColorUIResource var11 = new ColorUIResource(Color.gray);
      ColorUIResource var12 = new ColorUIResource(Color.lightGray);
      ColorUIResource var13 = new ColorUIResource(Color.darkGray);
      ColorUIResource var14 = new ColorUIResource(224, 224, 224);
      InsetsUIResource var15 = new InsetsUIResource(0, 0, 0, 0);
      BorderUIResource.EmptyBorderUIResource var16 = new BorderUIResource.EmptyBorderUIResource(0, 0, 0, 0);
      BasicBorders.MarginBorder var17 = new BasicBorders.MarginBorder();
      Border var18 = BorderUIResource.getEtchedBorderUIResource();
      Border var19 = BorderUIResource.getLoweredBevelBorderUIResource();
      Border var20 = BorderUIResource.getRaisedBevelBorderUIResource();
      Border var21 = BorderUIResource.getBlackLineBorderUIResource();
      BorderUIResource.LineBorderUIResource var22 = new BorderUIResource.LineBorderUIResource(var10);
      BorderUIResource.CompoundBorderUIResource var23 = new BorderUIResource.CompoundBorderUIResource(new BasicBorders.ButtonBorder(var1.getColor("controlShadow"), var1.getColor("controlDkShadow"), var1.getColor("controlHighlight"), var1.getColor("controlLtHighlight")), var17);
      BorderUIResource.CompoundBorderUIResource var24 = new BorderUIResource.CompoundBorderUIResource(new BasicBorders.ToggleButtonBorder(var1.getColor("controlShadow"), var1.getColor("controlDkShadow"), var1.getColor("controlHighlight"), var1.getColor("controlLtHighlight")), var17);
      BorderUIResource.CompoundBorderUIResource var25 = new BorderUIResource.CompoundBorderUIResource(new BasicBorders.RadioButtonBorder(var1.getColor("controlShadow"), var1.getColor("controlDkShadow"), var1.getColor("controlHighlight"), var1.getColor("controlLtHighlight")), var17);
      Object var26 = LookAndFeel.makeIcon(this.getClass(), "icons/NewFolder.gif");
      Object var27 = LookAndFeel.makeIcon(this.getClass(), "icons/UpFolder.gif");
      Object var28 = LookAndFeel.makeIcon(this.getClass(), "icons/HomeFolder.gif");
      Object var29 = LookAndFeel.makeIcon(this.getClass(), "icons/DetailsView.gif");
      Object var30 = LookAndFeel.makeIcon(this.getClass(), "icons/ListView.gif");
      Object var31 = LookAndFeel.makeIcon(this.getClass(), "icons/Directory.gif");
      Object var32 = LookAndFeel.makeIcon(this.getClass(), "icons/File.gif");
      Object var33 = LookAndFeel.makeIcon(this.getClass(), "icons/Computer.gif");
      Object var34 = LookAndFeel.makeIcon(this.getClass(), "icons/HardDrive.gif");
      Object var35 = LookAndFeel.makeIcon(this.getClass(), "icons/FloppyDrive.gif");
      1 var36 = new 1();
      2 var37 = new 2();
      BasicBorders.MenuBarBorder var38 = new BasicBorders.MenuBarBorder(var1.getColor("controlShadow"), var1.getColor("controlLtHighlight"));
      3 var39 = new 3();
      4 var40 = new 4();
      5 var41 = new 5();
      6 var42 = new 6();
      7 var43 = new 7();
      8 var44 = new 8();
      9 var45 = new 9();
      String var46 = new String("+");
      DimensionUIResource var47 = new DimensionUIResource(262, 90);
      BorderUIResource.EmptyBorderUIResource var48 = new BorderUIResource.EmptyBorderUIResource(10, 10, 12, 10);
      BorderUIResource.EmptyBorderUIResource var49 = new BorderUIResource.EmptyBorderUIResource(6, 0, 0, 0);
      BorderUIResource.LineBorderUIResource var50 = new BorderUIResource.LineBorderUIResource(Color.green, 2);
      10 var51 = new 10();
      11 var52 = new 11();
      InsetsUIResource var53 = new InsetsUIResource(2, 2, 2, 2);
      DimensionUIResource var54 = new DimensionUIResource(10, 10);
      BasicBorders.SplitPaneBorder var55 = new BasicBorders.SplitPaneBorder(var1.getColor("controlLtHighlight"), var1.getColor("controlDkShadow"));
      InsetsUIResource var56 = new InsetsUIResource(0, 4, 1, 4);
      InsetsUIResource var57 = new InsetsUIResource(2, 2, 2, 1);
      InsetsUIResource var58 = new InsetsUIResource(3, 2, 0, 2);
      InsetsUIResource var59 = new InsetsUIResource(2, 2, 3, 3);
      BasicBorders.FieldBorder var60 = new BasicBorders.FieldBorder(var1.getColor("controlShadow"), var1.getColor("controlDkShadow"), var1.getColor("controlHighlight"), var1.getColor("controlLtHighlight"));
      InsetsUIResource var61 = new InsetsUIResource(3, 3, 3, 3);
      JTextComponent.KeyBinding[] var62 = LookAndFeel.makeKeyBindings(new Object[]{"ENTER", "notify-field-accept"});
      JTextComponent.KeyBinding[] var63 = LookAndFeel.makeKeyBindings(new Object[]{"UP", "caret-up", "DOWN", "caret-down", "PAGE_UP", "page-up", "PAGE_DOWN", "page-down", "ENTER", "insert-break", "TAB", "insert-tab"});
      Integer var64 = new Integer(500);
      Object[] var65 = new Object[]{"Button.font", var2, "Button.background", var1.get("control"), "Button.foreground", var1.get("controlText"), "Button.border", var23, "Button.margin", new InsetsUIResource(2, 14, 2, 14), "Button.textIconGap", new Integer(4), "Button.textShiftOffset", new Integer(0), "ToggleButton.font", var2, "ToggleButton.background", var1.get("control"), "ToggleButton.foreground", var1.get("controlText"), "ToggleButton.border", var24, "ToggleButton.margin", new InsetsUIResource(2, 14, 2, 14), "ToggleButton.textIconGap", new Integer(4), "ToggleButton.textShiftOffset", new Integer(0), "RadioButton.font", var2, "RadioButton.background", var1.get("control"), "RadioButton.foreground", var1.get("controlText"), "RadioButton.border", var25, "RadioButton.margin", new InsetsUIResource(2, 2, 2, 2), "RadioButton.textIconGap", new Integer(4), "RadioButton.textShiftOffset", new Integer(0), "RadioButton.icon", var43, "CheckBox.font", var2, "CheckBox.background", var1.get("control"), "CheckBox.foreground", var1.get("controlText"), "CheckBox.border", var25, "CheckBox.margin", new InsetsUIResource(2, 2, 2, 2), "CheckBox.textIconGap", new Integer(4), "CheckBox.textShiftOffset", new Integer(0), "CheckBox.icon", var42, "ColorChooser.font", var2, "ColorChooser.background", var1.get("control"), "ColorChooser.foreground", var1.get("controlText"), "ColorChooser.swatchesSwatchSize", new Dimension(10, 10), "ColorChooser.swatchesRecentSwatchSize", new Dimension(10, 10), "ColorChooser.swatchesDefaultRecentColor", var1.get("control"), "ColorChooser.rgbRedMnemonic", new Integer(82), "ColorChooser.rgbGreenMnemonic", new Integer(71), "ColorChooser.rgbBlueMnemonic", new Integer(66), "ComboBox.font", var4, "ComboBox.background", var9, "ComboBox.foreground", var8, "ComboBox.selectionBackground", var1.get("textHighlight"), "ComboBox.selectionForeground", var1.get("textHighlightText"), "ComboBox.disabledBackground", var1.get("control"), "ComboBox.disabledForeground", var1.get("textInactiveText"), "FileChooser.cancelButtonMnemonic", new Integer(67), "FileChooser.saveButtonMnemonic", new Integer(83), "FileChooser.openButtonMnemonic", new Integer(79), "FileChooser.updateButtonMnemonic", new Integer(85), "FileChooser.helpButtonMnemonic", new Integer(72), "FileChooser.newFolderIcon", var26, "FileChooser.upFolderIcon", var27, "FileChooser.homeFolderIcon", var28, "FileChooser.detailsViewIcon", var29, "FileChooser.listViewIcon", var30, "FileView.directoryIcon", var31, "FileView.fileIcon", var32, "FileView.computerIcon", var33, "FileView.hardDriveIcon", var34, "FileView.floppyDriveIcon", var35, "InternalFrame.titleFont", var6, "InternalFrame.border", var36, "InternalFrame.icon", LookAndFeel.makeIcon(this.getClass(), "icons/JavaCup.gif"), "InternalFrame.maximizeIcon", BasicIconFactory.createEmptyFrameIcon(), "InternalFrame.minimizeIcon", BasicIconFactory.createEmptyFrameIcon(), "InternalFrame.iconifyIcon", BasicIconFactory.createEmptyFrameIcon(), "InternalFrame.closeIcon", BasicIconFactory.createEmptyFrameIcon(), "InternalFrame.activeTitleBackground", var1.get("activeCaption"), "InternalFrame.activeTitleForeground", var1.get("activeCaptionText"), "InternalFrame.inactiveTitleBackground", var1.get("inactiveCaption"), "InternalFrame.inactiveTitleForeground", var1.get("inactiveCaptionText"), "DesktopIcon.border", var36, "Desktop.background", var1.get("desktop"), "Label.font", var2, "Label.background", var1.get("control"), "Label.foreground", var1.get("controlText"), "Label.disabledForeground", var9, "Label.disabledShadow", var1.get("controlShadow"), "Label.border", null, "List.font", var2, "List.background", var1.get("window"), "List.foreground", var1.get("textText"), "List.selectionBackground", var1.get("textHighlight"), "List.selectionForeground", var1.get("textHighlightText"), "List.focusCellHighlightBorder", var22, "List.border", null, "List.cellRenderer", var37, "MenuBar.font", var2, "MenuBar.background", var1.get("menu"), "MenuBar.foreground", var1.get("menuText"), "MenuBar.border", var38, "MenuItem.font", var2, "MenuItem.acceleratorFont", var2, "MenuItem.background", var1.get("menu"), "MenuItem.foreground", var1.get("menuText"), "MenuItem.selectionForeground", var1.get("textHighlightText"), "MenuItem.selectionBackground", var1.get("textHighlight"), "MenuItem.disabledForeground", null, "MenuItem.acceleratorForeground", var1.get("menuText"), "MenuItem.acceleratorSelectionForeground", var1.get("textHighlightText"), "MenuItem.acceleratorDelimiter", var46, "MenuItem.border", var17, "MenuItem.borderPainted", Boolean.FALSE, "MenuItem.margin", new InsetsUIResource(2, 2, 2, 2), "MenuItem.checkIcon", var39, "MenuItem.arrowIcon", var40, "RadioButtonMenuItem.font", var2, "RadioButtonMenuItem.acceleratorFont", var2, "RadioButtonMenuItem.background", var1.get("menu"), "RadioButtonMenuItem.foreground", var1.get("menuText"), "RadioButtonMenuItem.selectionForeground", var1.get("textHighlightText"), "RadioButtonMenuItem.selectionBackground", var1.get("textHighlight"), "RadioButtonMenuItem.disabledForeground", null, "RadioButtonMenuItem.acceleratorForeground", var1.get("menuText"), "RadioButtonMenuItem.acceleratorSelectionForeground", var1.get("textHighlightText"), "RadioButtonMenuItem.border", var17, "RadioButtonMenuItem.borderPainted", Boolean.FALSE, "RadioButtonMenuItem.margin", new InsetsUIResource(2, 2, 2, 2), "RadioButtonMenuItem.checkIcon", var45, "RadioButtonMenuItem.arrowIcon", var40, "CheckBoxMenuItem.font", var2, "CheckBoxMenuItem.acceleratorFont", var2, "CheckBoxMenuItem.background", var1.get("menu"), "CheckBoxMenuItem.foreground", var1.get("menuText"), "CheckBoxMenuItem.selectionForeground", var1.get("textHighlightText"), "CheckBoxMenuItem.selectionBackground", var1.get("textHighlight"), "CheckBoxMenuItem.disabledForeground", null, "CheckBoxMenuItem.acceleratorForeground", var1.get("menuText"), "CheckBoxMenuItem.acceleratorSelectionForeground", var1.get("textHighlightText"), "CheckBoxMenuItem.border", var17, "CheckBoxMenuItem.borderPainted", Boolean.FALSE, "CheckBoxMenuItem.margin", new InsetsUIResource(2, 2, 2, 2), "CheckBoxMenuItem.checkIcon", var44, "CheckBoxMenuItem.arrowIcon", var40, "Menu.font", var2, "Menu.acceleratorFont", var2, "Menu.background", var1.get("menu"), "Menu.foreground", var1.get("menuText"), "Menu.selectionForeground", var1.get("textHighlightText"), "Menu.selectionBackground", var1.get("textHighlight"), "Menu.disabledForeground", null, "Menu.acceleratorForeground", var1.get("menuText"), "Menu.acceleratorSelectionForeground", var1.get("textHighlightText"), "Menu.border", var17, "Menu.borderPainted", Boolean.FALSE, "Menu.margin", new InsetsUIResource(2, 2, 2, 2), "Menu.checkIcon", var39, "Menu.arrowIcon", var41, "Menu.consumesTabs", Boolean.TRUE, "PopupMenu.font", var2, "PopupMenu.background", var1.get("menu"), "PopupMenu.foreground", var1.get("menuText"), "PopupMenu.border", var20, "OptionPane.font", var2, "OptionPane.background", var1.get("control"), "OptionPane.foreground", var1.get("controlText"), "OptionPane.messageForeground", var1.get("controlText"), "OptionPane.border", var48, "OptionPane.messageAreaBorder", var16, "OptionPane.buttonAreaBorder", var49, "OptionPane.minimumSize", var47, "OptionPane.errorIcon", LookAndFeel.makeIcon(this.getClass(), "icons/Error.gif"), "OptionPane.informationIcon", LookAndFeel.makeIcon(this.getClass(), "icons/Inform.gif"), "OptionPane.warningIcon", LookAndFeel.makeIcon(this.getClass(), "icons/Warn.gif"), "OptionPane.questionIcon", LookAndFeel.makeIcon(this.getClass(), "icons/Question.gif"), "Panel.font", var2, "Panel.background", var1.get("control"), "Panel.foreground", var1.get("textText"), "ProgressBar.font", var2, "ProgressBar.foreground", var1.get("textHighlight"), "ProgressBar.background", var1.get("control"), "ProgressBar.selectionForeground", var1.get("control"), "ProgressBar.selectionBackground", var1.get("textHighlight"), "ProgressBar.border", var50, "ProgressBar.cellLength", new Integer(1), "ProgressBar.cellSpacing", new Integer(0), "Separator.shadow", var1.get("controlShadow"), "Separator.highlight", var1.get("controlLtHighlight"), "Separator.background", var1.get("controlLtHighlight"), "Separator.foreground", var1.get("controlShadow"), "ScrollBar.background", var14, "ScrollBar.foreground", var1.get("control"), "ScrollBar.track", var1.get("scrollbar"), "ScrollBar.trackHighlight", var1.get("controlDkShadow"), "ScrollBar.thumb", var1.get("control"), "ScrollBar.thumbHighlight", var1.get("controlLtHighlight"), "ScrollBar.thumbDarkShadow", var1.get("controlDkShadow"), "ScrollBar.thumbLightShadow", var1.get("controlShadow"), "ScrollBar.border", null, "ScrollBar.minimumThumbSize", var51, "ScrollBar.maximumThumbSize", var52, "ScrollPane.font", var2, "ScrollPane.background", var1.get("control"), "ScrollPane.foreground", var1.get("controlText"), "ScrollPane.border", var18, "ScrollPane.viewportBorder", null, "Viewport.font", var2, "Viewport.background", var1.get("control"), "Viewport.foreground", var1.get("textText"), "Slider.foreground", var1.get("control"), "Slider.background", var1.get("control"), "Slider.highlight", var1.get("controlLtHighlight"), "Slider.shadow", var1.get("controlShadow"), "Slider.focus", var1.get("controlDkShadow"), "Slider.border", null, "Slider.focusInsets", var53, "SplitPane.background", var1.get("control"), "SplitPane.highlight", var1.get("controlLtHighlight"), "SplitPane.shadow", var1.get("controlShadow"), "SplitPane.border", var55, "SplitPane.dividerSize", new Integer(5), "TabbedPane.font", var2, "TabbedPane.background", var1.get("control"), "TabbedPane.foreground", var1.get("controlText"), "TabbedPane.lightHighlight", var1.get("controlLtHighlight"), "TabbedPane.highlight", var1.get("controlHighlight"), "TabbedPane.shadow", var1.get("controlShadow"), "TabbedPane.darkShadow", var1.get("controlDkShadow"), "TabbedPane.focus", var1.get("controlText"), "TabbedPane.textIconGap", new Integer(4), "TabbedPane.tabInsets", var56, "TabbedPane.selectedTabPadInsets", var57, "TabbedPane.tabAreaInsets", var58, "TabbedPane.contentBorderInsets", var59, "TabbedPane.tabRunOverlay", new Integer(2), "Table.font", var2, "Table.foreground", var1.get("controlText"), "Table.background", var1.get("window"), "Table.selectionForeground", var1.get("textHighlightText"), "Table.selectionBackground", var1.get("textHighlight"), "Table.gridColor", var11, "Table.focusCellBackground", var1.get("window"), "Table.focusCellForeground", var1.get("controlText"), "Table.focusCellHighlightBorder", var22, "Table.scrollPaneBorder", var19, "TableHeader.font", var2, "TableHeader.foreground", var1.get("controlText"), "TableHeader.background", var1.get("control"), "TableHeader.cellBorder", var20, "TextField.font", var4, "TextField.background", var1.get("window"), "TextField.foreground", var1.get("textText"), "TextField.inactiveForeground", var1.get("textInactiveText"), "TextField.selectionBackground", var1.get("textHighlight"), "TextField.selectionForeground", var1.get("textHighlightText"), "TextField.caretForeground", var1.get("textText"), "TextField.caretBlinkRate", var64, "TextField.border", var60, "TextField.margin", var15, "TextField.keyBindings", var62, "PasswordField.font", var5, "PasswordField.background", var1.get("window"), "PasswordField.foreground", var1.get("textText"), "PasswordField.inactiveForeground", var1.get("textInactiveText"), "PasswordField.selectionBackground", var1.get("textHighlight"), "PasswordField.selectionForeground", var1.get("textHighlightText"), "PasswordField.caretForeground", var1.get("textText"), "PasswordField.caretBlinkRate", var64, "PasswordField.border", var60, "PasswordField.margin", var15, "PasswordField.keyBindings", var62, "TextArea.font", var5, "TextArea.background", var1.get("window"), "TextArea.foreground", var1.get("textText"), "TextArea.inactiveForeground", var1.get("textInactiveText"), "TextArea.selectionBackground", var1.get("textHighlight"), "TextArea.selectionForeground", var1.get("textHighlightText"), "TextArea.caretForeground", var1.get("textText"), "TextArea.caretBlinkRate", var64, "TextArea.border", var17, "TextArea.margin", var15, "TextArea.keyBindings", var63, "TextPane.font", var3, "TextPane.background", var9, "TextPane.foreground", var1.get("textText"), "TextPane.selectionBackground", var12, "TextPane.selectionForeground", var1.get("textHighlightText"), "TextPane.caretForeground", var1.get("textText"), "TextPane.caretBlinkRate", var64, "TextPane.inactiveForeground", var1.get("textInactiveText"), "TextPane.border", var17, "TextPane.margin", var61, "TextPane.keyBindings", var63, "EditorPane.font", var3, "EditorPane.background", var9, "EditorPane.foreground", var1.get("textText"), "EditorPane.selectionBackground", var12, "EditorPane.selectionForeground", var1.get("textHighlightText"), "EditorPane.caretForeground", var7, "EditorPane.caretBlinkRate", var64, "EditorPane.inactiveForeground", var1.get("textInactiveText"), "EditorPane.border", var17, "EditorPane.margin", var61, "EditorPane.keyBindings", var63, "TitledBorder.font", var2, "TitledBorder.titleColor", var1.get("controlText"), "TitledBorder.border", var18, "ToolBar.font", var2, "ToolBar.background", var1.get("control"), "ToolBar.foreground", var1.get("controlText"), "ToolBar.dockingBackground", var1.get("control"), "ToolBar.dockingForeground", var7, "ToolBar.floatingBackground", var1.get("control"), "ToolBar.floatingForeground", var13, "ToolBar.border", var18, "ToolBar.separatorSize", var54, "ToolTip.font", var4, "ToolTip.background", var1.get("info"), "ToolTip.foreground", var1.get("infoText"), "ToolTip.border", var21, "Tree.font", var2, "Tree.background", var1.get("window"), "Tree.foreground", var1.get("textText"), "Tree.hash", var11, "Tree.textForeground", var1.get("textText"), "Tree.textBackground", var1.get("text"), "Tree.selectionForeground", var1.get("textHighlightText"), "Tree.selectionBackground", var1.get("textHighlight"), "Tree.selectionBorderColor", var8, "Tree.editorBorder", var21, "Tree.leftChildIndent", new Integer(7), "Tree.rightChildIndent", new Integer(13), "Tree.rowHeight", new Integer(16), "Tree.scrollsOnExpand", Boolean.TRUE, "Tree.openIcon", LookAndFeel.makeIcon(this.getClass(), "icons/TreeOpen.gif"), "Tree.closedIcon", LookAndFeel.makeIcon(this.getClass(), "icons/TreeClosed.gif"), "Tree.leafIcon", LookAndFeel.makeIcon(this.getClass(), "icons/TreeLeaf.gif"), "Tree.expandedIcon", null, "Tree.collapsedIcon", null, "Tree.changeSelectionWithFocus", Boolean.TRUE, "Tree.drawsFocusBorderAroundIcon", Boolean.FALSE};
      var1.putDefaults(var65);
   }

   protected void initSystemColorDefaults(UIDefaults var1) {
      String[] var2 = new String[]{"desktop", "#005C5C", "activeCaption", "#000080", "activeCaptionText", "#FFFFFF", "activeCaptionBorder", "#C0C0C0", "inactiveCaption", "#808080", "inactiveCaptionText", "#C0C0C0", "inactiveCaptionBorder", "#C0C0C0", "window", "#FFFFFF", "windowBorder", "#000000", "windowText", "#000000", "menu", "#C0C0C0", "menuText", "#000000", "text", "#C0C0C0", "textText", "#000000", "textHighlight", "#000080", "textHighlightText", "#FFFFFF", "textInactiveText", "#808080", "control", "#C0C0C0", "controlText", "#000000", "controlHighlight", "#C0C0C0", "controlLtHighlight", "#FFFFFF", "controlShadow", "#808080", "controlDkShadow", "#000000", "scrollbar", "#E0E0E0", "info", "#FFFFE1", "infoText", "#000000"};
      this.loadSystemColors(var1, var2, ((LookAndFeel)this).isNativeLookAndFeel());
   }

   private void loadResourceBundle(UIDefaults var1) {
      ResourceBundle var2 = ResourceBundle.getBundle("javax.swing.plaf.basic.resources.basic");
      Enumeration var3 = var2.getKeys();

      while(var3.hasMoreElements()) {
         String var4 = (String)var3.nextElement();
         var1.put(var4, var2.getObject(var4));
      }

   }

   protected void loadSystemColors(UIDefaults var1, String[] var2, boolean var3) {
      if (var3) {
         for(int var4 = 0; var4 < var2.length; var4 += 2) {
            Color var5 = Color.black;

            try {
               String var6 = var2[var4];
               var5 = (Color)(class$java$awt$SystemColor != null ? class$java$awt$SystemColor : (class$java$awt$SystemColor = class$("java.awt.SystemColor"))).getField(var6).get((Object)null);
            } catch (Exception var8) {
            }

            var1.put(var2[var4], new ColorUIResource(var5));
         }
      } else {
         for(int var9 = 0; var9 < var2.length; var9 += 2) {
            Color var10 = Color.black;

            try {
               var10 = Color.decode(var2[var9 + 1]);
            } catch (NumberFormatException var7) {
               ((Throwable)var7).printStackTrace();
            }

            var1.put(var2[var9], new ColorUIResource(var10));
         }
      }

   }
}
