package javax.swing.plaf.basic;

import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;
import javax.swing.BoundedRangeModel;

public class BasicScrollBarUI$TrackListener extends MouseAdapter implements MouseMotionListener {
   // $FF: synthetic field
   private final BasicScrollBarUI this$0;
   protected transient int offset;
   protected transient int currentMouseX;
   protected transient int currentMouseY;

   protected BasicScrollBarUI$TrackListener(BasicScrollBarUI var1) {
      this.this$0 = var1;
   }

   public void mouseDragged(MouseEvent var1) {
      if (this.this$0.scrollbar.isEnabled() && this.this$0.isDragging) {
         BoundedRangeModel var2 = this.this$0.scrollbar.getModel();
         Rectangle var3 = this.this$0.getThumbBounds();
         int var5;
         int var6;
         int var7;
         if (this.this$0.scrollbar.getOrientation() == 1) {
            var5 = this.this$0.decrButton.getY() + this.this$0.decrButton.getHeight();
            var6 = this.this$0.incrButton.getY() - this.this$0.getThumbBounds().height;
            var7 = Math.min(var6, Math.max(var5, var1.getY() - this.offset));
            this.this$0.setThumbBounds(var3.x, var7, var3.width, var3.height);
            float var4 = (float)this.this$0.getTrackBounds().height;
         } else {
            var5 = this.this$0.decrButton.getX() + this.this$0.decrButton.getWidth();
            var6 = this.this$0.incrButton.getX() - this.this$0.getThumbBounds().width;
            var7 = Math.min(var6, Math.max(var5, var1.getX() - this.offset));
            this.this$0.setThumbBounds(var7, var3.y, var3.width, var3.height);
            float var13 = (float)this.this$0.getTrackBounds().width;
         }

         if (var7 == var6) {
            this.this$0.scrollbar.setValue(var2.getMaximum() - var2.getExtent());
         } else {
            float var8 = (float)(var2.getMaximum() - var2.getExtent());
            float var9 = var8 - (float)var2.getMinimum();
            float var10 = (float)(var7 - var5);
            float var11 = (float)(var6 - var5);
            int var12 = (int)((double)0.5F + (double)(var10 / var11 * var9));
            this.this$0.scrollbar.setValue(var12 + var2.getMinimum());
         }

      }
   }

   public void mouseMoved(MouseEvent var1) {
   }

   public void mousePressed(MouseEvent var1) {
      if (this.this$0.scrollbar.isEnabled()) {
         this.this$0.scrollbar.setValueIsAdjusting(true);
         this.currentMouseX = var1.getX();
         this.currentMouseY = var1.getY();
         if (this.this$0.getThumbBounds().contains(this.currentMouseX, this.currentMouseY)) {
            switch (this.this$0.scrollbar.getOrientation()) {
               case 0:
                  this.offset = this.currentMouseX - this.this$0.getThumbBounds().x;
                  break;
               case 1:
                  this.offset = this.currentMouseY - this.this$0.getThumbBounds().y;
            }

            this.this$0.isDragging = true;
         } else {
            this.this$0.isDragging = false;
            Dimension var2 = this.this$0.scrollbar.getSize();
            int var3 = 1;
            switch (this.this$0.scrollbar.getOrientation()) {
               case 0:
                  if (this.this$0.getThumbBounds().isEmpty()) {
                     int var6 = var2.width / 2;
                     var3 = this.currentMouseX < var6 ? -1 : 1;
                  } else {
                     int var7 = this.this$0.getThumbBounds().x;
                     var3 = this.currentMouseX < var7 ? -1 : 1;
                  }
                  break;
               case 1:
                  if (this.this$0.getThumbBounds().isEmpty()) {
                     int var4 = var2.height / 2;
                     var3 = this.currentMouseY < var4 ? -1 : 1;
                  } else {
                     int var5 = this.this$0.getThumbBounds().y;
                     var3 = this.currentMouseY < var5 ? -1 : 1;
                  }
            }

            this.this$0.scrollByBlock(var3);
            if (!this.this$0.getThumbBounds().contains(this.currentMouseX, this.currentMouseY)) {
               this.this$0.scrollTimer.stop();
               this.this$0.scrollListener.setDirection(var3);
               this.this$0.scrollListener.setScrollByBlock(true);
               this.this$0.scrollTimer.start();
            }

         }
      }
   }

   public void mouseReleased(MouseEvent var1) {
      if (this.this$0.scrollbar.isEnabled()) {
         if (this.this$0.trackHighlight != 0) {
            Rectangle var2 = this.this$0.getTrackBounds();
            this.this$0.scrollbar.repaint(var2.x, var2.y, var2.width, var2.height);
         }

         this.this$0.trackHighlight = 0;
         this.this$0.isDragging = false;
         this.offset = 0;
         this.this$0.scrollTimer.stop();
         this.this$0.scrollbar.setValueIsAdjusting(false);
      }
   }
}
