package javax.swing.plaf.basic;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Insets;
import java.awt.LayoutManager2;

public class BasicSplitPaneUI$BasicHorizontalLayoutManager implements LayoutManager2 {
   // $FF: synthetic field
   private final BasicSplitPaneUI this$0;
   protected int[] sizes;
   protected Component[] components;

   BasicSplitPaneUI$BasicHorizontalLayoutManager(BasicSplitPaneUI var1) {
      this.this$0 = var1;
      this.components = new Component[3];
      this.components[0] = this.components[1] = this.components[2] = null;
      this.sizes = new int[3];
   }

   public void addLayoutComponent(Component var1, Object var2) {
      if (var2 != null && !(var2 instanceof String)) {
         throw new IllegalArgumentException("cannot add to layout: constraint must be a string (or null)");
      } else {
         this.addLayoutComponent((String)var2, var1);
      }
   }

   public void addLayoutComponent(String var1, Component var2) {
      boolean var3 = true;
      if (var1 != null) {
         if (var1.equals("divider")) {
            this.components[2] = var2;
            this.sizes[2] = -1;
         } else if (!var1.equals("left") && !var1.equals("top")) {
            if (!var1.equals("right") && !var1.equals("bottom")) {
               if (!var1.equals("nonContinuousDivider")) {
                  var3 = false;
               }
            } else {
               this.components[1] = var2;
               this.sizes[1] = -1;
            }
         } else {
            this.components[0] = var2;
            this.sizes[0] = -1;
         }
      } else {
         var3 = false;
      }

      if (!var3) {
         throw new IllegalArgumentException("cannot add to layout: unknown constraint: " + var1);
      }
   }

   protected int getAvailableSize(Dimension var1, Insets var2) {
      return var2 == null ? var1.width : var1.width - (var2.left + var2.right + 2 * this.this$0.getDividerBorderSize());
   }

   protected int getInitialLocation(Insets var1) {
      return var1 != null ? var1.left : 0;
   }

   public float getLayoutAlignmentX(Container var1) {
      return 0.0F;
   }

   public float getLayoutAlignmentY(Container var1) {
      return 0.0F;
   }

   int getMinimumSizeOfComponent(Component var1) {
      return var1.getMinimumSize().width;
   }

   protected int getPreferredSizeOfComponent(Component var1) {
      return var1.getPreferredSize().width;
   }

   protected int getSizeOfComponent(Component var1) {
      return var1.getSize().width;
   }

   protected int[] getSizes() {
      int[] var1 = new int[3];
      System.arraycopy(this.sizes, 0, var1, 0, 3);
      return var1;
   }

   public void invalidateLayout(Container var1) {
   }

   public void layoutContainer(Container var1) {
      Dimension var2 = ((Component)var1).getSize();
      if (var2.height > 0 && var2.width > 0) {
         Insets var3 = this.this$0.splitPane.getInsets();
         int var6 = 0;
         int var7 = this.getAvailableSize(var2, var3);
         int var8 = this.this$0.splitPane.getDividerLocation();

         for(int var4 = 0; var4 < 3; ++var4) {
            if (this.components[var4] != null) {
               if (this.sizes[var4] == -1) {
                  if (BasicSplitPaneUI.access$4(this.this$0) && var4 == 0) {
                     this.sizes[var4] = Math.min(var7, this.getSizeOfComponent(this.components[var4]));
                  } else {
                     this.sizes[var4] = Math.min(var7, this.getPreferredSizeOfComponent(this.components[var4]));
                     if (var4 == 2 && this.components[0] != null && this.components[1] != null && this.sizes[0] + this.sizes[var4] + this.getMinimumSizeOfComponent(this.components[1]) > var7) {
                        this.sizes[0] = this.getMinimumSizeOfComponent(this.components[0]) > 0 ? this.getMinimumSizeOfComponent(this.components[0]) : this.getPreferredSizeOfComponent(this.components[0]);
                     }

                     if (!this.components[var4].isVisible()) {
                        this.sizes[var4] = 0;
                     }
                  }
               } else {
                  int var5 = this.getSizeOfComponent(this.components[var4]);
                  if (this.sizes[var4] != var5) {
                     if (var4 == 0) {
                        if (this.components[1] != null) {
                           this.sizes[1] = Math.max(0, this.sizes[1] + (this.sizes[var4] - var5));
                        }
                     } else if (var4 == 1 && this.components[0] != null) {
                        this.sizes[0] = Math.max(0, this.sizes[0] + (this.sizes[var4] - var5));
                     }

                     this.sizes[var4] = var5;
                     if (var4 == 0) {
                        var4 = 1;
                     }
                  }
               }
            }
         }

         for(int var11 = 0; var11 < 3; ++var11) {
            var6 += this.sizes[var11];
         }

         if (var6 != var7) {
            int var9 = var7 - var6;
            if (this.components[1] != null) {
               int var13 = Math.max(0, this.sizes[1] + var9);
               if (var13 == 0) {
                  var9 += this.sizes[1];
                  this.sizes[1] = 0;
                  if (this.components[0] != null) {
                     this.sizes[0] = Math.max(0, this.sizes[0] + var9);
                  }
               } else {
                  this.sizes[1] = var13;
               }
            } else if (this.components[0] != null) {
               this.sizes[0] = Math.max(0, this.sizes[0] + var9);
            }
         }

         int var15 = this.getInitialLocation(var3);
         int var10 = this.this$0.getDividerBorderSize();
         byte var12 = 0;

         while(var12 < 3) {
            if (this.components[var12] != null) {
               this.setComponentToSize(this.components[var12], this.sizes[var12], var15, var3, var2);
               var15 += this.sizes[var12];
            }

            switch (var12) {
               case 0:
                  var12 = 2;
                  var15 += var10;
                  break;
               case 1:
                  var12 = 3;
                  break;
               case 2:
                  var12 = 1;
                  var15 += var10;
            }
         }

         if (var8 != this.this$0.splitPane.getDividerLocation()) {
            this.this$0.splitPane.setLastDividerLocation(var8);
         }

      }
   }

   public Dimension maximumLayoutSize(Container var1) {
      return new Dimension(Integer.MAX_VALUE, Integer.MAX_VALUE);
   }

   public Dimension minimumLayoutSize(Container var1) {
      int var3 = 0;
      int var4 = 0;
      Insets var5 = this.this$0.splitPane.getInsets();

      for(int var6 = 0; var6 < 3; ++var6) {
         if (this.components[var6] != null) {
            Dimension var2 = this.components[var6].getMinimumSize();
            var3 += var2.width;
            if (var2.height > var4) {
               var4 = var2.height;
            }
         }
      }

      if (var5 != null) {
         var3 += var5.left + var5.right;
         var4 += var5.bottom + var5.top;
      }

      if (this.components[0] != null && this.components[1] != null) {
         var3 += 2 * this.this$0.getDividerBorderSize();
      }

      return new Dimension(var3, var4);
   }

   public Dimension preferredLayoutSize(Container var1) {
      int var3 = 0;
      int var4 = 0;
      Insets var5 = this.this$0.splitPane.getInsets();

      for(int var6 = 0; var6 < 3; ++var6) {
         if (this.components[var6] != null) {
            Dimension var2 = this.components[var6].getPreferredSize();
            var3 += var2.width;
            if (var2.height > var4) {
               var4 = var2.height;
            }
         }
      }

      if (var5 != null) {
         var3 += var5.left + var5.right;
         var4 += var5.bottom + var5.top;
      }

      if (this.components[0] != null && this.components[1] != null) {
         var3 += 2 * this.this$0.getDividerBorderSize();
      }

      return new Dimension(var3, var4);
   }

   public void removeLayoutComponent(Component var1) {
      for(int var2 = 0; var2 < 3; ++var2) {
         if (this.components[var2] == var1) {
            this.components[var2] = null;
            this.sizes[var2] = 0;
         }
      }

   }

   protected void resetSizeAt(int var1) {
      this.sizes[var1] = -1;
   }

   public void resetToPreferredSizes() {
      for(int var1 = 0; var1 < 3; ++var1) {
         this.sizes[var1] = -1;
      }

   }

   protected void setComponentToSize(Component var1, int var2, int var3, Insets var4, Dimension var5) {
      if (var4 != null) {
         var1.setBounds(var3, var4.top, var2, var5.height - (var4.top + var4.bottom));
      } else {
         var1.setBounds(var3, 0, var2, var5.height);
      }

   }

   protected void setSizes(int[] var1) {
      System.arraycopy(var1, 0, this.sizes, 0, 3);
   }

   protected void updateComponents() {
      Component var1 = this.this$0.splitPane.getLeftComponent();
      if (this.components[0] != var1) {
         this.components[0] = var1;
         if (var1 == null) {
            this.sizes[0] = 0;
         } else {
            this.sizes[0] = -1;
         }
      }

      var1 = this.this$0.splitPane.getRightComponent();
      if (this.components[1] != var1) {
         this.components[1] = var1;
         if (var1 == null) {
            this.sizes[1] = 0;
         } else {
            this.sizes[1] = -1;
         }
      }

      Component[] var2 = this.this$0.splitPane.getComponents();
      Component var3 = this.components[2];
      this.components[2] = null;

      for(int var4 = var2.length - 1; var4 >= 0; --var4) {
         if (var2[var4] != this.components[0] && var2[var4] != this.components[1] && var2[var4] != this.this$0.nonContinuousLayoutDivider) {
            if (var3 != var2[var4]) {
               this.components[2] = var2[var4];
               if (var2[var4] == null) {
                  this.sizes[2] = 0;
               } else {
                  this.sizes[2] = -1;
               }
            } else {
               this.components[2] = var3;
            }
            break;
         }
      }

      if (this.components[2] == null) {
         this.sizes[2] = 0;
      }

   }
}
