package javax.swing.plaf.basic;

import java.awt.Container;
import java.awt.Graphics;
import java.awt.Rectangle;
import java.awt.Shape;
import javax.swing.event.DocumentEvent;
import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.Document;
import javax.swing.text.EditorKit;
import javax.swing.text.Element;
import javax.swing.text.Position;
import javax.swing.text.View;
import javax.swing.text.ViewFactory;

class BasicTextUI$RootView extends View {
   // $FF: synthetic field
   private final BasicTextUI this$0;
   private View view;

   BasicTextUI$RootView(BasicTextUI var1) {
      super((Element)null);
      this.this$0 = var1;
   }

   public View breakView(int var1, float var2, Shape var3) {
      throw new Error("Can't break root view");
   }

   public void changedUpdate(DocumentEvent var1, Shape var2, ViewFactory var3) {
      if (this.view != null) {
         this.view.changedUpdate(var1, var2, var3);
      }

   }

   public float getAlignment(int var1) {
      return this.view != null ? this.view.getAlignment(var1) : 0.0F;
   }

   public AttributeSet getAttributes() {
      return null;
   }

   public Shape getChildAllocation(int var1, Shape var2) {
      return var2;
   }

   public Container getContainer() {
      return this.this$0.editor;
   }

   public Document getDocument() {
      return this.this$0.editor.getDocument();
   }

   public Element getElement() {
      return this.view != null ? this.view.getElement() : this.this$0.editor.getDocument().getDefaultRootElement();
   }

   public int getEndOffset() {
      return this.view != null ? this.view.getEndOffset() : this.getElement().getEndOffset();
   }

   public float getMaximumSpan(int var1) {
      return (float)Integer.MAX_VALUE;
   }

   public float getMinimumSpan(int var1) {
      return this.view != null ? this.view.getMinimumSpan(var1) : 10.0F;
   }

   public int getNextVisualPositionFrom(int var1, Position.Bias var2, Shape var3, int var4, Position.Bias[] var5) throws BadLocationException {
      if (this.view != null) {
         int var6 = this.view.getNextVisualPositionFrom(var1, var2, var3, var4, var5);
         if (var6 != -1) {
            var1 = var6;
         } else {
            var5[0] = var2;
         }
      }

      return var1;
   }

   public float getPreferredSpan(int var1) {
      return this.view != null ? this.view.getPreferredSpan(var1) : 10.0F;
   }

   public int getResizeWeight(int var1) {
      return this.view != null ? this.view.getResizeWeight(var1) : 0;
   }

   public int getStartOffset() {
      return this.view != null ? this.view.getStartOffset() : this.getElement().getStartOffset();
   }

   public View getView(int var1) {
      return this.view;
   }

   public int getViewCount() {
      return 1;
   }

   public ViewFactory getViewFactory() {
      EditorKit var1 = this.this$0.getEditorKit(this.this$0.editor);
      ViewFactory var2 = var1.getViewFactory();
      return (ViewFactory)(var2 != null ? var2 : this.this$0);
   }

   public void insertUpdate(DocumentEvent var1, Shape var2, ViewFactory var3) {
      if (this.view != null) {
         this.view.insertUpdate(var1, var2, var3);
      }

   }

   public Shape modelToView(int var1, Shape var2, Position.Bias var3) throws BadLocationException {
      return this.view != null ? this.view.modelToView(var1, var2, var3) : null;
   }

   public Shape modelToView(int var1, Position.Bias var2, int var3, Position.Bias var4, Shape var5) throws BadLocationException {
      return this.view != null ? this.view.modelToView(var1, var2, var3, var4, var5) : null;
   }

   public void paint(Graphics var1, Shape var2) {
      if (this.view != null) {
         Rectangle var3 = var2.getBounds();
         this.view.setSize((float)var3.width, (float)var3.height);
         this.view.paint(var1, var2);
      }

   }

   public void preferenceChanged(View var1, boolean var2, boolean var3) {
      this.this$0.editor.revalidate();
   }

   public void removeUpdate(DocumentEvent var1, Shape var2, ViewFactory var3) {
      if (this.view != null) {
         this.view.removeUpdate(var1, var2, var3);
      }

   }

   public void setParent(View var1) {
      throw new Error("Can't set parent on root view");
   }

   public void setSize(float var1, float var2) {
      if (this.view != null) {
         this.view.setSize(var1, var2);
      }

   }

   void setView(View var1) {
      if (this.view != null) {
         this.view.setParent((View)null);
      }

      this.view = var1;
      if (this.view != null) {
         this.view.setParent(this);
      }

   }

   public int viewToModel(float var1, float var2, Shape var3, Position.Bias[] var4) {
      if (this.view != null) {
         int var5 = this.view.viewToModel(var1, var2, var3, var4);
         return var5;
      } else {
         return -1;
      }
   }
}
