package javax.swing.plaf.basic;

import java.awt.Component;
import java.awt.event.MouseEvent;
import javax.swing.SwingUtilities;
import javax.swing.event.MouseInputListener;

public class BasicTreeUI$MouseInputHandler implements MouseInputListener {
   // $FF: synthetic field
   private final BasicTreeUI this$0;
   protected Component source;
   protected Component destination;

   public BasicTreeUI$MouseInputHandler(BasicTreeUI var1, Component var2, Component var3, MouseEvent var4) {
      this.this$0 = var1;
      this.source = var2;
      this.destination = var3;
      this.source.addMouseListener(this);
      this.source.addMouseMotionListener(this);
      var3.dispatchEvent(SwingUtilities.convertMouseEvent(var2, var4, var3));
   }

   public void mouseClicked(MouseEvent var1) {
      if (this.destination != null) {
         this.destination.dispatchEvent(SwingUtilities.convertMouseEvent(this.source, var1, this.destination));
      }

   }

   public void mouseDragged(MouseEvent var1) {
      if (this.destination != null) {
         this.destination.dispatchEvent(SwingUtilities.convertMouseEvent(this.source, var1, this.destination));
      }

   }

   public void mouseEntered(MouseEvent var1) {
      if (!SwingUtilities.isLeftMouseButton(var1)) {
         this.removeFromSource();
      }

   }

   public void mouseExited(MouseEvent var1) {
      if (!SwingUtilities.isLeftMouseButton(var1)) {
         this.removeFromSource();
      }

   }

   public void mouseMoved(MouseEvent var1) {
      this.removeFromSource();
   }

   public void mousePressed(MouseEvent var1) {
   }

   public void mouseReleased(MouseEvent var1) {
      if (this.destination != null) {
         this.destination.dispatchEvent(SwingUtilities.convertMouseEvent(this.source, var1, this.destination));
      }

      this.removeFromSource();
   }

   protected void removeFromSource() {
      if (this.source != null) {
         this.source.removeMouseListener(this);
         this.source.removeMouseMotionListener(this);
      }

      this.source = this.destination = null;
   }
}
