package javax.swing.table;

import java.awt.Color;
import java.awt.Component;
import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.event.FocusListener;
import java.beans.PropertyChangeListener;
import java.util.Locale;
import javax.accessibility.Accessible;
import javax.accessibility.AccessibleAction;
import javax.accessibility.AccessibleComponent;
import javax.accessibility.AccessibleContext;
import javax.accessibility.AccessibleRole;
import javax.accessibility.AccessibleSelection;
import javax.accessibility.AccessibleState;
import javax.accessibility.AccessibleStateSet;
import javax.accessibility.AccessibleText;
import javax.accessibility.AccessibleValue;
import javax.swing.JTable;
import javax.swing.table.JTableHeader.AccessibleJTableHeader;

public class JTableHeader$AccessibleJTableHeader$AccessibleJTableHeaderEntry extends AccessibleContext implements Accessible, AccessibleComponent {
   // $FF: synthetic field
   private final JTableHeader.AccessibleJTableHeader this$1;
   private JTableHeader parent;
   private int column;
   private JTable table;

   public JTableHeader$AccessibleJTableHeader$AccessibleJTableHeaderEntry(JTableHeader.AccessibleJTableHeader var1, int var2, JTableHeader var3, JTable var4) {
      this.this$1 = var1;
      this.parent = var3;
      this.column = var2;
      this.table = var4;
      ((AccessibleContext)this).setAccessibleParent(this.parent);
   }

   public void addFocusListener(FocusListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).addFocusListener(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.addFocusListener(var1);
         }
      }

   }

   public void addPropertyChangeListener(PropertyChangeListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.addPropertyChangeListener(var1);
      } else {
         super.addPropertyChangeListener(var1);
      }

   }

   public boolean contains(Point var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         Rectangle var5 = ((AccessibleComponent)var2).getBounds();
         return var5.contains(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            Rectangle var4 = var3.getBounds();
            return var4.contains(var1);
         } else {
            return this.getBounds().contains(var1);
         }
      }
   }

   public AccessibleAction getAccessibleAction() {
      return this.getCurrentAccessibleContext().getAccessibleAction();
   }

   public Accessible getAccessibleAt(Point var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      return var2 instanceof AccessibleComponent ? ((AccessibleComponent)var2).getAccessibleAt(var1) : null;
   }

   public Accessible getAccessibleChild(int var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         Accessible var3 = var2.getAccessibleChild(var1);
         var2.setAccessibleParent(this);
         return var3;
      } else {
         return null;
      }
   }

   public int getAccessibleChildrenCount() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleChildrenCount() : 0;
   }

   public AccessibleComponent getAccessibleComponent() {
      return this;
   }

   public AccessibleContext getAccessibleContext() {
      return this;
   }

   public String getAccessibleDescription() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleDescription() : super.getAccessibleDescription();
   }

   public int getAccessibleIndexInParent() {
      return this.column;
   }

   public String getAccessibleName() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 != null) {
         String var2 = var1.getAccessibleName();
         if (var2 != null && var2 != "") {
            return var1.getAccessibleName();
         }
      }

      return super.accessibleName != null && super.accessibleName != "" ? super.accessibleName : this.table.getColumnName(this.column);
   }

   public AccessibleRole getAccessibleRole() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getAccessibleRole() : AccessibleRole.COLUMN_HEADER;
   }

   public AccessibleSelection getAccessibleSelection() {
      return this.getCurrentAccessibleContext().getAccessibleSelection();
   }

   public AccessibleStateSet getAccessibleStateSet() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 != null) {
         AccessibleStateSet var2 = var1.getAccessibleStateSet();
         if (this.isShowing()) {
            var2.add(AccessibleState.SHOWING);
         }

         return var2;
      } else {
         return new AccessibleStateSet();
      }
   }

   public AccessibleText getAccessibleText() {
      return this.getCurrentAccessibleContext().getAccessibleText();
   }

   public AccessibleValue getAccessibleValue() {
      return this.getCurrentAccessibleContext().getAccessibleValue();
   }

   public Color getBackground() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getBackground();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getBackground() : null;
      }
   }

   public Rectangle getBounds() {
      Rectangle var1 = this.table.getCellRect(-1, this.column, false);
      var1.y = 0;
      return var1;
   }

   private AccessibleContext getCurrentAccessibleContext() {
      TableColumnModel var1 = this.table.getColumnModel();
      if (var1 != null) {
         TableColumn var2 = var1.getColumn(this.column);
         TableCellRenderer var3 = var2.getHeaderRenderer();
         Component var4 = var3.getTableCellRendererComponent(AccessibleJTableHeader.access$0(this.this$1).getTable(), var2.getHeaderValue(), false, false, -1, this.column);
         if (var4 instanceof Accessible) {
            return ((Accessible)var4).getAccessibleContext();
         }
      }

      return null;
   }

   private Component getCurrentComponent() {
      TableColumnModel var1 = this.table.getColumnModel();
      if (var1 != null) {
         TableColumn var2 = var1.getColumn(this.column);
         TableCellRenderer var3 = var2.getHeaderRenderer();
         return var3.getTableCellRendererComponent(AccessibleJTableHeader.access$0(this.this$1).getTable(), var2.getHeaderValue(), false, false, -1, this.column);
      } else {
         return null;
      }
   }

   public Cursor getCursor() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getCursor();
      } else {
         Component var2 = this.getCurrentComponent();
         if (var2 != null) {
            return var2.getCursor();
         } else {
            Accessible var3 = ((AccessibleContext)this).getAccessibleParent();
            return var3 instanceof AccessibleComponent ? ((AccessibleComponent)var3).getCursor() : null;
         }
      }
   }

   public Font getFont() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getFont();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getFont() : null;
      }
   }

   public FontMetrics getFontMetrics(Font var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var2).getFontMetrics(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         return var3 != null ? var3.getFontMetrics(var1) : null;
      }
   }

   public Color getForeground() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).getForeground();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.getForeground() : null;
      }
   }

   public Locale getLocale() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      return var1 != null ? var1.getLocale() : null;
   }

   public Point getLocation() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         Rectangle var4 = ((AccessibleComponent)var1).getBounds();
         return var4.getLocation();
      } else {
         Component var2 = this.getCurrentComponent();
         if (var2 != null) {
            Rectangle var3 = var2.getBounds();
            return var3.getLocation();
         } else {
            return this.getBounds().getLocation();
         }
      }
   }

   public Point getLocationOnScreen() {
      if (this.parent != null) {
         Point var1 = this.parent.getLocationOnScreen();
         Point var2 = this.getLocation();
         var2.translate(var1.x, var1.y);
         return var2;
      } else {
         return null;
      }
   }

   public Dimension getSize() {
      return this.getBounds().getSize();
   }

   public boolean isEnabled() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isEnabled();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isEnabled() : false;
      }
   }

   public boolean isFocusTraversable() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isFocusTraversable();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isFocusTraversable() : false;
      }
   }

   public boolean isShowing() {
      return this.isVisible() && AccessibleJTableHeader.access$0(this.this$1).isShowing();
   }

   public boolean isVisible() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         return ((AccessibleComponent)var1).isVisible();
      } else {
         Component var2 = this.getCurrentComponent();
         return var2 != null ? var2.isVisible() : false;
      }
   }

   public void removeFocusListener(FocusListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).removeFocusListener(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.removeFocusListener(var1);
         }
      }

   }

   public void removePropertyChangeListener(PropertyChangeListener var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.removePropertyChangeListener(var1);
      } else {
         super.removePropertyChangeListener(var1);
      }

   }

   public void requestFocus() {
      AccessibleContext var1 = this.getCurrentAccessibleContext();
      if (var1 instanceof AccessibleComponent) {
         ((AccessibleComponent)var1).requestFocus();
      } else {
         Component var2 = this.getCurrentComponent();
         if (var2 != null) {
            var2.requestFocus();
         }
      }

   }

   public void setAccessibleDescription(String var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.setAccessibleDescription(var1);
      } else {
         super.setAccessibleDescription(var1);
      }

   }

   public void setAccessibleName(String var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 != null) {
         var2.setAccessibleName(var1);
      } else {
         super.setAccessibleName(var1);
      }

   }

   public void setBackground(Color var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setBackground(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setBackground(var1);
         }
      }

   }

   public void setBounds(Rectangle var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setBounds(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setBounds(var1);
         }
      }

   }

   public void setCursor(Cursor var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setCursor(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setCursor(var1);
         }
      }

   }

   public void setEnabled(boolean var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setEnabled(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setEnabled(var1);
         }
      }

   }

   public void setFont(Font var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setFont(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setFont(var1);
         }
      }

   }

   public void setForeground(Color var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setForeground(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setForeground(var1);
         }
      }

   }

   public void setLocation(Point var1) {
   }

   public void setSize(Dimension var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setSize(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setSize(var1);
         }
      }

   }

   public void setVisible(boolean var1) {
      AccessibleContext var2 = this.getCurrentAccessibleContext();
      if (var2 instanceof AccessibleComponent) {
         ((AccessibleComponent)var2).setVisible(var1);
      } else {
         Component var3 = this.getCurrentComponent();
         if (var3 != null) {
            var3.setVisible(var1);
         }
      }

   }
}
